class MenuScreen_ extends UIControlObject
{
    boolean bGuestMenuAvailable = true;
    int m_nHackSequenceCount = 0;
    int m_nHackSequenceCombo = 0;
    int m_nHackMovesCount = 0;
    
    HUDHack m_cHudHack = null;
    
    UIEditPassword m_cEdit = null;
    UIWindow m_cLoginWnd = null;
    
    UIStatic m_cDirectory = null;
    UIStatic m_cDescription = null;
    
    UIButton m_cButtonHack = null;
    
    String sPassword = "root_af";

    //sprite'y linii tekstu
    MenuOptionSprite_ textLines[] = null;
    int textLinesCount           = 13;
    Vector textColor = new Vector(.75f, .765f, .792f);
    Vector customTextColor = new Vector(.3f, .3f, .9f);

    protected ComputerTerminalNew owner = null;
    protected mnu_Submenu menuGuest = null;
    protected mnu_Submenu menuAdmin = null;
    protected mnu_Submenu menu = null; //current menu

    mnu_Submenu cMessageActionSubmenu = null;
    
    int bcgTex = 0;
    
    public void ReleaseTextures()
    {
        super.ReleaseTextures();

        ReleaseTexture(bcgTex);
    }

    void OnUICommand(UIWindow cSender, int nCommand)
    {
        super.OnUICommand(cSender, nCommand);
    }
    
    void OnCreate()
    {
        super.OnCreate();

        //bcgTex = AddTexture("CH_T_tlohack.png", true, false);
        //SetTexture(bcgTex, new Rect(0.0f, 0.0f, 640f/1024f, 480f/512f));
        SetAlpha(0.33f);
        //SetSize(new Vector(640, 480, 0));        
        
        cMessageActionSubmenu = (mnu_Submenu)CreateObject("mnu_Submenu");
        cMessageActionSubmenu.aSubMenu = new mnu_Element[1];
        cMessageActionSubmenu.aSubMenu[0] = (mnu_Action)CreateObject("mnu_Action");
        cMessageActionSubmenu.aSubMenu[0].Disable();
    }

    void OnDestroy()
    {
        cMessageActionSubmenu.aSubMenu[0].delete();
        cMessageActionSubmenu.aSubMenu[0] = null;
        cMessageActionSubmenu.delete();
        cMessageActionSubmenu = null;
    }
    
    public void OnInit()
    {
        super.OnInit();
        m_cLoginWnd = GetElem("ID_LOGIN");
        m_cLoginWnd.SetVisible(false);
        m_cEdit = (UIEditPassword)GetElem("ID_PASSWORD");
        m_cEdit.SetMaxChar(8);
        m_cDirectory = (UIStatic)GetElem("ID_DIRECTORY");
        m_cDescription = (UIStatic)GetElem("ID_DESCRIPTION");
        m_cButtonHack = (UIButton)GetElem("ID_BUTTON_HACK");
    }
    
    public void InitControls(Module module, ComputerTerminalNew _owner, boolean bGuestMenu, UIWindow cParent, int nHackMovesCount, int nHackSequenceCount, int nHackSequenceCombo)
    {
        m_nHackSequenceCount = nHackSequenceCount;
        m_nHackSequenceCombo = nHackSequenceCombo;
        m_nHackMovesCount = nHackMovesCount;
        m_cHudHack = ((HUDHack)cParent);
        m_cHudHack.m_cCallbackObj = this;
        //linie
        textLines = new MenuOptionSprite_[textLinesCount];
        UIButton cPattern = (UIButton)((UIControlObject)this).GetPattern(EUIConst.sBUTTON);
        
        for (int i=0; i<textLinesCount; i++)
        {
            MenuOptionSprite_ cButton = (MenuOptionSprite_)CreateObject("MenuOptionSprite_");    
            cButton.m_sId = "_ID_MNU_" + String.valueOf(ETerminalUI_.UI_BTN_LINES + i);
            textLines[i] = cButton;
            textLines[i].nID = ETerminalUI_.UI_BTN_LINES + i;
            if(cPattern!=null)
                cButton.Copy(cButton, cPattern);            
            cButton.OnSizeAndPos();
            AddElement(cButton);
            textLines[i].UpdateLogicSizeAndPos(cButton.GetSize(),new Vector(cButton.GetPos().fX,cButton.GetPos().fY + cButton.GetSize().fY*i ,0));
            textLines[i].OnSizeAndPos();
            textLines[i].SetTextPosFlags(ESpriteText.VERT_MIDDLE | ESpriteText.HORIZ_MIDDLE);
            textLines[i].SetFont(ChromeFonts.FONT_TERMINAL);
            textLines[i].SetTextColorV(textColor);
            textLines[i].SetText("");
            textLines[i].SetVisible(false);
        }

        Show();
        
        //inicjacja terminala - ownera
        owner = _owner;
        menuGuest = owner.cMenuGuest;
        menuAdmin = owner.cMenuAdmin;
        bGuestMenuAvailable = bGuestMenu;
        if (bGuestMenu) menu = menuGuest; else menu = menuAdmin;
        
        //odwiezenie widocznych opcji menu
        ProcessMouse(true);
        ProcessKb(true);
    }
    
    void Login()
    {
        m_cHudHack.Activate();
        m_cHudHack.MenuState(this);
        
        if (bGuestMenuAvailable)
            SetState("MenuState");
        else
            SetState("LoginState");
    }
    
    void Logout()
    {
        owner.ScreenExit();
    }

    
    // --------------------------------------------------------------------------

    String sCurrentDir = null;
    void RefreshOptions()
    {
        //custom text
        for (int i=0; i<iCustomTextLines; i++)
        {
            if(textLines[i] == null) continue;
            textLines[i].SetText(Text.Get(customText[i]), customTextColor);
            textLines[i].SetVisible(true);
        }

        //odswiezenie przyciskow
        if (menu != null && menu.aSubMenu != null)
        {
            for (int i=0; i < menu.aSubMenu.length; i++)
            {
                if(textLines[i] == null) continue;
                textLines[i].SetFocus(false);
                textLines[i].SetCheck(false);
                textLines[i].SetVisible(true);
                if ( menu.aSubMenu[i].IsDisabled() )
                {
                    textLines[i+iCustomTextLines].SetText( Text.Get(menu.aSubMenu[i].sName));
                    textLines[i+iCustomTextLines].SetDisabled(true);
                }
                else
                {
                    textLines[i+iCustomTextLines].SetText( Text.Get(menu.aSubMenu[i].sName) );
                    textLines[i+iCustomTextLines].SetDisabled(false);
                }

                textLines[i+iCustomTextLines].SetVisible(true);
            }
            for (int i=menu.aSubMenu.length+iCustomTextLines; i < textLinesCount; i++)
            {
                if(textLines[i] == null) continue;
                textLines[i].SetVisible(false);
            }
        }
        
        //odswiezenie pozycji w menu
        String desc = "";
        mnu_Submenu dir = menu;
        mnu_Submenu parent = null;
        while (dir != null)
        {
            if (dir.sName.length() > 0)
            {
                desc = "\\" + dir.sName + desc;
            }
            parent = (mnu_Submenu)dir.parent;
            if ((dir == menuAdmin) && (parent == menuGuest))
                dir = null;
            else
                dir = parent;
            
            
        }
        
        m_cDescription.SetText(desc);
        sCurrentDir = new String(desc);
    }

    ///////////////////////////////////////////////
    // wypisywanie tekstow innych niz menu
    /////////////////////////////////////////////    

    int iCustomTextLines = 0;
    String customText[] = new String[10];

    void PrintCustomText(String text)
    {
        customText[iCustomTextLines] = new String(text);
        iCustomTextLines++;
    }

    void ClearCustomTexts()
    {
        iCustomTextLines = 0;
    }

    ////////////////////////////////////////////////

    boolean ProcessKeyRelease(int nKey, char nAsci)
    {
        switch (nKey)
        {
        case EKey._ESCAPE:
            {
                //Exit();
            }
            return true;
        }
        
        return false;
    }
        
    public void Exit()
    {
        Logout();
    }

    void superOnButton(Button btnSender)
    {
        super.OnButton(btnSender);
    }    
    
    //============ MENU STATE =================================================
    
    mnu_Submenu cCurrentMenu = null;
    
    // metoda wolana w celu wylaczenia pokazywania message'a po mnu_Action
    void RollbackActionMessage()
    {
        menu = cCurrentMenu;
        ClearCustomTexts();
        RefreshOptions();
    }
    
    public class MenuState extends State
    {

        public void OnEnter()
        {
            LogD("Entering MenuState\n");

            //parenthesisL.Hide();
            //parenthesisR.Hide();
            m_cButtonHack.SetFocus(false);
            m_cButtonHack.SetCheck(false);
            m_cButtonHack.SetDisabled(false);
            m_cButtonHack.SetText(Text.Get("&HUD_HACK_BTN_LOGOFF&"));
            m_cButtonHack.m_sId = "ID_BUTTON_LOGOFF";
            m_cLoginWnd.SetVisible(false);
            RefreshOptions();
        }

        int iOptionToExe = 0;
        void ExecuteOption()
        {
            //katalog
            if (menu.aSubMenu[iOptionToExe] instanceof mnu_Submenu)
            {
                //odswiezenie menu
                menu = (mnu_Submenu)menu.aSubMenu[iOptionToExe];

                //wyczyszczenie dziwnych tekstow
                ClearCustomTexts();

                RefreshOptions();
            }
            //komenda
            else
            {
                mnu_Element cElem = menu.aSubMenu[iOptionToExe];
                
                if(cElem instanceof mnu_Login)
                {       
                    sPassword = ((mnu_Login)cElem).sPassword;
                    if (cElem.sName.startsWith("_Level_"))
                    {
                        String sLevel = cElem.sName.substring(new String("_Level_").length(), cElem.sName.length());
                        UpdateHackData("data/LevelsSingle_" + sLevel + ".scr");
                        
                        
                        m_nHackSequenceCount = RandomInt(_m_nHackElemsMin, _m_nHackElemsMax);
                        m_nHackSequenceCombo = _m_nHackCombo;
                            
                        m_nHackMovesCount = (int)(_m_fHackMovesMult * ChromeGame.GetHackDiffLevelMult() * (float)m_nHackSequenceCount);
                        
                    }                                                     
                    
                    SetState("LoginState");
                }
                
                if(cElem instanceof mnu_Back)
                {
                    if (menu.parent != null)
                        menu = (mnu_Submenu)menu.parent;
                    ClearCustomTexts();
                    RefreshOptions();
                    
                }
                
                if(cElem instanceof mnu_Exit)
                {
                    Exit();
                }

                if(cElem instanceof mnu_Action)
                {
                    mnu_Action cAction = (mnu_Action)cElem;
                    
                    InvokeActionChain( cAction.aOnCommand );
                    
                    // po uzyciu wylaczamy opcje
                    if(cAction.bDisableAfterUse)
                        cElem.Disable();
                    
                    // po wykonaniu akcji odpalamy message'a
                    CrashLog("cAction.sMessage="+cAction.sMessage+" cAction.fMessageTime"+cAction.fMessageTime+"\n");
                    if(cAction.sMessage != null)
                    {
                        // dodajemy podmenu
                        cMessageActionSubmenu.aSubMenu[0].sName = cAction.sMessage;
                        
                        // wlaczamy menu
                        cCurrentMenu = menu;
                        menu = cMessageActionSubmenu;
                        ClearCustomTexts();
                        RefreshOptions();
                        
                        CallMethodIn("RollbackActionMessage", cAction.fMessageTime);
                    }
                    else
                        RefreshOptions();
                }
            } //else            
        }

        
        void OnUICommand(UIWindow cSender, int nCommand)
        {
            MenuScreen_.this.OnUICommand(cSender,nCommand);
            
            if(nCommand == EUIConst.CM_CLICK || nCommand == EUIConst.CM_DBCLICK)
            {
                if (cSender.m_sId.equals("ID_BUTTON_HACK") )
                {
                    if (m_cHudHack.cPlayer != null)
                    {
                        ImplantSystem cImplants = m_cHudHack.cPlayer.GetImplantSystem();
                        if (cImplants.CanActivateImplants())
                            SetState("HackingState");
                        else
                        {
                            m_cHudHack.cPlayer.TextMessage("&HUD_HACK_CANT_HACK&");
                            m_cHudHack.cPlayer.AttachOneShotSound("data\\sounds\\menu\\wrong.wav");
                        }
                    }
                }
                
                if (cSender instanceof MenuOptionSprite_)
                {
                    MenuOptionSprite_ cBtn = (MenuOptionSprite_)cSender;
                    /*if (ProcessOnButton(cBtn) == true) 
                    return;*/

                    if ((cBtn.nID >= ETerminalUI_.UI_BTN_LINES) &&
                        (cBtn.nID < ETerminalUI_.UI_BTN_LINES + menu.aSubMenu.length + iCustomTextLines))
                    {
                        if (bBlinking) return;
                        if ( cBtn.nID - ETerminalUI_.UI_BTN_LINES < iCustomTextLines ) return;

                        //Dzwiek klikniecia
                        PlaySound(ComputerTerminalNew.sSoundTextClick);

                        int idx = cBtn.nID - ETerminalUI_.UI_BTN_LINES - iCustomTextLines;
                        if ( menu.aSubMenu[idx].IsDisabled() ) return;

                        //zaznaczenie
                        /*Vector vPos = cBtn.GetCenterPos();
                        vPos.Sub(GetPos()); //robimy z tego pozycje wzgledna
                        Vector vTextSize = ((Sprite)cBtn).GetTextExtent( Text.Get(((MenuOptionSprite_)cBtn).sText) );
                        */
                        //miganie
                        BlinkParentheses();
                        
                        iOptionToExe = idx;
                        CallMethodIn("ExecuteOption", fBlinkTime);
                    }
                    
                }
            }
        }
        
        
        float fBlinkTime = .35f;
        float fBlinkUpdate = 0.08f;
        
        float fBlinkT = 0;

        boolean bBlinking = false;
        boolean bParentheses = false;
        void BlinkParentheses()
        {
            /*if (fBlinkT == 0) 
            {
            CallMethodEvery("BlinkParentheses", fBlinkUpdate);
            bBlinking = true;
            }

            fBlinkT += fBlinkUpdate/fBlinkTime;
            if (bParentheses)
            {
            parenthesisL.Hide();
            parenthesisR.Hide();
            if (fBlinkT >= 1)
            {
            DisableCallMethod("BlinkParentheses");
            fBlinkT = 0;
            bBlinking = false;
            }
            }
            else {
            parenthesisL.Show();
            parenthesisR.Show();
            }
            bParentheses = !bParentheses;*/
        }

        float fDirMoveTime = 2f;
        float fDirMoveUpdate = .05f;
        float fDirMoveT = 0f;
        Vector vStartDirPos = null;
        Vector vEndDirPos = null;
        Vector vDirShift = null;

        void MoveDir()
        {
            if (fDirMoveT == 0) 
            {
                m_cDirectory.Show();
                m_cDirectory.SetText(Text.Get(menu.sName));
                /*CallMethodEvery("MoveDir", fDirMoveUpdate);
                vDirShift = new Vector(vEndDirPos);
                vDirShift.Sub(vStartDirPos);
                LogD("dir shift:"+vDirShift+"\n");
                LogD("start:"+vStartDirPos+" end:"+vEndDirPos+"\n");
                */
            }
            /*fDirMoveT += fDirMoveUpdate/fDirMoveTime;
            if (fDirMoveT > 1) fDirMoveT = 1;
            Vector pos = new Vector(vStartDirPos);
            Vector vTemp = new Vector(vDirShift);
            vTemp.Mul(fDirMoveT);
            pos.Add(vTemp);
            //LogD("pos:"+pos+"\n");

            staticDir.SetRelativePos(pos);
            if (fDirMoveT == 1) 
            { 
            DisableCallMethod("MoveDir");
            staticDir.Hide();
            fDirMoveT = 0;
            RefreshOptions();
            }*/
            RefreshOptions();
        }
        
        void OnKeyReleased(int nKey, char nAsci)
        {
            if (ProcessKeyRelease(nKey, nAsci) == true) 
            {
                //TODO: zwolnienie sprite'ow i innych
                //dotyczy wszystkich takich miejsc
                return;                
            }

            switch (nKey)
            {
            case EKey._BACK :
                {
                    if (menu.parent != null)
                        menu = (mnu_Submenu)menu.parent;
                    RefreshOptions();
                }
                break;
            }
        }        
    }
    
    //============ LOGIN STATE =================================================

    public class LoginState extends State
    {

        public void OnEnter()
        {
            LogR("Entering LoginState\n");
            
            m_cButtonHack.SetFocus(false);
            m_cButtonHack.SetCheck(false);
            m_cButtonHack.SetDisabled(false);
            m_cButtonHack.SetText(Text.Get("&HUD_HACK_BTN_HACK&"));
            m_cButtonHack.m_sId = "ID_BUTTON_HACK";
            m_cLoginWnd.SetVisible(true);
            m_cLoginWnd.MoveTop();
            m_cEdit.Clear();
            
            //opis
            
            HideTextLines();

        }

        void OnUICommand(UIWindow cSender, int nCommand)
        {
            MenuScreen_.this.OnUICommand(cSender,nCommand);
            
            if(nCommand == EUIConst.CM_CLICK || nCommand == EUIConst.CM_DBCLICK)
            {
                if (cSender.m_sId.equals("ID_BUTTON_HACK") )
                {
                    if (m_cHudHack.cPlayer != null)
                    {
                        ImplantSystem cImplants = m_cHudHack.cPlayer.GetImplantSystem();
                        if (cImplants.CanActivateImplants())
                            SetState("HackingState");
                        else
                        {
                            m_cHudHack.cPlayer.TextMessage("&HUD_HACK_CANT_HACK&");
                            m_cHudHack.cPlayer.AttachOneShotSound("data\\sounds\\menu\\wrong.wav");
                        }
                    }
                }
            }
            if(nCommand == EUIConst.CM_EDIT_ENTER)
            {
                if (Game.cSingleton.bCheats &&
                    (m_cEdit.m_sEditText.compareTo(sPassword) == 0 ||
                     m_cEdit.m_sEditText.compareTo("hack") == 0))
                {
                    //jesli dobre haslo    
                    if (owner.m_bCanSuccessfullyHack)
                    {
                        DestroyLoginWindow();

                        DisableCallMethod("HideTextLines");
                        menu = menuAdmin;
                        SetState("MenuState");
                    }
                    else
                    {
                        textLines[6].SetText(Text.Get("&HUD_HACK_CANNOT_LOGIN&"));
                        textLines[6].SetVisible(true);
                        m_cEdit.Clear();
                        PlaySound(ComputerTerminalNew.sWrongPassword);
                        CallMethodIn("HideTextLines", 2f);
                    }
                }
                else
                {
                    textLines[6].SetText(Text.Get("&HUD_HACK_INVALID_PASSWORD&"));
                    textLines[6].SetVisible(true);
                    m_cEdit.Clear();
                    PlaySound(ComputerTerminalNew.sWrongPassword);

                    CallMethodIn("HideTextLines", 2f);
                }
            }
            if(nCommand == EUIConst.CM_EDIT_ESC)
            {  
                ExitLoginWindow();
            }
            
            
        }
        
        
        void OnKeyReleased(int nKey, char nAsci)
        {
            switch (nKey)
            {
            case EKey._ESCAPE:
                {
                    ExitLoginWindow();
                }
                break;
            }            
        }
    }

    void HideTextLines()
    {
        for (int i=0; i<textLinesCount; i++)
        {
            textLines[i].Hide();
        }
    }

    void ExitLoginWindow()
    {
        DisableCallMethod("HideTextLines");
        
        DestroyLoginWindow();

        if (bGuestMenuAvailable)
            SetState("MenuState");
        else
            Exit();
    }
    
    void DestroyLoginWindow()
    {
        m_cLoginWnd.SetVisible(false);        
    }

    //============ HACKING STATE =================================================    
    
    public class HackingState extends State
    {
        
        public void OnEnter()
        {
            LogD("Entering HackingState\n");
            CallMethodIn("DelayedOnEnter", 0);
        }
        
        void DelayedOnEnter()
        {
            m_cLoginWnd.SetVisible(false);
            
            m_cHudHack.InitRiddle(m_nHackMovesCount, m_nHackSequenceCount, m_nHackSequenceCombo);
            m_cHudHack.HackState("CallbackHackSuccess", MenuScreen_.this);   
        }
        
        void ReinitRiddle()
        {
            m_cHudHack.InitRiddle(m_nHackMovesCount, m_nHackSequenceCount, m_nHackSequenceCombo);
        }
        
        void OnKeyReleased(int nKey, char nAsci)
        {
            switch (nKey)
            {
            case EKey._ESCAPE:
                {
                    //Logout();
                }
                break;
            }              
        }
        
        public void CallbackHackSuccess()
        {
            m_cHudHack.MenuState(MenuScreen_.this);
            if (owner.m_bCanSuccessfullyHack)
            {
                menu = menuAdmin;
                SetState("MenuState");
            }
            else
            {
                SetState("LoginState");
                textLines[6].SetText(Text.Get("&HUD_HACK_CANNOT_LOGIN&"));
                textLines[6].SetVisible(true);
                PlaySound(ComputerTerminalNew.sWrongPassword);
                CallMethodIn("HideTextLines", 2f);
            }
        }
        
        void Overload()
        {
            Logout();
        }

    }
    
   
    void DestroyControls()
    {
        CrashLog(this + " Destroying Controls\n");
        for (int i = 0; i < textLines.length; i++)
        {
            if (textLines[i] != null)
            {
                textLines[i].Remove();
                textLines[i].ReleaseTextures();
                RemoveChild(textLines[i]);
                textLines[i].delete();
                textLines[i] = null;
            }
        }
    }

    //******TEST
    
    void UpdateHackData(String sConfigFileName)
    {
        ParseKeyword Root = GameObject.ParseFile(sConfigFileName);
        
        if(Root == null)
        {
            GameObject.CrashLog("No file "+ sConfigFileName +"!\n");
        }
        else
        {
            ParseKeyword Key, SubKey;
            for (Key = Root; Key != null; Key = Key.GetNext())
            {
                if (Key.Equals("LevelMap"))
                {
                    for (SubKey = Key.GetChild(); SubKey != null; SubKey = SubKey.GetNext())
                    {
                        PerformLevelMapCommand( SubKey );
                    }
                }
            }
            Root.delete();
        }
    }
    
    float _m_fHackMovesMult = 0;
    int _m_nHackElemsMin = 0;
    int _m_nHackElemsMax = 0;
    int _m_nHackCombo = 0;
    void PerformLevelMapCommand(ParseKeyword SubKey)
    {
        if (SubKey.Equals("HackMovesMult"))
        {
            _m_fHackMovesMult = SubKey.GetFParam(0);
        }
        if (SubKey.Equals("HackElemsRange"))
        {
            _m_nHackElemsMin = SubKey.GetIParam(0);
            _m_nHackElemsMax = SubKey.GetIParam(1);
        }
        if (SubKey.Equals("HackCombo"))
        {
            _m_nHackCombo = SubKey.GetIParam(0);
        }
    }
    
}
