/** klasa trzymajaca wszelkie informacje o parametrach InventoryHUD
 */
public class EHudInvParams
{
	final static float _P128 = 1f / 128f;
	final static float _P256 = 1f / 256f;
	final static float _P512 = 1f / 512f;
	final static float _P1024 = 1f / 1024f;
	
    private final static int _CELL_TEX_WIDTH = 20;
    private final static int _CELL_TEX_HEIGHT = 20;
    
	/** wielkosc pojedynczego grida (kwadracika)*/
	private final static int _CELL_HEIGHT = 20;
	private final static int _CELL_WIDTH = 20;
    
    static int GetCellTexWidth()
    {
        return _CELL_TEX_WIDTH;
    }
    
    static int GetCellTexHeight()
    {
        return _CELL_TEX_HEIGHT;
    }
    
    static int GetCellHeight()
    {
        return (int) ((float)_CELL_HEIGHT * ((float)GameObject.GetScreenHeight()/600f));
    }
    
    static  int GetCellWidth()
    {
        return (int) ((float)_CELL_WIDTH * ((float)GameObject.GetScreenWidth()/800f));
    }
    
	
	/** !!!! WSZYSTKIE WSPOLRZEDNE X WZGLEDEM PRAWEGO ROGU EKRANU*/
	
//------------ PLECAK PLAYERA ----------------------------------
	
        
    static int  _CELLS_X_SLOT_01 = 4,
                _CELLS_Y_SLOT_01 = 2,
                _CELLS_X_SLOT_02 = 2,
                _CELLS_Y_SLOT_02 = 2,
                _CELLS_X_SLOT_03 = 2,
                _CELLS_Y_SLOT_03 = 2,
                _CELLS_X_SLOT_04 = 3,
                _CELLS_Y_SLOT_04 = 2,
                _CELLS_X_SLOT_05 = 3,
                _CELLS_Y_SLOT_05 = 2,
                _CELLS_X_SLOT_06 = 2,
                _CELLS_Y_SLOT_06 = 2,
                _CELLS_X_SLOT_07 = 10,
                _CELLS_Y_SLOT_07 = 5,
                _CELLS_X_SLOT_MISSION = 10,
                _CELLS_Y_SLOT_MISSION = 2;

	
	
//--------------- GRID AI ----------------------------------
	
	/** wymiary grida - ilosc cell
	 */
	final static int _CELLS_X_AI = 10;
	final static int _CELLS_Y_AI = 11;
	
}
