public class FXRain extends FX
{
	FXRain()
	{			
		// Particle
		Rain("FXRain");
		{
			Texture("RainTexture");
			Alpha();
			{
				v(0.5);
			}
            /// krople rysowane jako prostokaty obrocone Y w strone kierunku lotu
            RainType( ERainMode._DRAW_DIRECTED_QUADS );

			Size();
			{
                /// x oznacza szerokosc , y wysokosc kropli
				v(4, 40);
			}

			Density(100);
			Direction(new Vector(0.0f, -1.0f, 0.0f));
			DirVariationAngle( 5.f );
            RainTurbulencyAmplitude( 100.f );
            RainTurbulencySpeed( 4.f );
			RainMinVelocity(300);
			RainMaxVelocity(310);
			RainCubeSize(1000.0);
		}
		
		Rain("FXSnow");
		{
			Texture("SnowTexture");
			Alpha();
			{
				v(0.70);
			}
			
			Size();
			{
				v(5, 5);
			}
			
            
			Density(100.f);
			Direction(new Vector(1.0f, -1.0f, 1.0f));
//            Direction(new Vector(.0f, -1.0f, .0f));
			RainMinVelocity(50);
			RainMaxVelocity(80);
			DirVariationAngle( 30.f );
			RainCubeSize( 1500 );
            RainType( ERainMode._DRAW_SQUARE_SPRITES );
		}
		
		Rain("FXSand");
		{
			Texture("SandTexture");
			Alpha();
			{
				v(0.5);
			}
			
			Size();
			{
				v(10, 40);
			}
			
			Density(1);
			Direction(new Vector(0.0f, 1.0f, 0.0f));
			RainMinVelocity(150);
			RainMaxVelocity(180);
			DirVariationAngle( 10.f );
			RainCubeSize( 600 );
            RainType( ERainMode._DRAW_SQUARE_SPRITES );
		}
	}
}
