/** FX dymu z dupy rakiety
 */
public class FXFlyingVehicleSmoke extends FX
{
	FXFlyingVehicleSmoke()
	{
		Sequence ("SmokeFlyingVehicle");
		{
			SeqDuration (3000);
			
			Expl();
			{
				Texture("FXTexDamageSmoke");
				Duration(2900);
				BlendMode(_BLEND_MIX);
				
				TowardsToCamera(1);
				Size();
				{
					v(400,400);
					v(2500,2500);
					v(3500,3500);
				}
				Position();
				{
					v(0,200,0);
					v(0,1200,0);
				}
				Alpha();
				{
					v(1);
					v(0.4f);
					v(0);
				}
				RandomRotation();
			}
			v(0,0,-20);
			v(0,0,50);
		}
	
		Sequence ("SmokeFlyingVehicleSmall");
		{
			SeqDuration (3000);
			
			Expl();
			{
				Texture("FXTexDamageSmoke");
				Duration(2900);
				BlendMode(_BLEND_MIX);
				
				TowardsToCamera(1);
				Size();
				{
					v(400,400);
					v(2500,2500);
					v(3500,3500);
				}
				Position();
				{
					v(0,200,0);
					v(0,1200,0);
				}
				Alpha();
				{
					v(0.5f);
					v(0.1f);
					v(0);
				}
				RandomRotation();
			}
			v(0,0,-20);
			v(0,0,50);
		}
	
		
		//-------------------------------------------------------------------
        
		Sequence ("DustStartFlyingVehicle");
		{
			SeqDuration (12000);
			
			
			
			Expl();
			{
				Texture("FXTexDymring");
				Duration(3000);
				BlendMode(_BLEND_MIX);
				TowardsToCamera(0);
				Size();
				{
					v(30,30);
					v(2700,2700);
					v(3100,3100);
					v(3200,3200);
				}
				Position();
				{
					v(0,30,0);
					v(0,60,0);
					
					
				}
				Alpha();
				{
					v(0);
					v(1);
					v(1);
					v(0);
				}
				
				Rotation();
				{
					v(90,0,0);
				}
			}
			
			
			
			Delay(100);
			
			
			
			Expl();
			{
				Texture("FXTexBlackSmoke");
				Duration(1900);
				BlendMode(_BLEND_MIX);
				//DepthTestDisable();
				Size();
				{
					v(1450,950);
					v(1900,900);
				}
				Position();
				{
					v(0,0,0);
					v(500,100,0);
				}
				Alpha();
				{
					
					v(0);
					v(1);
					v(0.5f);
					v(0);
				}
				
			}
			
			Expl();
			{
				Texture("FXTexBlackSmoke");
				Duration(1700);
				BlendMode(_BLEND_MIX);
				//DepthTestDisable();
				Size();
				{
					v(1220,420);
					v(1970,880);
				}
				Position();
				{
					v(80,0,0);
					v(-480,70,0);
				}
				Alpha();
				{
					
					v(0);
					v(1);
					v(0.5f);
					v(0);
				}
				
			}
			
			Delay(50);
			
			Expl();
			{
				Texture("FXTexBlackSmoke");
				Duration(2100);
				BlendMode(_BLEND_MIX);
				//DepthTestDisable();
				Size();
				{
					v(1250,450);
					v(1650,650);
				}
				Position();
				{
					v(0,170,0);
					v(-700,100,0);
				}
				Alpha ();
				{
					v(0);
					v(1);
					v(0.5f);
					v(0);
					
				}
			
			
			
			}
			
			Expl();
			{
				Texture("FXTexBlackSmoke");
				Duration(1800);
				BlendMode(_BLEND_MIX);
				//DepthTestDisable();
				Size();
				{
					v(1110,210);
					v(1800,860);
				}
				Position();
				{
					v(-70,120,0);
					v(-920,50,0);
				}
				Alpha();
				{
					
					v(0);
					v(1);
					v(0.5f);
					v(0);
				}
				
			}
			
			Delay(80);
			
			Expl();
			{
				Texture("FXTexBlackSmoke");
				Duration(3600);
				BlendMode(_BLEND_MIX);
				//DepthTestDisable();
				Size();
				{
					v(1150,250);
					v(1750,850);
				}
				Position();
				{
					v(0,270,0);
					v(900,200,0);
				}
				Alpha ();
				{
					v(0);
					v(1);
					v(0.5f);
					v(0);
					
				}
			
			
			
			}
			
			Expl();
			{
				Texture("FXTexBlackSmoke");
				Duration(4400);
				BlendMode(_BLEND_MIX);
				//DepthTestDisable();
				Size();
				{
					v(1110,210);
					v(1700,960);
				}
				Position();
				{
					v(-70,180,0);
					v(-720,180,0);
				}
				Alpha();
				{
					
					v(0);
					v(1);
					v(0.2f);
					v(0);
				}
				
			}
		}
			
			
//------------------------------------------------------------------------			
			
        
		Sequence ("DustLandFlyingVehicle");
		{
			SeqDuration (12000);
			
			Expl();
			{
				Texture("FXTexDymring");
				Duration(3000);
				BlendMode(_BLEND_MIX);
				TowardsToCamera(0);
				Size();
				{
					v(30,30);
					v(2700,2700);
					v(3100,3100);
					v(3200,3200);
				}
				Position();
				{
					v(0,30,0);
					v(0,60,0);
					
				}
				Alpha();
				{
					v(0);
					v(1);
					v(1);
					v(0);
				}
				
				Rotation();
				{
					v(90,0,0);
				}
			}
			
			
			
			Delay(200);
			
			
			
			Expl();
			{
				Texture("FXTexBlackSmoke");
				Duration(1900);
				BlendMode(_BLEND_MIX);
				//DepthTestDisable();
				Size();
				{
					v(1450,950);
					v(1900,900);
				}
				Position();
				{
					v(0,0,0);
					v(500,100,0);
				}
				Alpha();
				{
					
					v(0);
					v(1);
					v(0.5f);
					v(0);
				}
				
			}
			
			Expl();
			{
				Texture("FXTexBlackSmoke");
				Duration(1700);
				BlendMode(_BLEND_MIX);
				//DepthTestDisable();
				Size();
				{
					v(1220,420);
					v(1970,880);
				}
				Position();
				{
					v(80,0,0);
					v(-480,70,0);
				}
				Alpha();
				{
					
					v(0);
					v(1);
					v(0.5f);
					v(0);
				}
				
			}
			
			Delay(50);
			
			Expl();
			{
				Texture("FXTexBlackSmoke");
				Duration(2100);
				BlendMode(_BLEND_MIX);
				//DepthTestDisable();
				Size();
				{
					v(1250,450);
					v(1650,650);
				}
				Position();
				{
					v(0,170,0);
					v(-700,100,0);
				}
				Alpha ();
				{
					v(0);
					v(1);
					v(0.5f);
					v(0);
					
				}
			
			
			
			}
			
			Expl();
			{
				Texture("FXTexBlackSmoke");
				Duration(1800);
				BlendMode(_BLEND_MIX);
				//DepthTestDisable();
				Size();
				{
					v(1110,210);
					v(1800,860);
				}
				Position();
				{
					v(-70,120,0);
					v(-920,50,0);
				}
				Alpha();
				{
					
					v(0);
					v(1);
					v(0.5f);
					v(0);
				}
				
			}
			
			Delay(80);
			
			Expl();
			{
				Texture("FXTexBlackSmoke");
				Duration(3600);
				BlendMode(_BLEND_MIX);
				//DepthTestDisable();
				Size();
				{
					v(1150,250);
					v(1750,850);
				}
				Position();
				{
					v(0,270,0);
					v(900,200,0);
				}
				Alpha ();
				{
					v(0);
					v(1);
					v(0.5f);
					v(0);
					
				}
			
			
			
			}
			
			Expl();
			{
				Texture("FXTexBlackSmoke");
				Duration(4400);
				BlendMode(_BLEND_MIX);
				//DepthTestDisable();
				Size();
				{
					v(1110,210);
					v(1700,960);
				}
				Position();
				{
					v(-70,180,0);
					v(-720,180,0);
				}
				Alpha();
				{
					
					v(0);
					v(1);
					v(0.2f);
					v(0);
				}
				
			}
}
	}
}