/** klasa reprezentujaca dowolna brame otwierana/zamykana karta magnetyczna
 */

public class GateKeyCard extends Gate
{
    /** nazwa karty, ktora musi posiadac pawn, zeby otworzyc drzwi
     */
    public String sKeyName = "KeyCard";//#TRIGGER
    
    /** Czy ma zjadac key card za pomoca ktorego byla otwarta */
    public boolean bEatsKeyCard = false;//#TRIGGER
    
    
 //-------------------------------------------------------------------------   
    GateKeyCard()
    {
        super();
        
        //nazwa elementu aktywnego
        ActiveElement = "zamek_elektoniczny";
        bCanAIOpenIt = false;
        bOpened = false;
    }
    
 //------------------------------------------------------------------------------    
    void Execute( Actor executor )
    {
        Pawn cPawn = null;
        try
        {
           cPawn = (Pawn)executor;
               
        }catch (Exception ex)
        {
                CrashLog("[GateKey.Execute]: Doors can be opened only by PAWN ! \n");
        }
        
        InvObject keyCard = cPawn.cInventory.GetByName(sKeyName);
        
        if (keyCard != null) //ma potrzebna karte
            {
                super.Execute(executor);

                //usuwamy karte, jesli brama jest taka zlosliwa
                if (bEatsKeyCard)
                {
                    cPawn.cInventory.RemoveInvObject(keyCard);
                }
            }
            else
            {
                PlaySound(sLockSystemReject, GetElementPos(GetElementID(ActiveElement)));
                cPawn.TextMessage("&KEYCARD_NEEDED_1&"+" "+sKeyName+" "+"&KEYCARD_NEEDED_2&");
                
            }
        
        
       
    }
//------------------------------------------------------------------------------  
    void OnCreate()
    {
        super.OnCreate();
        
        
    }
//------------------------------------------------------------------------------      
   
   
}
