public class HintJeepAvailable extends Hint
{
    HintJeepAvailable()
    {
        m_nId           = _HINT_JEEPAVAILABLE;
        m_sText         = "&HINT_JEEPAVAILABLE&";
        
        m_fMinCheckTime = 5.0f;
    }
    
    boolean ShouldBeActivated(float fTimeNow)
    {
        Module module = m_cHintManager.GetModule();
        
        if ( module != null && module instanceof ChromeModuleSingle )
        {
            Player player = ((ChromeModuleSingle)module).MainPlayer;
            if ( player == null )
                return false;
        
            // szukamy pojazdu kolo playera
            ControlObject aVehicle[] = player.GetObjectsInRadiusFromClass(500.0f, "Vehicle");
            //i sprawdzamy czy mozna go uzyc
            if (aVehicle != null && aVehicle.length > 0)
                for (int i = 0; i < aVehicle.length; i++)
                    if (((TriggerObject)aVehicle[i]).IsActive(player))
                        return true;
        }
        
        return false;
    }
    
    void IncomingMessage(int nId)
    {
        if ( nId == HintManager._MSG_JEEPUSED )
            SetToRemove();
    }
   
}
