public class RocketStationaryCannonNet extends Rocket
{
    public void Init( Weapon weapon, ChromeActor cWeaponMesh)
    {
        super.Init( weapon, cWeaponMesh );
        
        if ( cWeaponMesh instanceof StationaryCannon )
        {
            fDamage         = 0;
            fBlastDamage    = ((StationaryCannon) cWeaponMesh).fFireDamage;//MK:?
            fRange          = ((StationaryCannon) cWeaponMesh).fFireRange;
        }
    }
    
    void CheckOwnerWeapon()
    {
        super.CheckOwnerWeapon();
        
        if ( cWeaponOwner instanceof CannonController )
        {
            ChromeActor cOwnerMesh = (((CannonController)cWeaponOwner).m_OwnerMesh instanceof ChromeActor)?
                                     (ChromeActor)((CannonController)cWeaponOwner).m_OwnerMesh: null;
            Init( cWeaponOwner, cOwnerMesh );
        }
    }
}
