public class PilotUniform extends InvObjectInst
{
    PilotUniform()
    {
        super();
        
        MeshName = "Data/Meshes/Equipment/bomba_zdalna.3DA";
        
        nInvIndex = InvObject._E_UNIFORM;
        nInvType = EInvObjType._EQUIP;
        sName = "&E_N_PILOT_UNIFORM&";
        sTexFileName = "Data/Textures/CH_I_Weapons4.png";
      	nCellsWidth = 4;
	    nCellsHeight = 2;
        
        //wspolrzedne polozenia na teksturze
        nOnTexPosX = 0.0f;
        nOnTexPosY = 120.0f;
        
        //rozmiary tekstury
        nTexSizeX = 256.0f;
        nTexSizeY = 256.0f;
        
        bLocked = true;
        bMissionCritical = true;
    }
    
    public boolean IsActive(ControlObject Activator)
    {
        if (Activator instanceof Pawn)
        {
            Inventory cPawnInventory = ((Pawn)Activator).cInventory;
            return (cPawnInventory.GetSpecificInvObject(InvObject._E_UNIFORM) == null);
        }
        return false;
    }
}

