public class StationaryCannonControllerNet extends CannonController
{
    void SetPlayerManual(Player player)
    {
        super.SetPlayerManual( player );
        ChangeNetOwner( player );
    }
    
    public boolean StartManualControl(Pawn cUser, 
                                      float fOverGunHeight, float fOverGunBack,
                                      float fOverGunHeightAim, float fOverGunBackAim,
									  float fOverGunFOV, float fOverGunAimFOV,
                                      boolean bUseGyro)
    {
        boolean bRet = super.StartManualControl( cUser, 
                                                 fOverGunHeight, fOverGunBack,
                                                 fOverGunHeightAim, fOverGunBackAim,
									             fOverGunFOV, fOverGunAimFOV,
                                                 bUseGyro );
        nRoundShots = m_nOldRoundShots;
        return bRet;
    }
    
    float m_fEndRoundTime = -1;
    
    public void StartFire(byte nMode)
    {
        if (GetTime() - m_fEndRoundTime < m_fLongDelay)//jeszcze nie naladowane
        {
            ((CannonController)m_OwnerMesh).StillOverHeat();
            return;
        }
        super.StartFire( nMode );
    }
    
    
    protected void FireModeAuto()
    {
        if (nCurrentMode == MODE_AUTO)
        {
            int nState = GetState();
            if ((nState & STATE_NO_AMMO) == 0 ) 
            {
                if ((nRoundShots == 0) || (nShots < nRoundShots))
                {
                    SetFireModeSingle();
                    //HACK by MK, zeby robil przerwy miedzy seriami
                    if ( nShots == nRoundShots )
                    {
                        fLastShotT += m_fLongDelay - fDelay;
                        MessageLongDelay( m_fLongDelay );
                        ((CannonController)m_OwnerMesh).OverHeat();
                    }
                }
                else
                {
                    m_fEndRoundTime = GetTime();
                    StopFire();
                    SendWeaponMessage( nState );
                }
            }
            else
            {  
                // koniec amunicji - zaprzestan strzelania i powiadom
                StopFire();
                SendWeaponMessage( nState );
            }
        }
    }
}
