public class StationaryEnergyCannonNet extends EnergyCannon
{
    StationaryEnergyCannonNet()
    {
        super();
        
        m_cCannonControllerClass = StationaryEnergyCannonControllerNet.class;
        
        //Cannons in net game are not destroyable
        m_bDestroyable = false;

        //SP params:
        /*
        nRoundShots = 12;
        fRateOfFire = 20f;
        fLongDelay = 3f;
        fFireRange = 5000f;
        
        fFireDamage = 2000f;

        m_fBaseAccuracy = 1.5f;
        m_fAimAccuracy  = 1.0f;
    
        m_fMaxHAngle = 45f;
        m_fMinVAngle = -30f;
        m_fMaxVAngle = 30f;
        */
        
        //full revolution
        m_fMaxHAngle = 360f;
        // aim accuracy as WeaponRifle
        m_fAimAccuracy  = 1.15f;
        // fire range as WeaponRifleHeavy
        fFireRange = 30000.0f;
        // fire damage = 60% of HeavyWalker's health
        fFireDamage = 0.6f * 3900.0f;
        
        //info: blastdamage and blast radius defined
        //in class StationaryEnergyCannonControllerNet
    }
}
