public class WeaponHeavyHEX extends WeaponHEX
{
    WeaponHeavyHEX()
    {
        super();

        //MeshObject
        MeshName="Data/Meshes/Equipment/TPPheavy.3DA";
        m_nFireMode = _FIREMODE_BURST;        
        //Weapon
        nType = EWeaponType._HEAVY;

        sRocketClassName = "RocketHEX";
        
        //InvObject properites
        nInvIndex = InvObject._W_HEAVY_HEX;
        sName = "&W_N_HEX&";
        
        sTexFileName = "Data/Textures/CH_I_Weapons2.png";
        
        //wspolrzedne polozenia na teksturze
        nOnTexPosX = 0.0f;
        nOnTexPosY = 100.0f;
        
        //rozmiary tekstury
        nTexSizeX = 256.0f;
        nTexSizeY = 256.0f;

		// Ilosc kratek zajmowanych w plecaku
	    nCellsHeight = 3;
	    nCellsWidth = 10;
		
        fRecoilShiftChange= 0.04f;

        fDamage             = 45.0f;
        fPhysicsSimDamage   = fDamage;
        fRange              = 4000.0f;
        fBulletSpeed        = 10000.0f;
	    fRateOfFire         = 75.0f;
	    eBulletType         = EAmmoType._Energy;
		nCapacity		    = 20;

		fNoiseShot = 10000.0f;
		fNoiseHit  = 500.0f;

        /**Nazwa dzieku odpalanego przy wystrzale */
        sSoundShoot = "Data/Sounds/Weapon/H01_Fire";
        sSoundReload = "Data/Sounds/Weapon/H01_Reload";
        sSoundEmpty = "Data/Sounds/Weapon/H01_Click";
        
        fMinShootSound = 1000.f;
        fMaxShootSound = 9000.f;
        
        fBaseAcc = 2;
        
		/**Nazwa FX odpalanego przy wystrzale (grzebien)*/
        //TODO wstawic odpowiedni
		sFXCombName = "FXGrzebienHeavyHEX";
        
        /** Klasa mesha pokazywanego w FPP */
        sFPPHandsClass = "FPPHandsHeavy";
        
        ////////////////////////////////////////////////////////////////////////////
        //                         PARAMETRY DLA AI                               //
        ////////////////////////////////////////////////////////////////////////////
        nAIFireModes = _FIREMODE_SINGLE | _FIREMODE_BURST;
        
        ////////////////////////////////////////////////////////////////////////////
        fShootLightScale = 500;
        vShootLightColor = new Vector(0.8f,0.8f,0.8f);
    }
    
    /*String GetInfoString()
    {
        if (cBullet == null)
            cBullet = (Rocket)GetObjectOfClass(sRocketClassName);
        return Text.Get("&W_D_AMMO&") + EAmmoType.GetAmmoName(eBulletType) + "\n" +
                Text.Get("&W_D_CAPACITY&") + String.valueOf(nCapacity) + "\n" +
                Text.Get("&W_D_DAMAGE&") + String.valueOf((int)cBullet.fDamage) + "\n" +
                Text.Get("&W_D_RANGE&") + String.valueOf((int)((((Rocket)cBullet).fRange)/100)) + "m";
    }*/
}
