public class Level13Decision extends ChromeModulePreMission
{
    final static int    _DECISION_1 = 0,
                        _DECISION_2 = 1,
                        _DECISION_3 = 2;
    
    Level13DecisionMenu m_cMenu = null;
    public class BackFromScenery extends FadeScene
    {
        boolean bDeleteMenu = false;
        
        public void OnEnter()
        {
            ShowMenu();//FadeOut(fFadingTime);
        }
        
        void OnFadeOutEnd()
        {
            //ShowMenu();
        }
        
        void ShowMenu()
        {
            
            m_cMenu = (Level13DecisionMenu)CreateObject("Level13DecisionMenu");
            m_cMenu.SetModule(Level13Decision.this);
            m_cMenu.MoveTop();
        }
        
        
    }
    
    void OnMenu(int nDecision)
    {
        switch (nDecision)
        {
        case _DECISION_1:
            cGameInitInfo.cLevels.nCurrent = -1;
            cGameInitInfo.cLevels.Init("data/LevelsSingle_13a.scr", false);
            break;
        case _DECISION_2:
            cGameInitInfo.cLevels.nCurrent = -1;
            cGameInitInfo.cLevels.Init("data/LevelsSingle_13b.scr", false);
            break;
        case _DECISION_3:
            cGameInitInfo.cLevels.nCurrent = -1;
            cGameInitInfo.cLevels.Init("data/LevelsSingle_13c.scr", false);
            break;
            
        }
        m_cMenu.Hide();
        ForceRender();
        CallMethodIn("RemoveAll", 0);
    }
    
    void RemoveAll()
    {
        if(cTrackingCam != null)
        {
            cTrackingCam.ChangeTarget(null);
        }
        
        if ( cSceneryObject != null )
        {
            cSceneryObject.delete();
            cSceneryObject=null;
        }
        
        if (m_InventoryWindow != null)
        {
            LogD("Usuwam inventory window\n");
            RemoveSprite(m_InventoryWindow);
            m_InventoryWindow.delete();
            m_InventoryWindow = null;
        }
        
        if (m_cMenu != null)
        {
            m_cMenu.Remove();
            m_cMenu.ReleaseTextures();
            RemoveSprite(m_cMenu);
            m_cMenu.delete();
        }
        
        if ( cMenu != null )
        {
            cMenu.ActiveLevelReturnValue = ChromeModule._LEVEL_FINISHED;
            Deactivate();
            cMenu.Activate();
        }
        else
        {
            // jesli film zostal odpalony nie zmeni ale z gry to modul musi byc deaktywowany
            Deactivate();
        }
    }
 
    void OnInputKey(int nKeyCode, boolean bKeyState, char nKeyAscii)
    {
        if(bKeyState)
        {
            if(nKeyCode==EKey._ESCAPE)
            {
                if( IsMoviePlaying() )
                    StopMovie();
            }
        }
    }
    
}
