/** Guzik przywolujacy winde
 */
public class LiftPlatformButtonOld extends AnimatedScreen
{
    /** Ustawiana w edytorze winda kontrolowana przez guzik  */
    public Object cControlledLift = null;//#BUTTON
    
    /** Wielkosc pietra uzywana do ustalania ile pieter jest winda od przelacznika */
    float fFloorHeight = 500.0f;
    
    LiftPlatformOld cLift = null;
    
    LiftPlatformButtonOld()
    {
        ///sTexturesList = "CH_E_Lift2.png";
        nStartupScreenIdx = 0;
    }
    
    public void OnCreate()
    {
        super.OnCreate();

        // ustawiamy winde
        cLift = (LiftPlatformOld)cControlledLift;
        
        if(cControlledLift==null)
        {
            CrashLog("[LiftPlatformButtonOld.OnCreate] No controlled lift selected\n");
        }
        
        fHealth = 1e9f;//HAK!!!
    }

    String GetTip()
    {
        return "&CALL_LIFT&";
    }
    
    public boolean IsActive(ControlObject Activator)
    {
        return true;
    }
    
    void Execute( Actor executor )
    {
        if(cLift==null) return;
        
        float fDistanceFromLift = cLift.GetPosition().fY - GetPosition().fY;
        if( fDistanceFromLift > fFloorHeight)
        {
            cLift.SetStateMoving( GetTime() );
        }
    }
}
