public class EChromeFourLevelsMenuUI extends EUI 
{
    final static float P256 = 1.0f/256.0f;
    final static float P1024 = 1.0f/1024.0f;
    
    final static int ID_BTN_LOAD        = 311; 
    final static int ID_BTN_BACK        = 312;
    final static int ID_BTN_LEVEL0      = 313;
    final static int ID_BTN_LEVEL1      = 314;
    final static int ID_BTN_LEVEL2      = 315;
    final static int ID_BTN_LEVEL4      = 316;
    final static int ID_BTN_LEVEL6      = 317;
    final static int ID_BTN_LEVEL10a      = 318;
    
    //-----------------------------------------------------------------------
    
    static UIElement Button_Load = new UIElement(
        ID_BTN_LOAD,0,
        new Vector(54 + 256 + 20 ,420,0),
        new Vector(256,32,0),
        MenuTextures.sRamka, 
        MenuTextures.sRamka2, 
        MenuTextures.sRamka, 
        MenuTextures.sRamka2, 
        EButtonFlags.BTN_TYPE_PUSHBUTTON,
        "&LOAD&"
        );
    
    static UIElement Button_Back = new UIElement(
        ID_BTN_BACK,0,
        new Vector(54,420,0),
        new Vector(256,32,0),
        MenuTextures.sRamka, 
        MenuTextures.sRamka2, 
        MenuTextures.sRamka, 
        MenuTextures.sRamka2, 
        EButtonFlags.BTN_TYPE_PUSHBUTTON,
        "&BACK&"
        );
    
    static UIElement Button_Level0 = new UIElement(
        ID_BTN_LEVEL0,0,
        new Vector(344 ,58,0),
        new Vector(256,32,0),
        MenuTextures.sRamka, 
        MenuTextures.sRamka2, 
        MenuTextures.sRamka, 
        MenuTextures.sRamka2, 
        EButtonFlags.BTN_TYPE_CHECKBUTTON,
        "&LEVEL 0&"
        );
    
    static UIElement Button_Level1 = new UIElement(
        ID_BTN_LEVEL1,0,
        new Vector(344 ,100,0),
        new Vector(256,32,0),
        MenuTextures.sRamka, 
        MenuTextures.sRamka2, 
        MenuTextures.sRamka, 
        MenuTextures.sRamka2, 
        EButtonFlags.BTN_TYPE_CHECKBUTTON,
        "&LEVEL 1&"
        );
    
    static UIElement Button_Level2 = new UIElement(
        ID_BTN_LEVEL2,0,
        new Vector(344,142,0),
        //new Vector(344 ,100,0),
        new Vector(256,32,0),
        MenuTextures.sRamka, 
        MenuTextures.sRamka2, 
        MenuTextures.sRamka, 
        MenuTextures.sRamka2, 
        EButtonFlags.BTN_TYPE_CHECKBUTTON,
        "&LEVEL 2&"
        );
    
    static UIElement Button_Level4 = new UIElement(
        ID_BTN_LEVEL4,0,
        new Vector(344,184,0),
        new Vector(256,32,0),
        MenuTextures.sRamka, 
        MenuTextures.sRamka2, 
        MenuTextures.sRamka, 
        MenuTextures.sRamka2, 
        EButtonFlags.BTN_TYPE_CHECKBUTTON,
        "&LEVEL 4&"
        );
    
    static UIElement Button_Level6 = new UIElement(
        ID_BTN_LEVEL6,0,
        new Vector(344,226,0),
        new Vector(256,32,0),
        MenuTextures.sRamka, 
        MenuTextures.sRamka2, 
        MenuTextures.sRamka, 
        MenuTextures.sRamka2, 
        EButtonFlags.BTN_TYPE_CHECKBUTTON,
        "&LEVEL 6&"
        );
    
        static UIElement Button_Level10a = new UIElement(
        ID_BTN_LEVEL10a,0,
        new Vector(344,268,0),
        new Vector(256,32,0),
        MenuTextures.sRamka, 
        MenuTextures.sRamka2, 
        MenuTextures.sRamka, 
        MenuTextures.sRamka2, 
        EButtonFlags.BTN_TYPE_CHECKBUTTON,
        "&LEVEL 10a&"
        );
}
