public class EChromeInGameUI extends EUI
{
    final static float P256 = 1.0f/256.0f;
    final static float P1024 = 1.0f/1024.0f;
    
    final static int ID_BTN_RESUME    = 311; 
    final static int ID_BTN_SAVE_LOAD = 312;
    //final static int ID_BTN_SAVE      = 312;
    //final static int ID_BTN_LOAD      = 313;
    final static int ID_BTN_OPTIONS   = 314;
    final static int ID_BTN_QUIT      = 315;
    final static int ID_BTN_RESTART   = 316;
    final static int ID_BTN_QUICKLOAD = 317;
    
  
    //-----------------------------------------------------------------------
    static int yPos1 = 156;
    
    static UIElement Button_Resume = new UIElement(
        ID_BTN_RESUME,0,
        new Vector(192,yPos1,0),
        new Vector(256,32,0),
        MenuTextures.sRamka, 
        MenuTextures.sRamka2, 
        MenuTextures.sRamka, 
        MenuTextures.sRamka2, 
        EButtonFlags.BTN_TYPE_PUSHBUTTON,
        "&RESUME GAME&"
        );
    
    static int yPos2 = yPos1 + 34;
    
    static UIElement Button_Restart = new UIElement(
        ID_BTN_RESTART,0,
        new Vector(192,yPos2,0),
        new Vector(256,32,0),
        MenuTextures.sRamka, 
        MenuTextures.sRamka2, 
        MenuTextures.sRamka, 
        MenuTextures.sRamka2, 
        EButtonFlags.BTN_TYPE_PUSHBUTTON,
        "&RESTART MISSION&"
        );
    
    static int yPos3 = yPos2;// + 34;

    /*static UIElement Button_QuickLoad = new UIElement(
        ID_BTN_QUICKLOAD,0,
        new Vector(192,yPos3,0),
        new Vector(256,32,0),
        MenuTextures.sRamka, 
        MenuTextures.sRamka2, 
        MenuTextures.sRamka, 
        MenuTextures.sRamka2, 
        EButtonFlags.BTN_TYPE_PUSHBUTTON,
        "&QUICKLOAD GAME&"
        );*/
    
    static int yPos4 = yPos3 + 34;
    
    static UIElement Button_Save_Load = new UIElement(
        ID_BTN_SAVE_LOAD,0,
        new Vector(192,yPos4,0),
        new Vector(256,32,0),
        MenuTextures.sRamka, 
        MenuTextures.sRamka2, 
        MenuTextures.sRamka, 
        MenuTextures.sRamka2, 
        EButtonFlags.BTN_TYPE_PUSHBUTTON,
        "&SAVE LOAD GAME&"
        );
    
    static int yPos5 = yPos4 + 34;
    
    static UIElement Button_Options = new UIElement(
        ID_BTN_OPTIONS,0,
        new Vector(192,yPos5,0),
        new Vector(256,32,0),
        MenuTextures.sRamka, 
        MenuTextures.sRamka2, 
        MenuTextures.sRamka, 
        MenuTextures.sRamka2, 
        EButtonFlags.BTN_TYPE_PUSHBUTTON,
        "&OPTIONS&"
        );
    
    
    static int yPos6 = yPos5 + 34;
    
    static UIElement Button_Quit = new UIElement(
        ID_BTN_QUIT,0,
        new Vector(192,yPos6,0),
        new Vector(256,32,0),
        MenuTextures.sRamka, 
        MenuTextures.sRamka2, 
        MenuTextures.sRamka, 
        MenuTextures.sRamka2, 
        EButtonFlags.BTN_TYPE_PUSHBUTTON,
        "&QUIT GAME&"
        );
}
