public class EChromeNewGameUI extends EUI
{
    final static float P256 = 1.0f/256.0f;
    final static float P1024 = 1.0f/1024.0f;
    
	final static int ID_BTN_VERY_EASY = 320; 
    final static int ID_BTN_EASY      = 321; 
    final static int ID_BTN_MEDIUM    = 322;
    final static int ID_BTN_HARD  = 323;
	final static int ID_BTN_VERY_HARD = 324;
    
    final static int ID_BTN_BACK      = 325;
    
    //--------------------------------------------------
    
    static UIElement Button_Easy = new UIElement(
        ID_BTN_EASY,0,
        new Vector(192,100 + 73,0),
        new Vector(256,32,0),
        MenuTextures.sRamka, 
        MenuTextures.sRamka2, 
        MenuTextures.sRamka, 
        MenuTextures.sRamka2, 
        EButtonFlags.BTN_TYPE_PUSHBUTTON,
        "&DIFF_EASY&"
        );
    
    static UIElement Button_Medium = new UIElement(
        ID_BTN_MEDIUM,0,
        new Vector(192,134 + 73,0),
        new Vector(256,32,0),
        MenuTextures.sRamka, 
        MenuTextures.sRamka2, 
        MenuTextures.sRamka, 
        MenuTextures.sRamka2, 
        EButtonFlags.BTN_TYPE_PUSHBUTTON,
        "&DIFF_MEDIUM&"
        );
    
    static UIElement Button_Hard = new UIElement(
        ID_BTN_HARD,0,
        new Vector(192,168 + 73,0),
        new Vector(256,32,0),
        MenuTextures.sRamka, 
        MenuTextures.sRamka2, 
        MenuTextures.sRamka, 
        MenuTextures.sRamka2, 
        EButtonFlags.BTN_TYPE_PUSHBUTTON,
        "&DIFF_HARD&"
        );
    
    static UIElement Button_Back = new UIElement(
        ID_BTN_BACK,0,
        new Vector(192,202 + 10 + 73 ,0),
        new Vector(256,32,0),
        MenuTextures.sRamka, 
        MenuTextures.sRamka2, 
        MenuTextures.sRamka, 
        MenuTextures.sRamka2, 
        EButtonFlags.BTN_TYPE_PUSHBUTTON,
        "&DIFF_BACK&"
        );
}
