public class ChromeControlsImplants extends ChromeMenuWindow
{
    ChromeControlsMenu m_cChromeControlsMenu = null;
	 
	UIImplantsButton m_acImplants[] = null;
	MenuButtonSized m_acBinds[] = null;
	int m_iBindSelected = ID_IMPLANTS_BIND_0;
	
	final static int ID_IMPLANTS_BIND_0 = 0;
	final static int ID_IMPLANTS_BIND_1 = 1;
	final static int ID_IMPLANTS_BIND_2 = 2;
	final static int ID_IMPLANTS_BIND_3 = 3;
	
	ImplantsBinding m_cBeginningBinding0 = null,
					m_cBeginningBinding1 = null,
					m_cBeginningBinding2 = null,
					m_cBeginningBinding3 = null;
	
	ImplantsBinding m_cBinding = null;
        
	public void OnCreate() 
    {
        super.OnCreate();
        
		m_acImplants = new UIImplantsButton[7];
		for( int i=0; i<7; i++)
		{
			m_acImplants[i] = (UIImplantsButton)GetElem("ID_IMPLANT_"+i);
			UIStatic cName = (UIStatic)m_acImplants[i].GetElem("ID_NAME");
			cName.SetText(TextToUpperCase(Text.Get(cName.m_sText.substring(1, cName.m_sText.length() - 1))));
		}
		
		m_acBinds = new MenuButtonSized[4];
		for( int i=0; i<4; i++)
		{
			m_acBinds[i] = (MenuButtonSized)GetElem("ID_IMPLANTS_BIND_"+i);
		}
		
		PrepareButtons();
    }	
		
	public void Show()
    {
     //ustawienie podpietych przyciskow
	
	//hardcore ale przynajmniej przyciski sa odswiezane na biezaco
	((UIStatic)GetElem("ID_IMPLANTS_KEY_0")).SetText("[" + Text.Get(ControlLoadSave.GetKeyName(ControlLoadSave.KeyId[ControlLoadSave.IMPLANTBIND_1_ID]))+"]");
	((UIStatic)GetElem("ID_IMPLANTS_KEY_1")).SetText("[" + Text.Get(ControlLoadSave.GetKeyName(ControlLoadSave.KeyId[ControlLoadSave.IMPLANTBIND_2_ID]))+"]");
	((UIStatic)GetElem("ID_IMPLANTS_KEY_2")).SetText("[" + Text.Get(ControlLoadSave.GetKeyName(ControlLoadSave.KeyId[ControlLoadSave.IMPLANTBIND_3_ID]))+"]");
	((UIStatic)GetElem("ID_IMPLANTS_KEY_3")).SetText("[" + Text.Get(ControlLoadSave.GetKeyName(ControlLoadSave.KeyId[ControlLoadSave.IMPLANTBIND_4_ID]))+"]");
	
	/*((UIStatic)GetElem("ID_IMPLANTS_KEY_0")).SetText("[" + Text.Get(ControlLoadSave.KeyName[EGameControl.IMPLANTBIND_1])+"]");
	((UIStatic)GetElem("ID_IMPLANTS_KEY_1")).SetText("[" + Text.Get(ControlLoadSave.KeyName[EGameControl.IMPLANTBIND_2])+"]");
	((UIStatic)GetElem("ID_IMPLANTS_KEY_2")).SetText("[" + Text.Get(ControlLoadSave.KeyName[EGameControl.IMPLANTBIND_3])+"]");
	((UIStatic)GetElem("ID_IMPLANTS_KEY_3")).SetText("[" + Text.Get(ControlLoadSave.KeyName[EGameControl.IMPLANTBIND_4])+"]");
	*/
	PrepareButtons();
				
    super.Show();
    } 
	
	void PrepareButtons()
	{
		if(m_acBinds != null && m_acBinds[0] != null)
		{
			SetImplants(ID_IMPLANTS_BIND_0);
			m_acBinds[0].SetCheck(true);
			m_acBinds[0].SetFocus(true);
			m_acBinds[1].SetCheck(false);
			m_acBinds[2].SetCheck(false);
			m_acBinds[3].SetCheck(false);
			
			RememberSettingsAtBeggining();
		}
	}
	
	void RememberSettingsAtBeggining()
	{
	   m_cBeginningBinding0 = new ImplantsBinding(EGameControl.m_cImplantsBindingF1);
	   m_cBeginningBinding1 = new ImplantsBinding(EGameControl.m_cImplantsBindingF2);
	   m_cBeginningBinding2 = new ImplantsBinding(EGameControl.m_cImplantsBindingF3);
	   m_cBeginningBinding3 = new ImplantsBinding(EGameControl.m_cImplantsBindingF4);
	}
	
	void GetSettingsFromTheBeggining()
	{
	   EGameControl.m_cImplantsBindingF1 = m_cBeginningBinding0;
	   EGameControl.m_cImplantsBindingF2 = m_cBeginningBinding1;
	   EGameControl.m_cImplantsBindingF3 = m_cBeginningBinding2;
	   EGameControl.m_cImplantsBindingF4 = m_cBeginningBinding3;
	}
	
    void OnUICommand(UIWindow cSender, int nCommand)
	{
		super.OnUICommand(cSender,nCommand);
		     
		if(nCommand == EUIConst.CM_CLICK || nCommand == EUIConst.CM_DBCLICK)
        {
           if(cSender.m_sId.equals("ID_OK"))
			{
				BindSelected(); 
				Discard();
            }else
			if(cSender.m_sId.equals("ID_CANCEL"))
			{
	            GetSettingsFromTheBeggining();
				Discard();
			}else
			if(cSender.m_sId.equals("ID_CLEAR"))
			{
				ClearSelected();
				SetImplants(m_iBindSelected);
	        }else
			if(cSender.m_sId.equals("ID_CLEAR_ALL"))
			{
				ClearAll();
				SetImplants(m_iBindSelected);
	        }
		   
		   if(cSender.m_sId.equals("ID_IMPLANTS_BIND_0"))
		    {
				BindSelected();	
				SelectBind0();
			}else
			if(cSender.m_sId.equals("ID_IMPLANTS_BIND_1"))
		    {
				BindSelected();				
				SelectBind1();
			}else
			if(cSender.m_sId.equals("ID_IMPLANTS_BIND_2"))
		    {
				BindSelected();
				SelectBind2();
			}else
			if(cSender.m_sId.equals("ID_IMPLANTS_BIND_3"))
		    {
				BindSelected();
				SelectBind3();
			}else
			{
				CheckBindSelection();
			}
			
        }
    }
	
	void CheckBindSelection()
	{
		if(m_acBinds[0].GetCheck())
		{
			if (m_iBindSelected != ID_IMPLANTS_BIND_0)
				SelectBind0();
		}else
			if(m_acBinds[1].GetCheck())
			{
				if (m_iBindSelected != ID_IMPLANTS_BIND_1)
					SelectBind1();
			}else
				if(m_acBinds[2].GetCheck())
				{
					if (m_iBindSelected != ID_IMPLANTS_BIND_2)
						SelectBind2();
				}else
					if(m_acBinds[3].GetCheck())
					{
						if (m_iBindSelected != ID_IMPLANTS_BIND_3)
							SelectBind3();
					}
	}
    
	void SelectBind0()
	{
		m_acBinds[0].SetCheck(true);
		m_acBinds[0].SetFocus(true);
		m_acBinds[1].SetCheck(false);
		m_acBinds[2].SetCheck(false);
		m_acBinds[3].SetCheck(false);
		SetImplants(ID_IMPLANTS_BIND_0);
	}
	
	void SelectBind1()
	{
		m_acBinds[0].SetCheck(false);
		m_acBinds[1].SetCheck(true);
		m_acBinds[1].SetFocus(true);
		m_acBinds[2].SetCheck(false);
		m_acBinds[3].SetCheck(false);
		SetImplants(ID_IMPLANTS_BIND_1);
	}

	void SelectBind2()
	{
		m_acBinds[0].SetCheck(false);
		m_acBinds[1].SetCheck(false);
		m_acBinds[2].SetCheck(true);
		m_acBinds[2].SetFocus(true);
		m_acBinds[3].SetCheck(false);
		SetImplants(ID_IMPLANTS_BIND_2);
	}

	void SelectBind3()
	{
		m_acBinds[0].SetCheck(false);
		m_acBinds[1].SetCheck(false);
		m_acBinds[2].SetCheck(false);
		m_acBinds[3].SetCheck(true);
		m_acBinds[3].SetFocus(true);
		SetImplants(ID_IMPLANTS_BIND_3);
	}

	void BindSelected()
	{
		Bind(m_iBindSelected);
	}
	
	void ClearSelected()
	{
		PrepareBinding(m_iBindSelected);
		m_cBinding.Clear();
	}
	
	void ClearAll()
	{
		EGameControl.m_cImplantsBindingF1.Clear();
		EGameControl.m_cImplantsBindingF2.Clear();
		EGameControl.m_cImplantsBindingF3.Clear();
		EGameControl.m_cImplantsBindingF4.Clear();
	}
	
	void PrepareBinding(int nBind)
	{
		if (nBind == ID_IMPLANTS_BIND_0)
            m_cBinding = EGameControl.m_cImplantsBindingF1;

        if (nBind == ID_IMPLANTS_BIND_1)
            m_cBinding = EGameControl.m_cImplantsBindingF2;

        if (nBind == ID_IMPLANTS_BIND_2)
            m_cBinding = EGameControl.m_cImplantsBindingF3;

        if (nBind == ID_IMPLANTS_BIND_3)
            m_cBinding = EGameControl.m_cImplantsBindingF4;
	}
	
	void Bind(int nBind)
    {
        PrepareBinding(nBind);
		m_cBinding.Clear();

        for (int i = 1; i < EGameControl.IMPLANTS_NUM; i ++)
        {
            if (m_acImplants[i-1].GetCheck())
                m_cBinding.BindImplant(i);
        }
    }
	
	void SetImplants(int nBind)
    {
		m_iBindSelected = nBind;
        PrepareBinding(nBind);
		
        for (int i = 1; i < EGameControl.IMPLANTS_NUM; i ++)
        {
            if (m_cBinding.IsBinded(i))
                m_acImplants[i-1].SetCheck(true);
			else
				m_acImplants[i-1].SetCheck(false);
        }
    }
	
    void SetServerWindow(ChromeControlsMenu cChromeControlsMenu,ChromeMenuModule cMenuModule)
    {
        m_cChromeControlsMenu = cChromeControlsMenu;
        MenuModule=cMenuModule; 
    }
    
    void Discard()
    {
        if(!CanDiscard())
			return;
		//m_cChromeControlsMenu.TypedPassword( m_cTypePassword.GetText(), true);
		Hide();
        m_cChromeControlsMenu.Show();
    }
}
