public class Level13DecisionMenu extends UserInterface
{
    Level13Decision m_cModule = null;
    
    void SetModule(Level13Decision cModule)
    {
        m_cModule = cModule;
    }
    
    public void OnCreate()
    {
        super.OnCreate();
        Load(GetModule(), "data\\menu\\Level13Decision.scr", true);
    }
    
    public void OnInit()
    {
        super.OnInit();
        //czarujemy, zeby przyciski byly w odpowiednim rozmiarze i polozeniu, musimy
        //czarowac, bo zmienia sie font w zaleznosci od rozdzielczosci
        UIButton btn1 = (UIButton)GetElem("ID_BUTTON_DECISION_1");
        UIButton btn2 = (UIButton)GetElem("ID_BUTTON_DECISION_2");
        UIButton btn3 = (UIButton)GetElem("ID_BUTTON_DECISION_3");
        float fButtonDistance = 20;
        float fMargin = 5;
        btn1.DisplayText();
        btn2.DisplayText();
        btn3.DisplayText();
        Vector vBtnSize = new Vector();
        vBtnSize.fY = btn1.GetTextExtent().fY + fMargin;
        vBtnSize.fX = Math.max(btn1.GetTextExtent().fX, Math.max(btn2.GetTextExtent().fX, btn3.GetTextExtent().fX)) + 2 * fMargin;
        UIWindow cFrame = GetElem("ID_FRAME");
        Vector vFrameSize = cFrame.GetSize();
        float fPosY = cFrame.GetPos().fY + (vFrameSize.fY - 3*vBtnSize.fY - 2*fButtonDistance)/2f;
        btn1.UpdateLogicSizeAndPos(vBtnSize, new Vector(0, fPosY, 0));
        btn1.OnSizeAndPos();
        btn2.UpdateLogicSizeAndPos(vBtnSize, new Vector(0, fPosY + vBtnSize.fY + fButtonDistance, 0));
        btn2.OnSizeAndPos();
        btn3.UpdateLogicSizeAndPos(vBtnSize, new Vector(0, fPosY + (vBtnSize.fY + fButtonDistance) * 2f, 0));
        btn3.OnSizeAndPos();
        SetFocus(false);
    }
    
    void OnUICommand(UIWindow cSender, int nCommand)
	{
		super.OnUICommand(cSender,nCommand);
        
		if(nCommand == EUIConst.CM_CLICK || nCommand == EUIConst.CM_DBCLICK)
        {
            if (cSender.m_sId.compareTo("ID_BUTTON_DECISION_1") == 0)
                m_cModule.OnMenu(m_cModule._DECISION_1);
            else
                if (cSender.m_sId.compareTo("ID_BUTTON_DECISION_2") == 0)
                    m_cModule.OnMenu(m_cModule._DECISION_2);
                else
                    if (cSender.m_sId.compareTo("ID_BUTTON_DECISION_3") == 0)
                        m_cModule.OnMenu(m_cModule._DECISION_3);
        }
    }
}
