public class act_MissionEnd extends Action
{
    /** Okresla czy misja konczy sie sukcesem czy nie */
    public boolean bSuccess = false;//#
    
    /** Okresla czy misja nie skonczyla sie zarowno sukcesem jak i porazka */
    public boolean bToBeContinue = false;//#
    
    /** Tekst pokazywany jako powod zakonczenia misji */
    public String sComment = "";//#
    
    /** Obiekt na ktory patrzy kamera na koniec misji */
    public MeshObject cCameraTarget = null;//#;Camera will keep tracking this object
        
    /** Nazwa mesh elementu obiektu na ktory patrzy kamera na kocu */
    public String sCameraTargetElement = "";//#;Camera will keep tracking this object element
    
    void InvokeAction()
    {
        CrashLog("[act_MissionEnd.InvokeAction] bSuccess="+bSuccess+" bToBeContinue="+bToBeContinue+"\n");
        
        // ustawienie parametrow sledzenia obiektu na koniec
        ((ChromeModuleSingle)cModule).cMissionEndCameraTarget = cCameraTarget;
        ((ChromeModuleSingle)cModule).sMissionEndCameraTargetElement = sCameraTargetElement;

        if(bToBeContinue)
        {
            if (sComment == null || sComment.length() == 0)
                    sComment = Text.Get("&MISSION_TO_BE_CONTINUE_COMMENT&");
            ((ChromeModuleSingle)cModule).MissionToBeContinue(sComment);
        }
        else
        {
            if(bSuccess)
            {
                if (sComment == null || sComment.length() == 0)
                    sComment = Text.Get("&MISSION_SUCCESS_COMMENT&");
                ((ChromeModuleSingle)cModule).MissionSuccess(sComment);
            }
            else
            {
                if (sComment == null || sComment.length() == 0)
                    sComment = Text.Get("&MISSION_FAILED_COMMENT&");
                ((ChromeModuleSingle)cModule).MissionFailed(sComment);
            }
        }
    }
}
