public class bhv_MovieFight extends ChromeBehavior
{
    public ChromeActor cTarget = null;//#\MOVIE FIGHT;Target to fight with
    
    public boolean bCanFire = true;//#\MOVIE FIGHT;Is it firing during fight allowed?
    public boolean bTrackTarget = true;//#\MOVIE FIGHT;Is it body-tracking of current target allowed?
    
    public String sAnimName = null;//#\MOVIE FIGHT;Animation to play during fight (sequence name)
    public String sAnimatedElements = null;//#\MOVIE FIGHT;Meshelements names separated by ';' for which animation should be played

    public Condition cEndCondition = null;//#\MOVIE FIGHT;If condition is true the behavior will be ended

    public bhv_MovieFight()
    {
        m_ValidScenarios.SetBit(EditorMovieFight._ID);
    }
    
    public void StartActivity(AIController ai)
    {
        if (cTarget != null)
        {
            EnemyInfo info = ai.AddEnemy(cTarget, true);
            if (info != null)
                ai.RecognizeEnemy(info);
        }
        ai.GetMesh().UpdatePathMap(false);
    }

    public void StopActivity(AIController ai)
    {
    }
}
