/** Warunek do sprawdzenia czy daney obiekt jest martwy
 */
public class cnd_IsDead extends Condition
{
    // komentarz pokazywany w edytorze
    {sEditorComment = "Condition checks if object is dead. For group all objects must be dead."; }

    public IFreezable cTarget = null;//#;Conditions target object
    public IFreezable[] aTargets = null;//#;List of targets for checking multiple objects state
    
    boolean EvaluateInternal()
    {
        boolean bDead = true;
        if (cTarget != null)
            bDead &= cTarget.IsDead();
        if (aTargets != null)
            for (int i = 0; i < aTargets.length; i++)
                if (aTargets[i] != null)
                    bDead &= aTargets[i].IsDead();
        return bDead;
    }

}
