public class ParamDamageThreshold extends Param
{
    {sEditorComment = "Change objects damage threshold";}

    public ipar_DamageThreshold cTarget = null;//#\;Object which damage threshold should be changed
    public ipar_DamageThreshold[] aTargets = null;//#\;Objects which damage threshold should be changed
    
	public float fDamageThreshold = 0;//#\;New damage threshold
                            
    public void ChangeParam()
    {
        if(cTarget != null) cTarget.ChangeDamageThreshold(fDamageThreshold);
        
        if(aTargets != null)
            for(int i=0; i<aTargets.length; ++i)
                if(aTargets[i] != null) aTargets[i].ChangeDamageThreshold(fDamageThreshold);
    }
}

