public class ChatMsgHistory
{
    private
    ChatMsgInfo[]   m_aList             = null;
    ChatMsgInfo[]   GetList(){ return m_aList; }
    
    private
    int             m_nCurrentIndex     = -1;
    int             GetCurrentIndex(){ return m_nCurrentIndex; }
    
    private
    int             m_nCurrentId        = -1;
    int             GetCurrentId(){ return m_nCurrentId; }

    
    ChatMsgHistory( ChatMsgHistory cSrc )
    {
        ChatMsgInfo[] aList = cSrc.GetList();
        m_aList             = new ChatMsgInfo[ aList.length ];
        for ( int i=0; i<m_aList.length; ++i )
            if ( aList[ i ] != null )
                 m_aList[ i ]    = new ChatMsgInfo( aList[ i ] );
        m_nCurrentIndex     = cSrc.GetCurrentIndex();
        m_nCurrentId        = cSrc.GetCurrentId();
    }   
    
    ChatMsgHistory( int nMaxMsgCnt )
    {
        m_aList          = new ChatMsgInfo[ nMaxMsgCnt ];
        m_nCurrentIndex  = -1;
        m_nCurrentId     = -1;
    }   
    
    void Add( ChatMsgInfo cMsgInfo )
    {
        m_nCurrentIndex = (m_nCurrentIndex + 1) % m_aList.length;
        m_nCurrentId ++;
        
        m_aList[ m_nCurrentIndex ] = cMsgInfo;
    }
}
