public class ChatInputWindow extends HUDNetOutgoingMessage
{
	static float _SIZE_Y = 20.0f;
	
	{
		m_nOffsetX = 0;
	}
	
    private 
    IChat m_cIChat = null;
    void SetChat( IChat cIChat ) { m_cIChat = cIChat; }
    
	MenuNetChatWindow m_cMenuNetChatWindow = null;
	
    ChatInputWindow()
    {
        super();
        m_nMode = NetMsg._MODE_CHAT;
    }
       
    
    void Show( int nMode )
    {
        //TODO: wielkosc i pozycja
        Activate();
        SetText("");
    }
    
    void Refresh()
    {
        if (bActiveFlag)
        {
            Deactivate();
	        Activate();
        }
    }
    
     Vector GetInitialPos()
	 {
		 return m_cMenuNetChatWindow.GetChatOutPos();

	 }
    


    Vector GetInitialSize()
    {
		return m_cMenuNetChatWindow.GetChatOutSize();
    }

    public void OnInputKey(int nKeyCode, boolean bKeyState, char nKeyAscii)
    {
        if ( (!bKeyState) || (nKeyCode==EKey._TAB || nKeyCode==EKey._ESCAPE))
            return;
        
        if ( bActiveFlag )
        {
            super.OnInputKey( nKeyCode, bKeyState, nKeyAscii );
        }
    }
    
    void TypedText()
    {
        if ( m_cIChat == null )
            return;
        
        m_cIChat.InputMsg( GetText() );
        SetText("");
    }
    
    /*
    String HistoryGetPrevious(){ return null; }
    String HistoryGetNext(){ return null; }
    void   HistoryReset(){}
    void   HistoryAdd( String sText ){}
    */
    
    public void Draw()
    {
        Show();
        MoveTop();
        super.Draw();
    }
    
    public void HideAll()
    {
        Hide();
        super.HideAll();        
    }

}
