/**
 * Zabicie gracza o podanym nicku lub PIDzie
 */
public class CommandKill extends ConsoleCommandParams
{
    CommandKill()
    {
        super();
        m_nRequiredAdminRights  = EAdminRights._STANDARD;
        m_nMinParams            = 
        m_nMaxParams            = 1;
    }
    
    final static int _PARAM_NICK_OR_PID = 0;
    
    void InitPerform()
    {
        super.InitPerform();
        
        if ( ErrorOccured() )
            return;
        
        String sNickOrPID = GetSParam( _PARAM_NICK_OR_PID );
        m_cPlayerInfo = m_cPlayerInfoList.GetPlayerByNickOrPID( sNickOrPID );
        if ( (m_cPlayerInfo == null) || (m_cPlayerInfo.GetPlayer() == null) )
        {
            SetErrorId( EConsoleCommandError._PLAYER_NOT_FOUND );
            return;
        }
    }
    
    
    void PostPerform()
    {
        m_cPlayerInfo.GetPlayer().ForceDieByConsoleCommand();
    }

}
