/** Klasa zawierajaca niezbedne informacje do automatycznego wyspawnowania 
 * obiektu invObject
 */

public class InvObjectAutoSpawnInfo extends InvObjectSpawnInfo
{
    float   m_fTime = 0.0f;
    
    InvObjectAutoSpawnInfo( ModuleNetBase cModule,
                            InvObject     cInvObject )
    {
        super( cModule, cInvObject );
        
        if ( cModule == null || cInvObject == null )
            return;
        
        //od ilosci respawnow edejmujemy jeden
        if ( m_nAutoRespawnCnt > 0 )
            m_nAutoRespawnCnt --;        
        //i liczmy kiedy trzeba go bedzie zrespawnowac
        m_fTime = m_fAutoRespawnTime + cModule.GetTime();
    }
}
