public class HUDNetMain extends HUDComponentNet
{
    /** sciezka do i nazwa tekstry tla HUD'a */
    String m_sHUDBackTexName = "Data/Textures/statisticsNet.png";
    /** sprite z tlem HUD'a */
    Sprite m_cSprBack = null;
    /** tekstura */
    int m_nSprBackTex = 0;
    /** rozmiar tekstury tla */
    Vector m_vBackSprSize = new Vector(512, 256, 0);
    
    String m_sTitle = "";
    String m_sRule = "";
    
    //jakis tekst (ten na dole)
    private String m_sText = null;
    //NetHudTextSprite m_cSprText = null;
    
    UIStatic m_cSprText = null;
    UIStatic m_cRespawnLimitText = null;
    UIWindow m_cMessagesWnd  = null;
    //komunikat o czasie do respawnu
    //private String m_sRespawnLimitTime = null;
    NetHudTextSprite m_cSprRespawnLimitTime = null;
    
    public void OnCreate()
    {
        super.OnCreate();
        //Load(GetModule(), "data/hud/HUDNetMain.scr", false);
        nHUDCompWidth  = (int)m_vBackSprSize.fX;
	    nHUDCompHeight = (int)m_vBackSprSize.fY;
        nHUDCompPosX   = GetScreenWidth()/2 - nHUDCompWidth/2;
	    nHUDCompPosY   = GetScreenHeight()/2 - nHUDCompHeight/2;
        nHUDCompPosY   =_HUD_NET_MAIN_POS_Y;
        
        //tworze spritea tla 
        m_cSprBack = (Sprite)CreateObject("Sprite");
        //m_nSprBackTex = m_cSprBack.AddTexture( m_sHUDBackTexName );
        //m_cSprBack.SetTexture( m_nSprBackTex, new Rect((float)0.0,(float)0.0,(float)nHUDCompWidth/m_vBackSprSize.fX,(float)nHUDCompHeight/m_vBackSprSize.fY));
        m_cSprBack.SetSize(new Vector(nHUDCompWidth,nHUDCompHeight,0));
        m_cSprBack.SetPos(new Vector(nHUDCompPosX,nHUDCompPosY,0));
        m_cSprBack.ProcessMouse(false);
	    AddSprite(m_cSprBack);
        
        
        /*m_cSprText = CreateNetHudTextSprite( nHUDCompWidth,
                                             sm_nSpriteTextHeight,
                                             nHUDCompPosX,
                                             nHUDCompHeight+nHUDCompPosY+5 );
        m_cSprText.InitText();
        m_cSprBack.AddChild(m_cSprText);        
                
        
        m_cSprTitle = CreateNetHudTextSprite( nHUDCompWidth,
                                              sm_nSpriteTextHeight,
                                              nHUDCompPosX+5,
                                              nHUDCompPosY+40 );
        m_cSprTitle.SetFont(ChromeFonts.FONT_HUD);
        m_cSprTitle.InitText();
        m_cSprBack.AddChild(m_cSprTitle);        
                
        m_cSprRule = CreateNetHudTextSprite( nHUDCompWidth,
                                             sm_nSpriteTextHeight,
                                             nHUDCompPosX+150,
                                             nHUDCompPosY+40 );
        m_cSprRule.SetFont(ChromeFonts.FONT_HUD);
        m_cSprRule.InitText();
        m_cSprBack.AddChild( m_cSprRule );        
        
        
        m_cSprTime = CreateNetHudTextSprite( nHUDCompWidth,
                                             sm_nSpriteTextHeight,
                                             nHUDCompPosX+430,
                                             nHUDCompPosY+40 );
        m_cSprTime.SetFont(ChromeFonts.FONT_HUD);
        m_cSprTime.InitText();
        m_cSprBack.AddChild( m_cSprTime );        
        
    
        m_cSprRespawnLimitTime = CreateNetHudTextSprite( nHUDCompWidth,
                                                         sm_nSpriteTextHeight,
                                                         nHUDCompPosX+40,
                                                         nHUDCompPosY+nHUDCompHeight-40 );
        m_cSprRespawnLimitTime.SetFont(ChromeFonts.FONT_HUD);
        m_cSprRespawnLimitTime.InitText();
        m_cSprBack.AddChild( m_cSprRespawnLimitTime );*/
    }
    
    public void OnInit()
    {
        super.OnInit();
        m_cSprText = (UIStatic)GetElem("ID_INFO");
        m_cRespawnLimitText = (UIStatic)GetElem("ID_RESPAWN");
        m_cMessagesWnd = GetElem("ID_MESSAGES");
                           
    }
    
    NetHudTextSprite CreateNetHudTextSprite(int nSizeX,int nSizeY,int nPosX,int nPosY)
    {
        NetHudTextSprite cSpr = (NetHudTextSprite)CreateObject("NetHudTextSprite");
        cSpr.SetNoTexture();
		cSpr.ProcessMouse( false );
        cSpr.SetSize( new Vector( nSizeX, nSizeY, 0 ) );
        cSpr.SetPos( new Vector( nPosX, nPosY,0) );
        cSpr.SetFont( ChromeFonts.FONT_HUD_BIGGER );
        return cSpr;
    }
    
    
    public void OnDestroy()
    {
        super.OnDestroy();
        
        /*if ( m_cSprText != null )
        {
            RemoveSprite(m_cSprText);
            m_cSprText.delete();
            m_cSprText=null;	 
        }
        
        if ( m_cSprTitle != null )
        {
            RemoveSprite(m_cSprTitle);
            m_cSprTitle.delete();
            m_cSprTitle=null;	 
        }
        if ( m_cSprRule != null )
        {
            RemoveSprite(m_cSprRule);
            m_cSprRule.delete();
            m_cSprRule=null;	 
        }
        if ( m_cSprTime != null )
        {
            RemoveSprite(m_cSprTime);
            m_cSprTime.delete();
            m_cSprTime=null;	 
        }
        if ( m_cSprRespawnLimitTime != null )
        {
            RemoveSprite(m_cSprRespawnLimitTime);
            m_cSprRespawnLimitTime.delete();
            m_cSprRespawnLimitTime=null;	 
        }
        */
        if ( m_cSprBack != null )
        {
            m_cSprBack.ReleaseTexture(m_nSprBackTex);
            RemoveSprite(m_cSprBack);
            m_cSprBack.delete();
            m_cSprBack=null;	 
        }
    }
    
    
    
    public void Draw()
    {
        Show();
        
        /*m_cSprBack.MoveTop();
        m_cSprBack.Show();
        
        m_cSprText.MoveTop();
        m_cSprText.Show();
        
        m_cSprTitle.MoveTop();
        m_cSprTitle.Show();
        
        m_cSprRule.MoveTop();
        m_cSprRule.Show();
        
        m_cSprTime.MoveTop();
        m_cSprTime.Show();
        
        m_cSprRespawnLimitTime.MoveTop();
        m_cSprRespawnLimitTime.Show();*/
    }
    
    public void HideAll()
    {
        Hide();
        /*m_cSprBack.Hide();
        m_cSprText.Hide();
        m_cSprTitle.Hide();
        m_cSprRule.Hide();
        m_cSprTime.Hide();
        m_cSprRespawnLimitTime.Hide();*/
    }

 
    void CalculateTime()
    {
        if (m_cNetGameInfo == null)
            return;
        
        int    nTime     = (int)m_cNetGameInfo.GetGameTime();
        String sTextTime = NetGameTools.Time2String( nTime );
                           
        SetTime( NetMsg.sGameTime+": "+sTextTime );
    }
    
    void CalculateRespawnLimitTime()
    {
        if ( m_cNetGameInfo == null )
            return;
        
        if ( m_cNetGameInfo.IsGameOver() )
        {
            SetRespawnLimitTime( "" );
            return;
        }
        
        NetPlayerInfoList cPlayerInfoList = m_cNetGameInfo.GetPlayerInfoList();
        
        if ( cPlayerInfoList == null )
            return;
        
        for (int i=0; i < cPlayerInfoList.GetSize(); i++)
        {
            NetPlayerInfo cPlayerInfo = cPlayerInfoList.GetPlayerByIndex( i );
            
            if ( cPlayerInfo == null )
                continue;
            
            if ( cPlayerInfo.bNetIsOwner )
            {
                float fTime = cPlayerInfo.GetNextRespawnTime(); 
                int   nDelta = (int)(fTime - GetTime());
                
                String sTextRespawnLimitTime = "";
                if ( nDelta > 0 )
                    sTextRespawnLimitTime = NetMsg.sRespawnTimeLimit+" "+
                                            nDelta+" "+
                                            NetMsg.sSecondsShort;
                   
                SetRespawnLimitTime( sTextRespawnLimitTime );
                return;
            }
        }
    }
    
    void SetText( String sTxt )
    {
        if (m_cSprText != null)
            m_cSprText.SetText(sTxt);// = sTxt;
    }
    
    void SetTitle( String sTxt )
    {
        m_sTitle = new String(sTxt);
        UpdateText();
    }
    
    void SetRule( String sTxt )
    {
        m_sRule = new String(sTxt);
        UpdateText();
    }
    
    void SetTime( String sTxt )
    {
        //pokryte w klasie potomnej
    }
    
    void UpdateText()
    {
        CalculateTime();
        CalculateRespawnLimitTime();
        
        /*m_cSprText.InitText();
        m_cSprTitle.InitText();
        m_cSprRule.InitText();
        m_cSprTime.InitText();
        m_cSprRespawnLimitTime.InitText();*/
    }
    
    void SetRespawnLimitTime( String sTxt )
    {
        if (m_cRespawnLimitText != null)
            m_cRespawnLimitText.SetText(sTxt);//m_cSprRespawnLimitTime.sText = sTxt;
    }
}
