public class HUDNetStatisticsASSAULT extends HUDNetStatisticsTeamPoints
{
    void InitializeStatistics()
    {
        super.InitializeStatistics();
        
        SetTitle("&NetGameNameASSAULT&");
    }
    
    void SetTeamRow(UIControlObject cRow, NetTeamInfo cTeam)
    {
        NetGameInfoASSAULT cNetGameInfoASSAULT = (m_cNetGameInfo instanceof NetGameInfoASSAULT)?
                                                 (NetGameInfoASSAULT)m_cNetGameInfo : null;
        
        //todo: na podstawie m_cNetGameInfo ustalic czy gra trwa
        //jesli nie, to zawolac super
        if ( cNetGameInfoASSAULT == null ||
             cNetGameInfoASSAULT.IsGameOver() )
        {
            super.SetTeamRow( cRow, cTeam );
            return;
        }

        String sTeamRole = null;
        if ( cNetGameInfoASSAULT.GetTeamAttacker() == cTeam.GetTeamId() )
            sTeamRole = NetMsg.sAttackingTeam;
        else if ( cNetGameInfoASSAULT.GetTeamDefender() == cTeam.GetTeamId() )
            sTeamRole = NetMsg.sDefendingTeam;
        
        if ( sTeamRole == null )
        {
            super.SetTeamRow( cRow, cTeam );
            return;
        }

        //jesli trwa to ustalic czy dany team jest teraz 
        //strona atakujaca czy broniaca
        Vector vColor = HUDNetManager.GetColorForTeamInfo(cTeam);
        cRow.Show();
        SetRow(cRow, vColor, 1, fTeamRowFontScale, "",
                   NetGameTools.MixString( sTeamRole, cTeam.GetTeamName() ), 
                   Integer.toString(cTeam.GetPoints()),
                   Integer.toString(cTeam.GetFrags()),
                   "");
    }
}
