public class NetLevelContent extends LevelContent
{
    //domyslne nazwy plikow, jesli w skrypcie levelu nie bedzie 
    //podane inaczej to zostana zastosowane ponizsze wartosci
    //mapa levelu, powinna sie znalesc w katalogu _z mapa_!
    final static String sm_sDefaultMapTexture = "map.png";
    //ekran ladowania, powinien sie znalesc w katalogu data/textures !
    final static String sm_sDefaultLoadingScreen = "LoadingSplashScreenNet.png";
    //TODO: ewentualnie dorobic osobne loading screeny dla poszczegolnych
    //trybow gier...
    
    NetLevelContent(String sName,int nGameType)
    {
        super();
        nLevelType     = LevelContent._MAP;
        sLevelName     = sName;    
        SetNetGameType( nGameType );
        
        if ( sm_sDefaultLoadingScreen != null )
        {
            java.io.File cFile = new java.io.File( "data/textures/" + 
                                                   sm_sDefaultLoadingScreen );
            if ( cFile.exists() )
                sDescriptionLevelBackground = sm_sDefaultLoadingScreen;
        }
        if ( sm_sDefaultMapTexture != null )
        {
            java.io.File cFile = new java.io.File( GetMapPath() + "/" + 
                                                   sm_sDefaultMapTexture );
            if ( cFile.exists() )
                SetLevelMapTexture( sm_sDefaultMapTexture );
        }
    }
    
    void SetDescriptionLevelBackground(String sName)
    {
        sName = GetMapPath() + "/" + sName;
        
        java.io.File cFile = new java.io.File( sName );
        
        if ( cFile.exists() )
            super.SetDescriptionLevelBackground( sName );
    }
    
    void SetLevelMapTexture(String sName)
    {
        sName = GetMapPath() + "/" + sName;
        super.SetLevelMapTexture( sName );
    }
}
