public class TextGameInfoMsg
{
    //tekst 
    String m_sText = "";
    String m_sMix  = null;
        
    //priorytet
    int    m_nPriority = 0;
    int GetPriority(){ return m_nPriority; }
    //dzwieki
    String m_sSound    = null;
    String GetSound(){ return m_bSound ? m_sSound : null ; }
    private boolean m_bSound = true;
    //czy dzwiek zawsze, tylko na zmiane (false->true), tylko przy pierwszym pojawieniu sie
    final static int _SOUND_MODE_ALWAYS   = 0;
    final static int _SOUND_MODE_ONCHANGE = 1;
    final static int _SOUND_MODE_ONCE     = 2;
    int m_nSoundMode = _SOUND_MODE_ALWAYS;
    //kolor tekstu
    Vector  m_vColor    = NetMsg._COLOR_DEFAULT;
    Vector  GetColor(){ return m_vColor; } 
    
    private boolean m_bMixMode = false;
    void SetMixMode(){ m_bMixMode = true; }
    boolean IsMixMode(){ return m_bMixMode; }
    
    void    SetMixText(String sMix){ m_sMix = sMix; }
    String  GetMixText(){ return m_sMix; }
    
    String GetText()
    { 
        if ( m_bMixMode && m_sText != null && m_sMix != null )
            return NetGameTools.MixString( m_sText, m_sMix );
        return m_sText; 
    }
    
    
    TextGameInfoMsg(String sText)
    {
        m_sText  = Text.Get(sText);
    }
    
    TextGameInfoMsg(String sText,int nPriority)
    {
        this( sText );
        m_nPriority = nPriority;
    }
    
    void Used( TextGameInfoMsg cUsed )
    {
        if ( m_nSoundMode != _SOUND_MODE_ALWAYS )
        {
            if ( m_nSoundMode == _SOUND_MODE_ONCE && cUsed == this )
                m_bSound = false;
            else if ( m_nSoundMode == _SOUND_MODE_ONCHANGE && cUsed != this )
                m_bSound = true;
        }
    }
}
