public class GameScoreMsg extends GameStatusMsg
{
    GameScoreMsg()
    {
        super();
        Clean();
    }
    
    void Destroy()
    {
        m_cGameInfo      = null; 
        m_cStatusManager = null;
    }
    
    NetGameInfoHud       m_cGameInfo      = null; 
    GameStatusMsgManager m_cStatusManager = null;
    void SetParams(GameStatusMsgManager cManager,NetGameInfoHud cGameInfo)
    { 
        m_cStatusManager  = cManager;
        m_cGameInfo       = cGameInfo; 
    }
    
    NetGameSettings m_cGameSettings = null;
    void SetGameSettings( NetGameSettings cSettings )
    { 
        m_cGameSettings = cSettings; 
        if ( m_cStatusManager != null )
            m_cStatusManager.ForceUpdateScore(); 
    }

    String m_sText = null;
    String GetText(){ return m_sText; }
    
    void ForceUpdate()
    {
        Update();
        
        /*DisableCallMethod("UpdateScore");
        if ( IsActive() )
            CallMethodIn("UpdateScore",1.0f);*/
    }
    
    //tablica z liczbami (punkami)
    int[] m_aStatus = null;
    
    void Update()
    {
        int[] aStatus = m_cGameInfo.GetGameScoreStatus();
        if ( aStatus == null )
            return;
        if ( m_aStatus != null && m_aStatus.length == aStatus.length )
        {
            int i = 0;
            for ( ; i<aStatus.length; i++ )
                if ( aStatus[ i ] != m_aStatus[ i ] )
                    break;
            //jesli dojechalismy do konca, to znaczy ze 
            //nic sie nie zmienilo
            if ( i >= aStatus.length )
                return;
        }
        m_aStatus = aStatus;            
        ScoreChanged();
    }
    
    /**
     * Metoda do pokrycia w potomnych klasach, do obsluzenia
     * zmiennych zawartych w m_aStatus
     */
    void ScoreChanged(){};
        
    
    void Clean()
    {
        m_sText = null;
        m_aStatus = null;
    }
}
