public class NetVoiceMessage extends NetIncomingMsg
{
    NetVoiceMessage(NetGameInfoBase cGameInfo,NetVoice cVoice, int nSpeakerInfoId)
    {
        super( cGameInfo, _VOICE, nSpeakerInfoId );
       
        m_sText = cVoice.GetText();
        SetRequestedSound( cVoice.GetSound() );
    }
    
    void OnMessageAppearsOnHud()
    {
        if ( m_cPlayerInfo1 != null && m_cPlayerInfo1.GetPlayer()!= null )        
        {
            PlayerNet cSpeakerPlayer = m_cPlayerInfo1.GetPlayer();
            
            //przesylamy informacje graczowi ze wlasnie cos powiedzial,
            //po to, zeby na mapce i kompasie sprite gracza zostal
            //na chwilke wyrozniony
            cSpeakerPlayer.JustSpoken();
        }
    }
}
