public class NetVoice
{
    /**
     * Katalog w ktorym musza znajdowac sie voice'y
     */
    private static String sm_sDirectory = "Data/Sounds/Net/Voice/";
    

    
    //identyfikator, bedacy indeksem na liscie w VoiceManagerze
    private int    m_nId  = -1;
    int GetId(){ return m_nId; }
    void SetId( int nId ){ m_nId = nId; }
    
    //wyswietlany tekst
    private String m_sText = "";
    String GetText(){ return m_sText; }
    //odpalany dzwiek
    private String m_sSound = null;
    String GetSound(){ return m_sSound; }
    
    
    final static int _TYPE_UNKNOWN  = -1;
    final static int _TYPE_ORDER    = 0;
    final static int _TYPE_REQUEST  = 1;
    final static int _TYPE_ANSWER   = 2;
    
    //w jakiej grupie ma sie pojawic w VoiceMenu
    private int     m_nType = _TYPE_UNKNOWN;
    int GetType(){ return m_nType; }
    
    NetVoice(String sSound)
    {
        this( null, sSound );
    }
   
    NetVoice(String sText, String sSound)
    {
		m_sText  = sText  != null ? Text.Get( sText )      : null;
        m_sSound = sSound != null ? sm_sDirectory + sSound : null;
    }
    
    NetVoice(String sText, String sSound,int nType)
    {
        this( sText, sSound );
        m_nType = nType;
    }
}
