public class PlayerNetFake extends PlayerFake
{
    PlayerNetFake()
    {
        super();
        
        //TODO: pobrac pierwszego lepszego ze skryptu ModelsNet.scr,
        //ewentualnie nie ladowac zadnego mesha
        MeshName     = NetPlayerProfile.sm_sModelDir+"HSoldierNet.3DA";
    }
    public void OnCreate()
    {
    }
    
    public void OnDestroy()
    {
    }
    
    /** Ustawia odpowiednio inventory gracza oraz inicjalizuje HUDa menu
     * @param gameinfo struktura przechowujaca informacje o dotychczas zdobytym inventory przez gracza
     * @param parent sprite do ktorego ma sie przylaczyc HUDInvMenu i wszystkie przecigane sprite'y
     */
    void SetupInventory(PlayerNet cPlayer, Sprite cParent)
    {
        LogD(" "+cPlayer+"\n");

        InitInventory( cPlayer );
        
        InitHUD();
        
        /*HUDInvMenu cInvMenu = ((HUDInvMenu)HUD.aHUDComponent[HUDManager._HUD_INV_MENU]);
        
        cInvMenu.SetupPosition( cParent );
        //na podstawie player.bNetIsOwner bedzie ustalane czy wyswietlac czy nie
        cInvMenu.m_bDisableInNetGame = false;
        cInvMenu.Activate();*/
    }
    
    void InitHUD()
    {
        if (HUD == null)
            super.InitHUD();
    }
    
    /** Inicjalizacja inventory gracza Fake, ktora tworzy odpowiednie inventory
     */
    void InitInventory(PlayerNet cPlayer)
    {
        //LogR("InitInventory "+cPlayer+ " inv "+ cPlayer.cInventory +"\n");
        if (cPlayer.cInventory != null)
        {
            cInventory     = cPlayer.cInventory;
            cInventoryRoom = cPlayer.GetInventoryRoom();
            bNetIsOwner    = cPlayer.bNetIsOwner;
                      
            ChromeMenuModule MenuModule = (ChromeMenuModule) ((ChromeModule)GetModule()).cMenu;
            cInventory.Acquire( MenuModule, null );
            // teraz trzeba w inventory poprzestawiac wszystko na aktualnego gracza
            cInventory.Acquire( GetModule(), this );
        }
        else
        {
            cInventory = (InventoryPlayer)CreateObjectNoInit("InventoryPlayer");
            cInventory.Owner = this;
            cInventory.InitObject();
            
            //player.cInventory = (InventoryPlayer)cInventory;
            
            String cWeaponClassName = cPlayer.GetInbornWeaponClass().getName();
            Weapon cWeapon = (Weapon)CreateObject( cWeaponClassName );
            cWeapon.bLocked = true ;// TODO: a moze tez ukryc bron w Inwentory?
            cWeapon.Execute( cPlayer );
        }
    }
    
    
    void StopUseInventory(PlayerNet cActualUser)
    {
        Inventory cInv = cInventory;
        
        cInventory     = null;
        cInventoryRoom = null;
        
        HUDCompInvPl cHudCompInvPl = (HUDCompInvPl)cActualUser.HUD.aHUDComponent[HUDManager._HUD_INV_PLAYER];
            
        for ( int nInvObj=0; nInvObj<cInv.GetInvObjSize(); nInvObj++ )
        {
            InvObject cInvObj = cInv.GetInvObject( nInvObj );
            if ( cInvObj != null && cInvObj.cInvObjSprite != null )
                cInvObj.cInvObjSprite.SetHUDInvPl( cHudCompInvPl );
        }
        
        cInv.Acquire( cActualUser.GetModule(), cActualUser );
        cInv.ComputeInvObjPositions();
        
        ChromeInventoryMenu cInvMenu = HUD.GetInventoryMenu();
        cInvMenu.CallOnFrameEnd("Deactivate");
        if (HUD != null)
            HUD.FinishInMenu();
    }

}
