public class PlayerNetTestAuto extends PlayerNetTestBot
{
    
    PlayerNetTestAuto()
    {
        super();
        m_fFiringOnTime   = 4.0f;
        m_fFiringOffTime  = 15.0f;    
    }
    
    
    //sterowany na kliencie
    boolean IsLocalAutoControl()
    {
        return (bNetIsOwner);
    }
    
    void SetTargetActor( ChromeActor cTargetActor )
    {
        if ( (m_bAutoControl || m_bAutoControlSuspend) &&   
             (m_cTargetActor == null) &&
             (  cTargetActor != null) )
        {
            AUTOEnemyFound();
        }
        
        super.SetTargetActor( cTargetActor );
    }
    
    
    
    void OnInputMouseAxis( int nAxis, int nDelta )
    {
        super.OnInputMouseAxis( nAxis, nDelta );
        if ( !m_bAutoOnMouseAxis )
            AUTOSuspend();
    }
    
    boolean m_bAutoControlSuspend = false;
    
    void AUTOSuspend()
    {
        if ( m_bAutoControl || m_bAutoControlSuspend )
        {
            DisableCallMethod("AUTOInit");    
            if ( m_bAutoControl )
                 AUTOClean();
            m_bAutoControlSuspend = true;
            CallMethodIn("AUTOInit", 30.0f);
        }
    }
    
    void AUTOInit()
    {
        super.AUTOInit();
        m_bAutoControlSuspend = false;
    }
    
    public class FreehandState extends Player.FreehandState
    {
        void OnInputKey(int nKeyCode, boolean bKeyState, char nKeyAscii)
        {
            AUTOSuspend();
            super.OnInputKey( nKeyCode, bKeyState, nKeyAscii );
        }
    }
    
    void AUTOEnemyCheckStart()
    {
    }
    
    boolean IsAutoPlayer(){ return true; }
    boolean IsBot(){ return false; }
    
    void CheckMotionKeys(){}
}
