public class EFreeMsg
{
    /** Sposob rozeslania wiadomosci
     */
    static int TYPE_HOST       = 0;
    static int TYPE_BROADCAST  = 1;
    static int TYPE_MULTICAST  = 2;
    
    /** Rodzaje wiadomosci
     */
    final static int _FIND_SERVER             = 0;
    final static int _I_AM_SERVER             = 1;

    final static int _REQUEST_SERVER_PARAMS  = 10;
    final static int _SERVER_PARAMS          = 11;
    
    final static int _REQUEST_SERVER_FULL_INFO = 14;    
    final static int _SERVER_FULL_INFO         = 15;
    
    final static int _REQUEST_WISH_LIST      = 25;    
    final static int _WISH_LIST              = 26;
    
    //nowe wiadomosci - wszystkie powyzsze obowiazywaly do patcha 1.0.2
    //obecnie dopisywac tylko nowe i ich numery MUSZA byc wieksze/rowne 30 !!!
    
    final static int _FIND_SERVER_2         = 30;
    final static int _I_AM_SERVER_2         = 31;
    
    //wartosci od 32 do 35 nie powinny juz byc zmieniane
    //bo gostek dostal ta wartosc do supportu chrome'a z WWW
    final static int _REQUEST_SERVER_PARAMS_2 = 32; 
    final static int _SERVER_PARAMS_2         = 33;
    
    final static int _REQUEST_SERVER_FULL_INFO_2 = 34;
    final static int _SERVER_FULL_INFO_2         = 35;
    
    
    final static int _REQUEST_WISH_LIST_2 = 36;
    final static int _WISH_LIST_2         = 37;
    
    public static String GetFlagName(int iFlag)
    {
        switch (iFlag)
        {
        case _FIND_SERVER: return "_FIND_SERVER";
        case _I_AM_SERVER: return "_I_AM_SERVER";

        case _REQUEST_SERVER_PARAMS: return "_REQUEST_SERVER_PARAMS";
        case _SERVER_PARAMS: return "_SERVER_PARAMS";
    
        case _REQUEST_SERVER_FULL_INFO: return "_REQUEST_SERVER_FULL_INFO";
        case _SERVER_FULL_INFO: return "_SERVER_FULL_INFO";
    
        case _REQUEST_WISH_LIST: return "_REQUEST_WISH_LIST";
        case _WISH_LIST: return "_WISH_LIST";
    
        case _FIND_SERVER_2: return "_FIND_SERVER_2";
        case _I_AM_SERVER_2: return "_I_AM_SERVER_2";
    
        case _REQUEST_SERVER_PARAMS_2: return "_REQUEST_SERVER_PARAMS_2";
        case _SERVER_PARAMS_2: return "_SERVER_PARAMS_2";
    
        case _REQUEST_SERVER_FULL_INFO_2: return "_REQUEST_SERVER_FULL_INFO_2";
        case _SERVER_FULL_INFO_2: return "_SERVER_FULL_INFO_2";
    
        case _REQUEST_WISH_LIST_2: return "_REQUEST_WISH_LIST_2";
        case _WISH_LIST_2: return "_WISH_LIST_2";

        default: return "__UNKNOWN__";
        }
    }
}
