public class EModifiersNetGameSettings
{
    //NetGameInfo
    final static int _UNKNOWN                       = -1;
    final static int _MAX_GAME_TIME                 = 0;
    final static int _MAX_FRAGS                     = 1;
    final static int _MAX_POINTS                    = 2;
    
    final static int _RESPAWN_CNT_LIMIT             = 3;
    final static int _DEATHS_CNT_LIMIT              = 4;
    
    final static int _MIN_RESPAWN_TIME              = 5;
    
    final static int _IDENTIFY_ENEMY_PLAYERS        = 6;
    
    final static int _AVAILABLE_VEHICLES            = 7;
    final static int _VEHICLE_RESPAWN_CNT_LIMIT     = 8;
    final static int _VEHICLE_MIN_RESPAWN_TIME      = 9;
    final static int _VEHICLE_AUTO_RETURN_TIME      = 10;
        
    //NetGameInfoTeam
    final static int _TEAM_BALANCE                  = 20;
    final static int _FRIENDLY_FIRE                 = 21;
    final static int _FRIENDLY_FIRE_MUL             = 22;
    final static int _MIN_TEAMS_TO_START_GAME       = 23;
    final static int _CHANGE_SIDE_ON_NEXT_ROUND     = 24;
    final static int _REVENGE_MATCH                 = 25;      
        
    
    final static int _ENEMIES_VISIBLE_ON_HUD_MAP    = 30;
    final static int _FRIENDS_VISIBLE_ON_HUD_MAP    = 31;
    final static int _VEHICLES_VISIBLE_ON_HUD_MAP   = 32;
    
    final static int _AVAILABLE_INVENTORY_ROOM      = 35;
    
    //CTF
    final static int _FLAGS_VISIBLE_ON_HUD_MAP      = 40;
    final static int _FLAG_AUTO_RETURN_TIME         = 41;
    //Domination
    final static int _DOMINATION_SCORE_UPDATE_TIME  = 45;
    final static int _ALLOW_DOMINATE_BY_DEAD_PLAYER = 46;
    final static int _BASES_VISIBLE_ON_HUD_MAP      = 47;
    
    
    static boolean AllowedInConsoleCommandMapSetParam( int nId )
    {
        switch ( nId )
        {
            case _MAX_GAME_TIME:
            case _MAX_FRAGS:
            case _MAX_POINTS:
            
            case _IDENTIFY_ENEMY_PLAYERS:
            case _MIN_RESPAWN_TIME:
            
            //NetGameInfoTeam
            case _TEAM_BALANCE:
            case _FRIENDLY_FIRE:
    
            case _ENEMIES_VISIBLE_ON_HUD_MAP:
            case _FRIENDS_VISIBLE_ON_HUD_MAP:
            case _VEHICLES_VISIBLE_ON_HUD_MAP:
            case _BASES_VISIBLE_ON_HUD_MAP:
            
            case _RESPAWN_CNT_LIMIT:
            case _DEATHS_CNT_LIMIT:
            
            case _VEHICLE_RESPAWN_CNT_LIMIT:
            case _VEHICLE_MIN_RESPAWN_TIME:
            case _VEHICLE_AUTO_RETURN_TIME:
            
            //CTF
            case _FLAGS_VISIBLE_ON_HUD_MAP:
            case _FLAG_AUTO_RETURN_TIME:
            
            /*
            //case _MAX_GAME_TIME:
            //case _MAX_FRAGS:
            //case _MAX_POINTS:
            
            //case _IDENTIFY_ENEMY_PLAYERS:
            
            //case _RESPAWN_CNT_LIMIT:
            //case _DEATHS_CNT_LIMIT:
    
            //case _MIN_RESPAWN_TIME:
            
            //case _IDENTIFY_ENEMY_PLAYERS:
    
            case _AVAILABLE_VEHICLES:
            
            //case _VEHICLE_RESPAWN_CNT_LIMIT:
            //case _VEHICLE_MIN_RESPAWN_TIME:
            //case _VEHICLE_AUTO_RETURN_TIME:
                
            //NetGameInfoTeam
            //case _TEAM_BALANCE:
            //case _FRIENDLY_FIRE:
            case _FRIENDLY_FIRE_MUL:
            case _MIN_TEAMS_TO_START_GAME:
            case _CHANGE_SIDE_ON_NEXT_ROUND:
            case _REVENGE_MATCH:
                
    
            //case _ENEMIES_VISIBLE_ON_HUD_MAP:
            //case _FRIENDS_VISIBLE_ON_HUD_MAP:
            //case _VEHICLES_VISIBLE_ON_HUD_MAP:
            
            case _AVAILABLE_INVENTORY_ROOM:
    
            //CTF
            //case _FLAGS_VISIBLE_ON_HUD_MAP:
            //case _FLAG_AUTO_RETURN_TIME:
            
            //Domination
            case _DOMINATION_SCORE_UPDATE_TIME:
            case _ALLOW_DOMINATE_BY_DEAD_PLAYER:
            //case _BASES_VISIBLE_ON_HUD_MAP:*/
            return true;
        }
        
        return false;
    }
}
