public class ENetGameVersion
{
    //wysylka do SFI 2003-02-26, 12:30
    public final static int _VER_0_0001 = 1;
    //beta, 2003-03-24
    public final static int _VER_0_0002 = 2;
    //2003-04-08
    public final static int _VER_0_0003 = 3;
    //2003-04-30
    public final static int _VER_0_0004 = 4;
    //2003-05-06
    public final static int _VER_0_0005 = 5;
    //2003-05-07
    public final static int _VER_0_0006 = 6;
    //2003-05-09
    public final static int _VER_0_0007 = 7;
    //2003-05-11, walki przed release candidate
    public final static int _VER_0_0008 = 8;
    //2003-05-11, build, pseudo release candidate1 czyli OpenBeta2
    public final static int _VER_0_0009 = 9;
    //2003-05-13, testy po dniu odpoczynku
    public final static int _VER_0_0010 = 10;
    public final static int _VER_0_0011 = 11;
    //2003-05-15, walka przed poniedzialkowym RC1
    public final static int _VER_0_0012 = 12;
    //2003-05-16, walka przed poniedzialkowym RC1, RC1
    public final static int _VER_0_0013 = 13;
    //2003-05-20, update do builda z 16 maja
    public final static int _VER_0_0014 = 14;
    //2003-05-27, kolejny update do builda z 16 maja
    public final static int _VER_0_0015 = 15;
    //2003-06-02, pelny build
    public final static int _VER_0_0016 = 16;
    //2003-06-03, update do wczorajszego builda
    public final static int _VER_0_0017 = 17;
    //2003-06-04, kolejny kandydat na mastera
    public final static int _VER_0_0018 = 18;
    //2003-06-06, gold master pl
    public final static int _VER_1_00_00 = 10000;
    //testy - wyrzucenie TCP
    public final static int _VER_1_00_01 = 10001;
    //patch, 2003-06-16
    public final static int _VER_1_00_02 = 10002;
    //to byla ostatnia wersja w ktorej dlugosc freemsg'y byla na bajcie
    public final static int _SHORT_LEN_FREE_MSG_LAST_VER = _VER_1_00_02;
    //demo niemieckie 2003-07-15
    public final static int _VER_1_00_03 = 10003;
    //gold master EN
    public final static int _VER_1_01_00 = 10100;
    //patch #1 EN, 2003-09-12
    public final static int _VER_1_01_01 = 10101;
    //demo MultiplayerEN, 2003-09-25 - 2003-10-30
    public final static int _VER_1_01_02 = 10102;
    //ChromeGold & patch #2 2003-11-?? - 2003-12-08 oraz XMaxMPTrial
    public final static int _VER_1_01_03 = 10103;
    //patch #3 2004-02-
    public final static int _VER_1_02_00 = 10200;
    //to jest pierwsza wersja od ktorej ostatnie dwie pozycje
    //beda nieistotne jesli chodzi o kompatybilnosc
    public final static int _FIRST_ALLOW_BACKWARD_COMPATIBILITY_VER = _VER_1_02_00;
    //MP Demo 2004 2004-02-
    public final static int _VER_1_02_01 = 10201;
    
    static String GetShortName(int nVal)
    {
        return Text.Get("&GameVersionShort&")+" "+Value2StringAndEngineAndLocale( nVal );
    }
    
    static String GetFullName(int nVal)
    {
        return Text.Get("&GameVersion&")+" "+Value2StringAndEngineAndLocale( nVal );
    }
	
	static String GetNumber(int nVal)
    {
        return Value2StringAndEngineAndLocale( nVal );
    }
    
    static String GetNetNumber(int nVal)
    {
        return Value2StringAndEngine( nVal );
    }
    
    private static String Value2StringAndEngineAndLocale(int nValue)
    {
        return Value2StringAndEngine( nValue )+GameObject.GetLocaleID();
    }
    
    private static String Value2StringAndEngine(int nValue)
    {
        return Value2String( nValue )+"."+GameObject.GetEngineVersion();
    }
    
    private static String Value2String(int nValue)
    {
        int nPart3 = nValue % 100;
        nValue    /= 100;
        int nPart2 = nValue % 100;
        nValue    /= 100;
        int nPart1 = nValue;
        return ""+nPart1+"."+nPart2+"."+nPart3;
    }
}
