public class EServerAutoMessageMode
{
    final static int _NORMAL       = 0,
                     _FULL_VERSION = 1,
                     _DEMO         = 2;
    
    final static String[] sm_sPrefixes = new String[]
    {
        "",    //_MODE_NORMAL
        "",    //_MODE_FULL_VERSION
        ""    //_MODE_DEMO_ONLY
    };
    
    static String GetPrefix(int nMode)
    {
        String sPrefix = null;
        if (( sm_sPrefixes != null ) && (sm_sPrefixes.length > nMode)) 
        {
            sPrefix = sm_sPrefixes[ nMode ];
        }
        return (sPrefix!=null)?sPrefix:"";
    }
}
