public class EServerState extends Enum
{
    EServerState(int v) { super(v); }
    
    //server jest tworzony
    final static int CREATING = 0;
    //server laduje mape
    final static int LOADING_MAP = 1;
    //na serverze toczy sie gra
    final static int PLAYING = 2;    
    //stan obecnie niewykorzystywany - for future reference; UWAGA - ustawienie tego
    //stanu blokuje podlaczanie klientow
    final static int ENDING_PLAYING = 3;
    //gra sie skonczyla
    final static int GAME_OVER = 4;
    //serwer zakonczyl gre i jest niszczony
    final static int DESTROYING = 5;
    
    static String GetFlagName( int nFlag )
    {
        switch (nFlag)
        {
        case CREATING: return "Creating";
        case LOADING_MAP: return "Loading map";
        case PLAYING: return "Playing";
        case ENDING_PLAYING: return "Ending playing";
        case GAME_OVER: return "Game over";
        case DESTROYING: return "Destroying";            
        default: return "__UNKNOWN_STATE__";
        }
    }
}
