public class CanAttack_Animal extends Generator
{
    CanAttack_Animal(AIController controller)
    {
        super(controller);
        
        m_GenScenarios.SetAllBits();
        m_GenScenarios.ClearBit(AnimalAttack._ID);
    }
    
    void UpdateScenarios()
    {
        super.UpdateScenarios();
        
        if (m_Controller.GetActiveEnemy() == null)
        {
#if AI_DEBUG        
            DebugUtils.AddLog(m_Controller.m_MeshAI, "GetActiveEnemy() == null");
#endif            
            m_CurrScenarios.Set(m_GenScenarios);
        }
        else
            m_CurrScenarios.SetAllBits();
        
#if AI_DEBUG        
        DebugUtils.AddLog(m_Controller.m_MeshAI, "\n");
#endif        
    }

}