/** generacja scenariuszy w sytuacji, gdy w biezacej broni skonczy sie amunicja
 */
public class HasToReload extends Generator
{
	HasToReload(AIController controller)
	{
		super(controller);
       
        m_GenScenarios.SetAllBits();
        
        m_GenScenarios.ClearBit(Reload._ID);
	}
	
	void UpdateScenarios()
	{
		super.UpdateScenarios();

		if ( (m_Controller.GetActiveWeapon() != null) &&
			 (m_Controller.GetActiveWeaponAmmo() == 0) &&
             (m_Controller.GetAmmoLeftForActiveWeapon() > 0) )
        {
            m_CurrScenarios.SetAllBits();
        }
		else
        {
#if AI_DEBUG        
            DebugUtils.AddLog(m_Controller.m_MeshAI, 
                              " GetActiveWeapon():" + m_Controller.GetActiveWeapon() +
                              ", GetActiveWeaponAmmo():" + m_Controller.GetActiveWeaponAmmo() +
                              ", m_nAmmoForActiveWeapon:" + m_Controller.GetMesh().m_nAmmoForActiveWeapon);
#endif            
            m_CurrScenarios.Set(m_GenScenarios);
        }
		
#if AI_DEBUG        
        DebugUtils.AddLog(m_Controller.m_MeshAI, "\n");
#endif        
	}
}
