public class LongEnemyDistance extends Generator
{
	LongEnemyDistance(AIController controller)
	{
		super(controller);
        
        m_GenScenarios.SetAllBits();
        m_GenScenarios.ClearBit(StrafeShoot._ID);
	}
	
	void UpdateScenarios()
	{
		super.UpdateScenarios();
        
		if (m_Controller.IsFarAwayFromActiveEnemy())
		{						
#if AI_DEBUG        
            DebugUtils.AddLog(m_Controller.m_MeshAI, 
                              "IsFarAwayFromActiveEnemy():" + m_Controller.IsFarAwayFromActiveEnemy());
#endif            
			m_CurrScenarios.Set(m_GenScenarios);
		}
		else
        {
			m_CurrScenarios.SetAllBits();
//			m_CurrScenarios.ClearBit(FallDownToShoot._ID);
//			m_CurrScenarios.ClearBit(FallDownToHide._ID);
        }
        
#if AI_DEBUG        
        DebugUtils.AddLog(m_Controller.m_MeshAI, "\n");
#endif        
	}
}
    
    
	

