public class ScenariosFilterHuman extends Generator
{
    ScenariosFilterHuman(AIController controller)
    {
        super(controller);
        m_GenScenarios.SetBit(FallDownToShoot._ID);
        m_GenScenarios.SetBit(FallDownToHide._ID);
        m_GenScenarios.SetBit(GotoHideoutShoot._ID);
        m_GenScenarios.SetBit(RunAway._ID);
        m_GenScenarios.SetBit(DuckHide._ID);
        m_GenScenarios.SetBit(DuckShoot._ID);
        m_GenScenarios.SetBit(EditorAppear._ID);
        m_GenScenarios.SetBit(EditorDrive._ID);
        m_GenScenarios.SetBit(EditorCannon._ID);
        m_GenScenarios.SetBit(EditorDTypeFight._ID);
        m_GenScenarios.SetBit(EditorGoByLift._ID);
        m_GenScenarios.SetBit(EditorLead._ID);
        m_GenScenarios.SetBit(EditorLookAt._ID);
        m_GenScenarios.SetBit(EditorMove._ID);
        m_GenScenarios.SetBit(EditorMovieFight._ID);
        m_GenScenarios.SetBit(EditorPlayAnim._ID);
        m_GenScenarios.SetBit(EditorPlayRandomAnims._ID);
        m_GenScenarios.SetBit(EditorThrowGrenade._ID);
        m_GenScenarios.SetBit(EditorUse._ID);
        m_GenScenarios.SetBit(EditorUseLift._ID);
        m_GenScenarios.SetBit(EditorGetInOut._ID);
        m_GenScenarios.SetBit(LookAroundIdle._ID);
        m_GenScenarios.SetBit(LookAroundAlarmed._ID);
        //m_GenScenarios.SetBit(RunToExamineBody._ID);
        m_GenScenarios.SetBit(RunStraightAheadShoot._ID);
        m_GenScenarios.SetBit(RunZigZagShoot._ID);
        m_GenScenarios.SetBit(StrafeShoot._ID);
        //m_GenScenarios.SetBit(Patrol._ID);
        //m_GenScenarios.SetBit(PatrolShoot._ID);
        m_GenScenarios.SetBit(ReactOnEnemyPresence._ID);
        m_GenScenarios.SetBit(ReactOnSuspectSpotted._ID);
        m_GenScenarios.SetBit(AttackFromHideout._ID);
        m_GenScenarios.SetBit(ThrowGrenade._ID);
        //m_GenScenarios.SetBit(RiseAlarm._ID);
        //m_GenScenarios.SetBit(UseCommunicator._ID);
        //m_GenScenarios.SetBit(IdleSmoke._ID);
        m_GenScenarios.SetBit(IdleWalk._ID);
        m_GenScenarios.SetBit(IdlePlayAnim._ID);
        m_GenScenarios.SetBit(LookForEnemy._ID);		
        //m_GenScenarios.SetBit(UseSwitch._ID);
        m_GenScenarios.SetBit(Reload._ID);
        m_GenScenarios.SetBit(GotoHideout._ID);
        //m_GenScenarios.SetBit(GoAfterObjectShoot._ID);
        m_GenScenarios.SetBit(RetreatShoot._ID);
        m_GenScenarios.SetBit(StandShoot._ID);
        m_GenScenarios.SetBit(Unarmed._ID);
        m_GenScenarios.SetBit(WaitForEnemyAction._ID);
    }
    
    void UpdateScenarios()
    {
        super.UpdateScenarios();
        m_CurrScenarios.Set(m_GenScenarios);
        
#if AI_DEBUG
        DebugUtils.AddLog(m_Controller.m_MeshAI, "\n"); 
#endif
    }
}
