public class ShortEnemyDistance extends Generator
{
    ShortEnemyDistance(AIController controller)
    {
        super(controller);
        
        m_GenScenarios.SetAllBits();
        m_GenScenarios.ClearBit(RunZigZagShoot._ID);
        m_GenScenarios.ClearBit(RunStraightAheadShoot._ID);
        m_GenScenarios.ClearBit(DuckShoot._ID);
        m_GenScenarios.ClearBit(StrafeShoot._ID);		
    }
    
    void UpdateScenarios()
    {
        super.UpdateScenarios();
        
        if (m_Controller.IsNearToActiveEnemy())
        {
#if AI_DEBUG
            DebugUtils.AddLog(m_Controller.m_MeshAI, "IsNearToActiveEnemy():" + m_Controller.IsNearToActiveEnemy());
#endif
            m_CurrScenarios.Set(m_GenScenarios);
        }
        else
        {
            m_CurrScenarios.SetAllBits();
        }
        
#if AI_DEBUG
            DebugUtils.AddLog(m_Controller.m_MeshAI, "\n");
#endif
    }
}
