public class TestGenerator extends Generator
{
    boolean bTest = true;
    
    TestGenerator(AIController controller)
    {
        super(controller);
        //m_GenScenarios.SetBit(TestScenario._ID);
        m_GenScenarios.SetBit(StandShoot._ID);
//        m_GenScenarios.SetBit(GotoHideoutShoot._ID);
//        m_GenScenarios.SetBit(AttackFromHideout._ID);
    }
    
    void UpdateScenarios()
    {
        super.UpdateScenarios();

        if ( bTest )
        {
#if AI_DEBUG
            DebugUtils.AddLog(m_Controller.m_MeshAI, "TEST GENERATOR!");
#endif
            m_CurrScenarios.Set(m_GenScenarios);
        }
        else
        {
            m_CurrScenarios.SetAllBits();
        }
#if AI_DEBUG
        DebugUtils.AddLog(m_Controller.m_MeshAI, "\n");
#endif
    }
}
