public class EditorThrowGrenade extends Scenario
{
    static int _ID = _NUM_OF_SCENARIOS++;

    static int init = _EDITOR_SCENARIOS.SetBit(_ID);
    
	void PrepareScenario(AIController ai)
	{
        bhv_ThrowGrenade throwGrenadeData = (bhv_ThrowGrenade)(ai.GetCurrBehavior());

        ai.AddTask(new TaskTurnAtObject(throwGrenadeData.cTarget));
        if (throwGrenadeData.cTarget instanceof ChromeActor)
            ai.AddTask(new TaskTrackingStart((ChromeActor)throwGrenadeData.cTarget));
        ai.AddCleaningTask(new TaskEnableHitReaction(false));
        ai.AddCleaningTask(new TaskThrowGrenade(throwGrenadeData.cTarget.GetPositionVectorVolatile(), 
                                        throwGrenadeData.fHeight));
        ai.AddCleaningTask(new TaskEnableHitReaction(true));
        ai.AddCleaningTask(new TaskEditorActivityEnd());

        super.PrepareScenario(ai);        
    }

    public String toString()
    {
        return "ETG";
    }
    
    int GetID()
    {
        return _ID;   
    }    
}
