public class TaskMTMoveEnd extends Task
{
    protected ControlObject m_cDestRef = null;
    
    protected float m_fRadius = 0;
    
    public TaskMTMoveEnd(ControlObject cDestRef, float fRadius)
    {
        m_cDestRef = cDestRef;
        m_fRadius = fRadius;
    }
    
    private Vector m_vDist = new Vector();
    
    public void Perform()
    {
        super.Perform();
        
        m_cDestRef.GetPosition(m_vDist);
        m_vDist = m_cAI.GetMesh().GetInFormationPosition(m_vDist, null);
        m_vDist.Sub(m_cAI.GetMesh().GetPositionVectorVolatile());
        m_vDist.fY = 0;
        
        
        // task musi sie rozpoczac, bo EditorActivityEnded() moze zrobic mu cancel
        m_cAI.StartTaskTime(0f);
        if (m_vDist.Len2() <= m_fRadius * m_fRadius)
            m_cAI.EditorActivityEnded();
    }
    
    public String toString()
    {
        return "TaskMTMoveEnd(" + m_cDestRef.GetName() + "," + m_fRadius + ")";
    }	    
    
    /** obsluguje komunikat wyslany z AIControllera     */
    public void ServeNotice(int nNotice)
    {
        super.ServeNotice(nNotice);
        switch(nNotice)
		{
    		case AIEvents._NOTICE_TASK_TIME_PASSED:
                m_cAI.Notify(AIEvents._NOTICE_END_TASK);
			break;            
		}
    }	
}
