public class FPPHandsGrenadeCluster extends FPPHandsGrenade
{
    FPPHandsGrenadeCluster()
    {
        MeshName = "Data/Meshes/Logan/GrenadeCluster.3DA";
    }
    
    int nGrenadeElem2ID = -1;
    int nGrenadeElem3ID = -1;
    
    public void OnCreate()
    {
        super.OnCreate();
        nGrenadeElemID = GetElementID("Granat");
        nGrenadeElem2ID = GetElementID("Bezpiecznik");
        nGrenadeElem3ID = GetElementID("Zawleczka");
    }
    
    void HideGrenade()
    {
        if(nGrenadeElemID != -1)
            HideElement(nGrenadeElemID);
        if(nGrenadeElem2ID != -1)
            HideElement(nGrenadeElem2ID);
        if(nGrenadeElem3ID != -1)
            HideElement(nGrenadeElem3ID);
    }
    
    void ShowGrenade()
    {
        if(nGrenadeElemID != -1)
            UnhideElement(nGrenadeElemID);
        if(nGrenadeElem2ID != -1)
            UnhideElement(nGrenadeElem2ID);
        if(nGrenadeElem3ID != -1)
            UnhideElement(nGrenadeElem3ID);
    }
}
