public class APC extends ArmoredTransporter
{
    APC()
    {
        super();
        
		m_fAIControlledCannonHAngle = 180f;
        m_iStampSize = 21;
        
        m_fCannonMinVAngle = -30f;
        m_fCannonMaxVAngle = 7f;
        
        m_sWreckMeshName = "Data/Meshes/Vehicles/APC_Wreck.3da";
        
        m_fCannonHorizAngSpeed = 200f;
    }
    
	void OnCreate()
    {
        super.OnCreate();

		DeleteAllSeatsInfos();
		AddSeatInfo(new SeatInfo(this, "Driver", EPassengerRole._VEHICLE_DRIVER,
								 EGetInOutAnimType._UNKNOWN, new Vector(200f, 0f, -400f)));
		AddSeatInfo(new SeatInfo(this, "Passenger", EPassengerRole._VEHICLE_PASSENGER,
								 EGetInOutAnimType._UNKNOWN, new Vector(-200f, 0f, -400f)));
		if (m_Physics != null)
            m_Physics.m_Params._MAX_TURN_ANGLE = 50.0f;
        
        m_fAIControlledCannonVMaxAngle = 2f;
    }
}
