public class Waran extends Individual
{
// ATRYBUTY 
	// wymagana odleglosc na jaka trzeba podejsc do celu zeby mozna bylo powiedziec ze sie juz jest na miejscu
    final static float _MOVE_REQ_DISTANCE = 50.0f;	
    float m_fCurrTolerance = _MOVE_REQ_DISTANCE;		
	// wymagana odleglosc dla szukania drogi
	final static float _PATH_TEST_LENGTH = 10.0f;

	// Wektor, do ktorego podaza osobnik
	Vector m_vMovePoint = new Vector();	
	// wspolczynnik wyboru wektora za przeszkoda
	float m_fFindCoef=500;
	
	float fCurrRadius = 40f;
	
	float m_fSeeRange=100f;
    float m_fSeeStep=20f;
	float m_fSeeFreq=1f;
	
	float m_fChangeDirSpeed = 45f;
	boolean m_isChangingDir = false;

	/** jak szybko ma umrzec po zranieniu */
	//float m_fDeathTime=1f;
	boolean m_bIsDeath=false;
	
	//DLA PRZEMISZCZANIA SIE
	// wektor do celu
	Vector vDestDir = new Vector();
	// wektor pomocniczy
	Vector vTemp = new Vector();
	// czy jest szukana sciezka
	boolean m_bIsPathFind=false;
    // czy rozkaz zakonczenia szukania sciezki
	boolean m_bFinishPathFind=false;
	// liczba prob znalezienia sciezki
	int m_nTrialPath=0;
	int m_nMaxTrialPath=3;
	//liczba prob ustawienia kierunku
	int m_nSetDirNo=0;
	int m_nMaxSetDirNo=30;
	//liczba prob ustawienia kierunku globalnie, pozniej juz konczy
	int m_nSetDirNoGlobal=0;
	int m_nMaxSetDirNoGlobal=150;
	
	//DLA LOSOWOSCI 
	float m_fTimeEvent=10f;  // co ile zmiana stanu
	float m_fOpponentNoticeRange = 300;
	float m_fNoiseReaction=2f;// po ilu ma reagowac na halas
    float m_fRunAwayTime=5f;
	Vector m_vRunDir;
	//int m_fRand=0;
	
	ControlObject m_opponent=null;   // zauwazony wrog

    public void OnCreate()
    {
        super.OnCreate();
        
        UpdatePathMap(true);
		SetFlag(EFlags._STOPPED_BY_PATHFINDER);
        SetCollFlags(ECollFlags.OBJCOL_FLAG_ALIGNTOGROUND);
		
       SetEllipsoid(50,0,40);  //rad=39, posy=20, height=2*20
	   this.SetCollType(ECollFlags.OBJCOL_TYPE_ELLIPSOID);
	   this.SetCollAction(ECollFlags.OBJCOL_ACTION_SLIDE);
       
       SetTraceCollType(ECollTraceFlags._ELEMENT_BOX);
       
       ClearFlag(EFlags._BLOCK_MOVE);
       SetLighting(true);
    }
    
/** Ozywia  warana */
  public void GoLive()
  {
	 LogLine("Jestem w GoLive"); 
     m_currContext.SetValue("Emocje","Spokojny",m_advSpace);
     m_currContext.SetValue("Zdrowie","Nie_ranny",m_advSpace);
//	 m_vMovePoint=((SimLevel03)World.m_currModule).cam.GetPosition();
	//m_vMovePoint.fY=0;
	 CallMethodEvery("AvoidObstacle", m_fSeeFreq);
	 CallMethodEvery("OnTimeEvent", m_fTimeEvent);
	 SetState("NormalState");
	 Start();
  }
  /** dla testow  */
  void Rotate()
  {
	  RotateLocal(new Vector(0,1,0), 10);  
  }
	
  /** przejscie do stanu poczatkowego */
  public void Restart()
  {
 	 ClearSound();
	 GoLive();
  }
  /**  rani warana   */
  public void SetInjured()
  {
     m_currContext.SetValue("Zdrowie","Ranny",m_advSpace);
	 ChangeContext();  // aktualizacja osobnika w nowym kontekscie
	 if(! m_currVerb.IsName("Spacer"))
	     ChangeActivity("Spacer");
	 LogLine("TRAFIONY !!!!!");
	 //CallMethodIn("OnDeath", m_fDeathTime);
  }
  /** czy jest ranny   */
  public boolean IsInjured()
  {
      return m_currContext.IsValue("Zdrowie","Ranny",m_advSpace);
  }

  /**Pobudza warana (wystrasza)	 */
  public void MakeActive()
  {
	 m_currContext.SetValue("Emocje","Czujny",m_advSpace);
 	 ChangeContext();  // aktualizacja osobnika w nowym kontekscie
  }
  //============================
  //OBSLUGA ZDARZEN
/*  public void OnTakeDamage(float fDamage, GameObject Assassin, Vector vHitLocation, Vector vSpeed, int nDamageType)
  {
	 Damage(fDamage);
	 SetInjured();
  }
*/  
  // poprawione OnTakeDamage //////////////////////////////////////////////////////////////
  public void OnTakeDamage(float fDamage, float fPhSimDamage, GameObject Assassin, Vector vHitLocation, Vector vSpeed,
						   int nMeshElementorBoneID, int nDamageType)
  {
	 Damage(fDamage);
	 SetInjured();
  }
		
  public void Die()
  {
	 OnDeath();
  }
  public void OnDeath()
  {
	  ChangeActivity("Smierc");
      DisableCallMethod("OnTimeEvent");
	  DisableCallMethod("AvoidObstacle");
	  m_bIsDeath=true;
  }
  // Halas
  void OnHearNoise(Actor Noisy, float fNoiseLevel, int nNoiseType)
  {
	  if(m_bIsDeath)
		  return;
	  if(m_currContext.IsValue("Emocje","Spokojny",m_advSpace))
	  {
		if(m_isChangingDir)
			EndChangeDirection();
        LogLine("Wystraszyem sie... - Jaszczurka"); 
        m_currContext.SetValue("Emocje","Czujny",m_advSpace);
		this.ChangeContext();
		if(!IsInjured())
		    ChangeActivity("Rozgladanie");
		CheckByEye();
	  }
	  else 
       LogLine("Nie ze mna te numery");
  }
  // Ogladanie otoczenia (czy nie ma wrogow)
  void CheckByEye()
  {
	 DisableCallMethod("SetCalm");
 	 DisableCallMethod("StartRunAway"); 
	 LogLine("Sprawdzam teren"); 
     ControlObject[] objects = GetObjectsInRadiusFromClass(GetPosition(), m_fOpponentNoticeRange, "Pawn");
	 if(objects ==null)
		 LogLine("NULLLLLLLLLLLLLLLLLLLLLL");
	 
	 if(objects.length >0)
	 {
		 //LogLine(" JESTEM w IFie i LENGTH jest "+objects.length);
		 for(int i=0;i<objects.length;i++)
			 LogLine("---------------o1: "+(objects[i].getClass()).getName());
		 Vector vOppPos=objects[0].GetPosition();
		 m_opponent = objects[0];
		 Vector vThis = GetPosition();
		 float fX,fZ;
		 fX = vOppPos.fX - vThis.fX;
		 fZ = vOppPos.fZ - vThis.fZ;
		 m_vRunDir = new Vector(vThis.fX - fX, vThis.fY, vThis.fZ -fZ);
		 
		 LogLine("To jest wrog");
		 if(!IsInjured())
		     CallMethodIn("StartRunAway", m_fNoiseReaction);
		 else
			 StartRunAway();
		 //m_vRunDir = 
	 }
	 else
	 {
	     LogLine("Nie ma obiektow"+" ! ! ! ! ! !  ! ! ! ! !! ! ! ");
		 CallMethodIn("SetCalm", m_fNoiseReaction);
	 }
  }
  
  /** uspokaja warana   */
  void SetCalm()
  {
     m_currContext.SetValue("Emocje","Spokojny",m_advSpace);
     ChangeContext();
     ChangeActivity("Spacer");
	 LogLine("Uspokajam sie"); 
  }
  /** zaczyna uciekac   */
  void StartRunAway()
  {
	 DisableCallMethod("RunAwayEnd"); 
	 ChangeContext();
     ChangeActivity("Spacer");
	 LogLine("UCIEKAM !!!!");
	 if (m_opponent!=null)
	 {
		 LogLine("OD WROGA !!!!");
		 
		 Vector vOppPos = m_opponent.GetPosition();
		 Vector vMyPos = GetPosition();
		 Vector vDir=new Vector(vMyPos);
		 vDir.Sub(vOppPos);	 
		 //vDir.Add(vMyPos); 
		 SetDestDir(vDir,m_currVerb.m_AngleSpeed);
	 }
	 CallMethodIn("RunAwayEnd",m_fRunAwayTime);
	 LogLine("Uciekam"); 
  }
  /** koniec ucieczki   */
  void RunAwayEnd()
  {
		if(m_isChangingDir)
			EndChangeDirection();
	    LogLine("KONCZE UCIEKAC");
	    m_opponent = null;
	    ChangeActivity("Rozgladanie");
		CheckByEye();
  }
  /**   Otrzymywane po ustalonym czasie m_fTimeEvent.   
        Ustala losowe zmiany aktywnosci*/
  public void OnTimeEvent()
  {
	 if((m_currContext.GetValue("Emocje",m_advSpace)).equals("Spokojny")
         && (m_currContext.GetValue("Zdrowie",m_advSpace)).equals("Nie_ranny"))
	 {
		 int nSelect =GameObject.RandomInt(3);
		 float fDir;
		 int nSign;
		 
		 LogLine(" LOSOWOSC "+nSelect);
		 switch (nSelect)
		 {
		 case 0:   LogLine("Jestem w 0 :"+m_currVerb.GetName());
			        if((m_currVerb.GetName()).equals("Spacer"))
					{
						LogLine("Zmieniam na rogladanie");
					    ChangeActivity("Rozgladanie");
					}
					else
					{
					   if((m_currVerb.GetName()).equals("Rozgladanie"))
						  ChangeActivity("Spacer");
					}
					 break;
		   case 1:
					 LogLine("Jestem w 1");
				if((m_currVerb.GetName()).equals("Spacer"))	 
				{
				   fDir=GameObject.RandomFloat(90);
				   nSign = GameObject.RandomInt(2);
				   nSign=(nSign==0) ? 1 : -1;
				   ChangeDirection(fDir*nSign,(fDir)/m_fChangeDirSpeed);	 
				   LogLine("Zmieniam KIERUNEK !!!!!!!!"+nSign*fDir);
				}
				break;
		   case 2:
				LogLine("Jestem w 3");
				break;
		 }
	 }
  }
  
  /** Wlacza szukanie sciezki    */
  public void FindPath()
  {
      ChangeActivity("Rozgladanie");
	  SetState("PathFindState");	  
  }
  /** Ustala punkt docelowy przu szukaniu sciezki   */
  void SetMovePoint(Vector vPoint, float fRadius)
	{
		m_fCurrTolerance = fRadius;
		m_vMovePoint.fX = vPoint.fX;
		m_vMovePoint.fY = vPoint.fY;
		m_vMovePoint.fZ = vPoint.fZ;
		fCurrRadius = fRadius;
		CallMethodIn("SetFinalDestination", 0f);
	}
  /** Wykrywa kolizje z obiektami, terenem i drzewami   */
  Collision TraceTerrainObjectsAndTreesExcludeMe(Vector vStart, Vector vEnd)
   {
        Collision cColl = null, cCurrColl;

        cCurrColl = TraceTerrain(vStart, vEnd);
        if (cCurrColl != null)
            cColl = cCurrColl;

        cCurrColl = TraceObjectsExclude(vStart, vEnd, this);
        if (cCurrColl != null)
            cColl = cCurrColl;

        cCurrColl = TraceTrees(vStart, vEnd);
        if (cCurrColl != null)
            cColl = cCurrColl;      
        return cColl;
    }	
    
  /** Omijanie przeszkod    */
    void AvoidObstacle()
	{
		float fNeedAngle=0;
		Collision collTest=null, coll=null;
		
		for(float i=m_fSeeRange;i>m_fSeeStep;i-=m_fSeeStep)
		{
           fNeedAngle+=10;
			if((collTest=Look(i))!=null)	
		         coll = collTest;
		   else
			   break;
    	}
		if(coll!=null)
		{
	         if(coll.vNormal!=null)				
			     LogLine(" "+coll.vNormal.fX);
			 else
				 LogLine("Nie zwraca");
		 
			    Vector vMy, vNormal=coll.vNormal;
				vMy=GetRightVector();
				float fDir=vMy.Dot(vNormal);
				if(fDir>0)
				{
				    ChangeDirection(fNeedAngle,fNeedAngle / m_fChangeDirSpeed);
					CallMethodIn("UpdateSpeed",fNeedAngle / m_fChangeDirSpeed);
					LogLine("Zmieniam kierunek w prawo z V = "+fNeedAngle / m_fChangeDirSpeed);
				}
				else
				{
				    ChangeDirection(fNeedAngle,  fNeedAngle/m_fChangeDirSpeed);
					CallMethodIn("UpdateSpeed",fNeedAngle / m_fChangeDirSpeed);
					LogLine("Zmieniam kierunek w lewoz V = "+fNeedAngle / m_fChangeDirSpeed);
				}
		}
	}
	/** 	spojrzenie przed siebie i stwierdzenie czy nic nie blokuje 
	  jesli blokuje to obiekt Collision jesli nie to null */
	Collision Look(float fDist)
	{
		LogLine("Patrze");

		Vector vEndObj = GetForwardVector();
		vEndObj.fY = 0f;
	//	vEndObj.Normalize();
		vEndObj.Mul(500);//m_fSeeRange);
		Vector vStart = GetPosition();
		vStart.fY += 20f;
		vEndObj.Add(vStart);
		//RotateVector(vEndObj,5, new Vector(0,1,0));
         Collision coll;
		 return TraceTerrainObjectsAndTreesExcludeMe(vStart, vEndObj);
	}
	
	/**Zmiana kierunku o fAngle stopni w czasie fTime */
   public void ChangeDirection(float fAngle,float fTime)//  fAngle
   {
       
	   DisableCallMethod("OnTimeEvent");
	   DisableCallMethod("AvoidObstacle");
	   DisableCallMethod("EndChangeDirection");
   	   SetState("ChangeDirState");
	   float fAttrib = fAngle/fTime;
	   this.SetAngSpeed(fAttrib);
	   CallMethodIn("EndChangeDirection",fTime);
	   LogLine(" Stan skretu !!");
	   m_isChangingDir=true;
   }	
   /** konczy zmieniac kierunek     */
   void EndChangeDirection()
   {
       this.SetAngSpeed(0);	
	   UpdateSpeed();
	   SetState("NormalState");
   	   LogLine("Koniec  stanu skretu !!");
	   CallMethodEvery("AvoidObstacle", m_fSeeFreq);
	   CallMethodEvery("OnTimeEvent", m_fTimeEvent);
	   m_isChangingDir=false;
   }	
   /** STAN PODCZAS ZMIANY KIERUNKU   
    * ========================================== */
  public class ChangeDirState extends State
  {
     public void OnBlockMove()
     {
	    if(m_bIsDeath)
		   return;
	    DisableCallMethod("EndChangeDirection");
	    DisableCallMethod("OnTimeEvent");
	    DisableCallMethod("AvoidObstacle");
        SetAngSpeed(0);	
  	    UpdateSpeed();
 	    m_bIsPathFind=true;

		CallMethodIn("FindPath",1f);
	 }
  }
  /** STAN GDY NIE ZMIENIA KIERUNKU ANI NIE SZUKA SCIEZKI   */
  public class NormalState extends State
  {
	 public void OnBlockMove()
     {
	   if(m_bIsDeath)
		  return;
/*    ChangeDirection(90,1);	  
	  ChangeActivity("Spacer");*/
	  LogLine("  OOPS !!! ");
	  if( !m_bIsPathFind )
	  {
		  
	     DisableCallMethod("AvoidObstacle");
		 DisableCallMethod("OnTimeEvent");
	     m_bIsPathFind=true;
//		 LogLine("Zmieniam na rozgladanie");
//	     ChangeActivity("Rozgladanie");
  	     CallMethodIn("FindPath",1f);
	  }
	 }
  }
	
	/** STAN SZUKANIA DROGI
	 * =======================================*/
	public class PathFindState extends State
	{
		float fUpdateDirTime = 0.05f;
		Vector Path[] = null;				// aktualna sciezka 
		Vector vCurrentNode = null;         // aktualny punkt patrolowy do ktorego ma dojsc 
		int IndexCurrentPath;				// index taplicy Path
		// aktualna predkosc chodzenia do przodu
		float m_fSpeedZ;
		int iPathLength;

	
		public void SetFinalDestination()
		{
			if (!m_bFinishPathFind)
			{
				DisableCallMethod("WasBreak");
				SetDestination(m_vMovePoint, fCurrRadius);
				StartGO();
			}
		}
		/** ustala jakis dowolny punkt za przeszkoda		 */
		void SelectDestpoint()
		{
			Vector vNew;
			vNew = GetForwardVector();
			vNew.Mul(m_fFindCoef);
			vNew.Add(GetPosition());
			vNew.fY=0;
 		    LogLine("Wybieram point");
			SetMovePoint(vNew, 50f);
			
		}
		public void OnEnter()
		{
			
            LogLine("OnEnter - Path");
			m_bFinishPathFind=false;
			SetMaxAngSpeed(m_currVerb.m_AngleSpeed * 1.5f);
            SelectDestpoint();
			LogLine("Wybieram point");
//			m_fSpeedZ = 0.5f;
		}

		void StartGO()
		{
			if(m_nTrialPath>m_nMaxTrialPath)
			{
				EndPath();
			}
			SetDestinationRadius(_PATH_TEST_LENGTH);
			// kasujemy stara sciezke
			if (Path != null)
			{
				for (int i = 0; i < Path.length; i++)
					Path[i] = null;
				iPathLength = 0;
				Path = null;
			}
			// znajdujemy sciezke do okreslonego punktu
			Vector vStart = GetPosition();
			if (vStart != null)
			{
				Path = FindPath(vStart, m_vMovePoint);
				iPathLength = Path.length;
				if (iPathLength == 1)
				{
					LogLine("!!!! Find Path: Nie znalazlem drogi");
					ChangeActivity("Rozgladanie");
					CallMethodIn("StartGO", 2f);
					m_nTrialPath++;
					//m_fSpeedZ = 0f;
					return;
				}
				else
				{
          			LogLine("Znalazlem droge");
					ChangeActivity("Spacer");
				}
			}
			else
			{
				//LogLine("!!!! SimBase.StartGO() : GetPosition() zwrocilo null");
				return;
			}
			//LogLine("Szukam drogi: " + GetPosition().toString() + m_vMovePoint.toString());
			IndexCurrentPath = 1;
			NextPoint(); // pobierz nastepny punkt i idz w jego kierunku
		}

		void GoToPlace(Vector Dest)
		{
            DisableCallMethod("WasBreak");
			m_nSetDirNo = 0;
			vCurrentNode = Dest;
			SetDestinationPos(Dest);
            LogLine("jestem w GOTO place ");
			// ustawiamy odpowiedni wektor kierunku dla aktualnego punktu
			Vector Dir = new Vector();
			vCurrentNode.Sub(GetPosition(), Dir);
			Dir.fY = 0f;
			Dir.Normalize();
			SetDestDir(Dir, m_currVerb.m_AngleSpeed);
//			LogLine("Ustalam predkosc w gotoPlace");
			UpdateSpeed();
			CallMethodIn("WasBreak", 0.05f);
			Dir = null;
		}

		void WasBreak()
		{
		  DisableCallMethod("WasBreak");
          if(m_nSetDirNo>m_nMaxSetDirNo)
		  {
			  UpdateSpeed();
			  m_nSetDirNo=0;
			  StartGO();			  
		  }
		  if(m_nSetDirNoGlobal>m_nMaxSetDirNoGlobal)
			  EndPath();
			LogLine("WasBreak"+" l:"+m_nSetDirNo+" v:"+m_nSetDirNoGlobal+" >>>"+IndexCurrentPath
					+" z "+ iPathLength);
			m_nSetDirNo+=1;
			m_nSetDirNoGlobal+=1;
			DisableCallMethod("WasBreak");
			if (m_bFinishPathFind)
			{
			    LogLine("WasBreak - koncze sciezke");
				EndPath();
			}
			else
			{
//				LogLine("WasBreak - Ustawiam kierunek");
				// ustawiamy odpowiednio kierunek aktualny sima
				Vector Dir = new Vector();
				vCurrentNode.Sub(GetPosition(), Dir);
				Dir.fY = 0f;
				Dir.Normalize();
/*				SetDestDir(Dir);*/
/*  				Vector v = GetForwardVector();
				v.Mul(5f);
				Dir.Add(v);*/
				SetDestDir(Dir, m_currVerb.m_AngleSpeed);
				//SetDir(Dir);
				//SetDestDir(Dir);
//				LogLine(" forward v: "+v.fX+" "+v.fY+" "+v.fZ+" ");
//				LogLine(" v: "+Dir.fX+" "+Dir.fY+" "+Dir.fZ+" ");
				SetLocalSpeed(new Vector(0.0f, 0.0f,
						  m_currAnim.m_fSpeed));
				CallMethodIn("WasBreak", fUpdateDirTime);
				Dir = null;
			}
		}
		public void OnDestinationPos()
		{
          if(!m_bIsPathFind)
			  return;
			// najpierw sprawdzamy, czy moze jestesmy juz tam, gdzie chcemy dojsc
			Vector Dir = new Vector();
			LogLine("ON DESTOINATION");

			m_vMovePoint.Sub(GetPosition(), Dir);
			Dir.fY = 0;
			if (Dir.Len() <= m_fCurrTolerance)
			{
				//LogLine("PathFind tolerancja: " + m_fCurrTolerance);
				Dir = null;
				EndPath();			// koniec, doszlismy wiec wychodzimy
			}
			else
			{
				Dir = null;
				NextPoint();
			}
		}
		
		void NextPoint()
		{
			LogLine("NextPoint"+IndexCurrentPath+" "+iPathLength);
			if (!m_bFinishPathFind)
			{
				LogLine("szukanie nie skonczone");
				if (IndexCurrentPath >= iPathLength)
				{
					// jeeli skonczylismy isc po sciezce
				    Vector Dir = new Vector();
				    m_vMovePoint.Sub(GetPosition(), Dir);
				    Dir.fY = 0;
				    if (Dir.Len() > m_fCurrTolerance)
						StartGOLine();			// jeszcze nie doszlismy, szukamy drogi dalej, ale po prostej
					else
						EndPath();			// koniec, doszlismy wiec wychodzimy
					Dir = null;
				    return; 
				}
				else
				{
                    LogLine("Bede bral nastepny punkt");
					GoToPlace(Path[IndexCurrentPath]);
					IndexCurrentPath++;
				}
			}
			else
				EndPath();			// koniec, doszlismy wiec wychodzimy
		}
		
		public void StartGOLine()
		{
			
            LogLine("Pojde po lini");
			SetDestinationRadius(m_fCurrTolerance);
			// kasujemy stara sciezke
			if (Path != null)
			{
				for (int i = 0; i < Path.length; i++)
					Path[i] = null;
				Path = null;
			}
			// ustalamy sciezke skladajaca sie z punktu
			Vector vStart = GetPosition();
			if (vStart != null)
			{
				Path = new Vector[2];
				Path[0] = new Vector(vStart);
				Path[1] = new Vector(m_vMovePoint);
			}
			else
			{
				LogLine("!!!! SimBase.StartGOLine() : GetPosition() zwrocilo null");
				return;
			}
			IndexCurrentPath = 1;
			NextPoint(); // pobierz nastepny punkt i idz w jego kierunku
		}

		public void EndPath()
		{
//			m_fSpeedZ = 0f;
//			SetLocalSpeed(new Vector(0, 0, 0));
			DisableCallMethod("WasBreak");
			LogLine("KONIEC");
			m_nTrialPath = 0;
			m_nSetDirNoGlobal=0;
			m_nSetDirNo=0;
			m_bIsPathFind=false;
			SetState("NormalState");
			CallMethodEvery("AvoidObstacle", m_fSeeFreq);
			CallMethodEvery("OnTimeEvent", m_fTimeEvent);
		}
		
	
		// Handler wolany gdy sim nie moze isc ze wzgledu na pathmape
		public void OnBlockMove()
		{
		  if(m_bIsDeath)
		    return;
/*		  if(m_bIsPathFind)
		  {
			LogLine("MOVE in STATE");
			Path = null;
			UpdateSpeed();
			StartGO(); // zboczylismy przez fizyke, szukamy drogi od poczatku
		  }*/
		}
	
 }
}

