public class UIEditPassword extends UIEdit
{
    
    public void DisplayText(String sText)
    {
        String sPass = "";
        for (int i = 0; i < sText.length(); i ++)
            sPass += "*";
        super.DisplayText(sPass);
    }
    
    void Clear()
    {
        m_sText = "";
        m_sEditText = "";
        DisplayText();
    }
    
    void UpdateTextCursorPos()
    {
        if (!m_bInited)
            return;
        
        String sPass = "";
        for (int i = 0; i < m_sEditText.length(); i ++)
            sPass += "*";
        
        Vector vCursorPos = new Vector();
        if (m_sEditText.length() != 0)
        {
            vCursorPos = GetTextExtent(sPass);
            vCursorPos.fY = 0;
            vCursorPos.Add(GetTextPos());
            
        }
        else
        {
            Vector vLetterSize = GetTextExtent("N");
            //TODO przetestowac
            if ((m_nTextPosFlags & ESpriteText.HORIZ_LEFT) == ESpriteText.HORIZ_LEFT)
            {
                vCursorPos.fX = 0;
            }
            if ((m_nTextPosFlags & ESpriteText.HORIZ_MIDDLE) == ESpriteText.HORIZ_MIDDLE)
            {
                vCursorPos.fX = GetSize().fX/2f;
            }
            if ((m_nTextPosFlags & ESpriteText.HORIZ_RIGHT) == ESpriteText.HORIZ_RIGHT)
            {
                vCursorPos.fX = GetSize().fX;
            }
            if ((m_nTextPosFlags & ESpriteText.VERT_TOP) == ESpriteText.VERT_TOP)
            {
                vCursorPos.fY = 0;
            }
            if ((m_nTextPosFlags & ESpriteText.VERT_MIDDLE) == ESpriteText.VERT_MIDDLE)
            {
                vCursorPos.fY = GetSize().fY/2f - vLetterSize.fY/2f;
            }
            if ((m_nTextPosFlags & ESpriteText.VERT_BOTTOM) == ESpriteText.VERT_BOTTOM)
            {
                vCursorPos.fY = GetSize().fY - vLetterSize.fY;
            }
        }
        m_cCursorSprite.SetRelativePos(vCursorPos);
    }
}
