
public class FXCuttingBodyParts extends FX
{
 FXCuttingBodyParts()
 {
   ParticleSystem("CutBodyPartBlood");
   {
    EmiterSize(3,3);
    EmiterLifeTime(3000);
    
    EmiterParticleCount(7);
    
    EmiterContinuous(0);    
    ParticleDirVariation(130,130);    
    ParticleVelocity(600);
    ParticleLifeTime(3000);
    ParticleMass(0.7f);
    ParticleForce(_GRAVITY);
    
    Particle(_PARTICLE_QUAD);
    {
     Texture("FXTexBloodKropla");
     BlendMode(_BLEND_MUL);     
     TowardsToCamera(1);
     Size();
     {
      v(4,4);      
     }
     Rotation();
     {
      v(0,0,0);      
     }
    }    
   }

   MeshPart("CutBodyPartMeshPart");
   {      
    Duration(15000);
    Rotation();
    {
     v(0, 0, 0);
     v(0, 1200, 1200);     
    }       
    
    Alpha();
    {
     v(1);
     v(0);     
    }       

   }

 }
}
