public class FXSpeederBlow extends FX
{
 static float fBlowBarrelSeqDuration = 3000f;
 FXSpeederBlow()
 {
  /**********************************************************/
  
  Sequence("FXSpeederBlow");
  {
   SeqDuration(fBlowBarrelSeqDuration);
   Expl();
   {
    Texture("FXTexGroundGrenadeExpl");
    Duration(700);
    BlendMode(_BLEND_ADD);
    Size();
    {
     v(600,600);
    }
    Position();
    {
     v(0,50,0);
    }
   }
   Delay(110);
   
   Expl();
   {
    Texture("FXTexGroundGrenadeExpl");
    Duration(600);
    BlendMode(_BLEND_MIX);
    RandomSize();
    {
     v(650,880);
    }
    Position();
    {
     v(30,90,0);
    }
   }
   Delay(90);
   
   SeqDuration(1000);
   Expl();
   {
    Texture("FXTexGroundGrenadeExpl");
    Duration(800);
    BlendMode(_BLEND_MIX);
    RandomSize();
    {
     v(620,960);
    }
    Position();
    {
     v(-30,130,0);
    }
    Alpha();
    {
     v(1);
     v(1);
     v(0);
     
    }
   }
   Delay(230);
   
   SeqDuration(1000);
   Expl();
   {
    Texture("FXTexGroundGrenadeExpl");
    Duration(1100);
    BlendMode(_BLEND_MIX);
    RandomSize();
    {
     v(570,800);
    }
    Position();
    {
     v(0,190,0);
    }
    Alpha();
    {
     v(0.5f);
     v(0);
    }
   }
  }
  
  Trace("FXSpeederBlow");
  {   
   Duration(1000000);
   Texture("FXTexGroundGrenadeTrace");
   TextureRepeat(1);
   Size();
   {
    v(130,130);
   }
   Alpha();
   {
    v(1);
   }
  }
  
  ParticleSystem("FXSpeederBlow");
  {
   EmiterSize(3,3);
   EmiterLifeTime(3000);
   
   EmiterParticleCount(15);
   
   EmiterContinuous(0);
   ParticleDirVariation(130,130);
   ParticleVelocity(1000);
   ParticleLifeTime(1400);
   ParticleMass(0.9f);
   ParticleForce(_GRAVITY);
   
   TailRepeat(100);
   
   ParticleTail();
   {    
    Duration(1500);
    Texture("FXTexOgon1");
    TextureRepeat(1);		 
    Rotation();
    {
     v(0,0,0);
     v(0,0,100);
    }
    
    Position();
    {
     v(0,0,0);
     v(0,50,0);
    }
    
    Alpha();
    {
     v(0);
     v(0.1f);
     v(0);
    }
    Size();
    {
     v(25,25);    
     v(700,700);
     
    }
    BlendMode(_BLEND_MIX);
    
   }
   
   Particle(_PARTICLE_QUAD);
   {
    Texture("FXTexGroundGrenadeParticle");
    BlendMode(_BLEND_ADD);
    TowardsToCamera(1);
    RandomSize();
    {
     v(6,24);
    }
    
    RandomRotation();
    {
     v(0, 0, 0);
     v(0, 0, 150);
    }			
   }
  }
  
  /**********************************************************/
  
 }
}
