public class FXPlexiAmmo extends FX
{
    FXPlexiAmmo()
    {
        /**********************************************************/
        Sequence("PlexiBulletEnergy");
        {
            SeqDuration(1000);
            Expl();
            {   
                Texture("FXTexBlood");
                Duration(100);
                BlendMode(_BLEND_MUL);
            }
        }        
        
        TraceClipped("PlexiBulletEnergy");
        {   
			TowardsToCamera(0);
            Duration(1000000);
            Texture("FXTexGroundRocket");
            TextureRepeat(1);
            RandomSize();
            {
                v(110,110);
            }
            Alpha();
            {
                v(1);
            }
        }             
        
        /**********************************************************/
		
		
		
		
        Sequence("PlexiBulletLarge");
        {
            SeqDuration(1000);
            
               
        TraceClipped("PlexiBulletLarge");
        {   
			TowardsToCamera(0);
            Duration(1000000);
            Texture("FXTexPlexiBulletLarge");
            TextureRepeat(1);
            RandomSize();
            {
                v(20,50);
            }
			
			RandomRotation();
            {
                v(0,0,0);
				v(0,0,290);
            }
            Alpha();
            {
                v(1);
            }
			BlendMode(_BLEND_MIX);
        }
        
        ParticleSystem("PlexiBulletLarge");
        {
            EmiterSize(3,3);
            EmiterLifeTime(1000);
            
            EmiterParticleCount(3);
            
            EmiterContinuous(0);
            ParticleDirVariation(180,180);
            ParticleRandomVelocity(350,1100);
            ParticleLifeTime(1000);
            ParticleMass(0.4f);
            ParticleForce(_GRAVITY);
            ParticleTrailLength(4);
			ParticleTrailWidth(5);
			ParticleTrailTexture("FXTexPlexiParticle");
			ParticleTrailBlendMode(_BLEND_ADD);
	
         
        }
		}
        /**********************************************************/
        
        Sequence("PlexiBulletSmall");
        {
            SeqDuration(1000);
            
               
        TraceClipped("PlexiBulletSmall");
        {   
			TowardsToCamera(0);
            Duration(1000000);
            Texture("FXTexPlexiBulletSmall");
            TextureRepeat(1);
			
			RandomRotation();
            {
                v(0,0,0);
				v(0,0,290);
            }
            RandomSize();
            {
                v(14,34);
            }
            Alpha();
            {
                v(1);
            }
			BlendMode(_BLEND_MIX);
        }
        
        ParticleSystem("PlexiBulletSmall");
        {
            EmiterSize(3,3);
            EmiterLifeTime(1000);
            
            EmiterParticleCount(3);
            
            EmiterContinuous(0);
            ParticleDirVariation(180,180);
            ParticleRandomVelocity(350,1100);
            ParticleLifeTime(1000);
            ParticleMass(0.4f);
            ParticleForce(_GRAVITY);
            ParticleTrailLength(4);
			ParticleTrailWidth(5);
			ParticleTrailTexture("FXTexPlexiParticle");
			ParticleTrailBlendMode(_BLEND_ADD);
	
         
        }
		}
        
        /**********************************************************/
        
        Sequence("PlexiCannon");
		
		{
            SeqDuration(1000);
            
               
        TraceClipped("PlexiCannon");
        {   
			TowardsToCamera(0);
            Duration(1000000);
            Texture("FXTexPlexiBulletSmall");
            TextureRepeat(1);
            RandomSize();
            {
                v(24,54);
            }
			
			RandomRotation();
            {
                v(0,0,0);
				v(0,0,290);
            }
            Alpha();
            {
                v(1);
            }
			BlendMode(_BLEND_MIX);
        }
        
        ParticleSystem("PlexiCannon");
        {
            EmiterSize(3,3);
            EmiterLifeTime(1000);
            
            EmiterParticleCount(3);
            
            EmiterContinuous(0);
            ParticleDirVariation(180,180);
            ParticleRandomVelocity(350,1100);
            ParticleLifeTime(1000);
            ParticleMass(0.4f);
            ParticleForce(_GRAVITY);
            ParticleTrailLength(4);
			ParticleTrailWidth(5);
			ParticleTrailTexture("FXTexPlexiParticle");
			ParticleTrailBlendMode(_BLEND_ADD);
	
         
        }
		}
        
        
    }
}

