/** implant TendoAmplifys aka Motion Improver
 */
public class ImplantSpeed extends Implant
{
    static float _SPEED_MULT = -1f;
    
    {
        m_nHint = Hint._HINT_IMPLANT_SPEED;
    }
    
    public boolean Activate()
    {
		if (super.Activate())
		{
			if ( m_Player != null )
                 m_Player.OnSwitchImplantSpeed(true);
			return true;
		}
	    return false;
	}
	
    public void Deactivate()
    {
        if (!m_bImplantSystemWorking)
            return;
        
		if (m_bActiveFlag)
		{
            super.Deactivate();
            
            if ( m_Player != null )
                 m_Player.OnSwitchImplantSpeed(false);
        }
	}
    
    void ReinitImplantParams()
    {
        super.ReinitImplantParams();
        _SPEED_MULT = 1.4f;
    }
}

