public class LaserMineCollision extends MeshObject
{
    LaserMine m_cParent = null;
    
    void LaserMineCollision()
    {

    }
    
    public void OnCreate()
    {
        LoadMesh("data/meshes/equipment/LaserCollision.3da");
        SetFlag(EFlags._COLLISION);
        SetFlag(EFlags._NOT_STATIC);
        SetCollHandler(ECollFlags.OBJCOL_HANDLER_FULLINFO);
        SetCollType(ECollFlags.OBJCOL_TYPE_PERFACEOBJECT);
        ClearFlag(EFlags._BLOCK_TRACE);
        SetCollFlags(ECollFlags.OBJCOL_FLAG_ONHITHANDLER);   
        EnableRendering(false);
    }
    
    void Init(LaserMine cParent)
    {
        m_cParent = cParent;
        DeactivateOnModuleAlways();
    }
    
    public void OnCollisionFullInfo(ControlObject Col,Vector vPoint,Vector vNormal)
    {
        m_cParent.LaserCollision(Col, vPoint);
        ClearFlag(EFlags._BLOCK_MOVE);
    }
    
    boolean bSet = false;
    
    void SetLength(float fLen)
    {
        Vector vMin = new Vector(), vMax = new Vector();
        GetMeshExtents(vMin, vMax);
        float fCurLen = vMax.fZ;
        //CrashLog("fcurlen " + fCurLen);
        SetScale(1, 1, fLen / fCurLen);
    }
}
