public class SpecialInvObject extends InvObjectInst
{
    public FileName sTextureFile = null;//#SpecialInvObject;File with texture of this inventory object
	public int nTextureCoordsX = -1;	//#SpecialInvObject;X coordinate on texture
	public int nTextureCoordsY = -1;	//#SpecialInvObject;Y coordinate on texture
	public int nTextureSizeX = -1;		//#SpecialInvObject;X size of texture
	public int nTextureSizeY = -1;		//#SpecialInvObject;Y size of texture
    public int nCellX = -1;		//#SpecialInvObject;
    public int nCellY = -1;		//#SpecialInvObject;
	public String sObjectName = null;	//#SpecialInvObject;Inventory object name

	SpecialInvObject()
    {
        super();
	
        nInvIndex = InvObject._E_NANOCHIP;
        nInvType = EInvObjType._KEY;
		sName = "&E_N_NANOCHIP&";
		sTexFileName = "Data/Textures/karta_magn.png";
      	nCellsWidth = 1;
	    nCellsHeight = 2;
        
        //wspolrzedne polozenia na teksturze
        nOnTexPosX = 0.0f;
        nOnTexPosY = 0.0f;
        
        //rozmiary tekstury
        nTexSizeX = 64.0f;
        nTexSizeY = 32.0f;
    }
	
	public void OnCreate()
	{
		if ( (sObjectName != null) && (sObjectName.length() > 0) )
			sName = sObjectName;
		if ( (sTextureFile != null) && (sTextureFile.sName.length() > 0) )
			sTexFileName = sTextureFile.sName;
		if (nTextureCoordsX != -1)
			nOnTexPosX = nTextureCoordsX;
		if (nTextureCoordsY != -1)
			nOnTexPosY = nTextureCoordsY;
		if (nTextureSizeX != -1)
			nTexSizeX = nTextureSizeX;
		if (nTextureSizeY != -1)
			nTexSizeY = nTextureSizeY;
        /*TODO
        if (nCellX != -1)
			 nCellsWidth = nCellX;
        if (nCellY != -1)
			nCellsHeight = nCellY;
		*/
		super.OnCreate();
	}
}