public class WeaponPistolHeavy extends WeaponBullet
{
    WeaponPistolHeavy()
    {
        super();

        m_nFireMode = _FIREMODE_SINGLE;
        
        //pistolety nie urywaja czlonkow
        bCutBodyParts = false;

        //MeshObject
        MeshName="Data/Meshes/Equipment/TPPpistol2.3DA";
        
        //Weapon
        nType = EWeaponType._PISTOL;

        //InvObject properites
        nInvIndex = InvObject._W_PISTOL_HEAVY;
        sName = "&W_N_PISTOL_HEAVY&";
        //sInfo = "Ammo : 12mmShort \nDamage : 32 \nRoF : 180";
        sTexFileName = "Data/Textures/CH_I_Weapons1.png";
        
        //wspolrzedne polozenia na teksturze
        nOnTexPosX = 140.0f;
        nOnTexPosY = 0.0f;
        
        //rozmiary tekstury
        nTexSizeX = 256.0f;
        nTexSizeY = 256.0f;

		// Ilosc kratek zajmowanych w plecaku
	    nCellsHeight = 2;
	    nCellsWidth = 4;
		
        //WeaponPistol properties
        fBaseAcc  = 4.5f;
        fAimAcc = 1.25f;
        fRecoilAccChange = 5.0f;
		fAccuracyChangeSpeed = 9.0f;
        
		fRecoilShiftChange= 0.15f;
        //TODO jesli trzeba to zmodyfikowac
        //vRecoilShift = new Vector(0.05f, 0.6f, 0.05f);

        fDamage             = 150.0f; // bylo 32.0
        fPhysicsSimDamage   = fDamage;
        fRange              = 25000.0f;
        fBulletSpeed        = 100000.0f;
	    fRateOfFire         = 180.0f;
	    eBulletType         = EAmmoType._12mmShort;
		nCapacity		    = 6;
        nRoundShots         = 1;
		bMountable          = true;

		fNoiseShot = 6000.0f; // PZ: zmienione z 2500
		fNoiseHit  = 500.0f;

        /** Klasa mesha pokazywanego w FPP */
        sFPPHandsClass = "FPPHandsPistol2"; // ciezka spluwa
        
        /**Nazwa dzieku odpalanego przy wystrzale */
        sSoundShoot = "Data/Sounds/Weapon/P03_Fire";
        sSoundReload = "Data/Sounds/Weapon/P03_Reload";
        sSoundEmpty = "Data/Sounds/Weapon/P03_Click";

        fMinShootSound = 200.f;
        fMaxShootSound = 15000.f;
        
        /**Nazwa FX odpalanego przy wystrzale (grzebien)*/
		sFXCombName = "FXGrzebienPistolHeavy";
		
        ////////////////////////////////////////////////////////////////////////////
        //                         PARAMETRY DLA AI                               //
        ////////////////////////////////////////////////////////////////////////////
        nAIFireModes = _FIREMODE_SINGLE;
        //fAIAimingDeviation = 0.1f;
        //fAIBurstAimingDeviation = 0.5f;
        //fAISingleFireDelay = 0.5f;
        //fAIRandomSingleFireDelay = 2.f;
        //fAIBurstFireDelay = 0.5f;
        //fAIRandomBurstFireDelay = .1f;
        //nAIMaxSingleFireBullets = 5;
        //fAIBurstTime = 0.5f;
        //fAIRandomBurstTime = .5f;
        //fAIMaxBurstDistance = 2000;
        //nAIReadinessToAim = 100;
        //nAIReadinessToStopAiming = 100;
        //fAIHidingPosTime = 1.1f;
        //fAIRandomHidingPosTime = 0.5f;
        //fAIFiringPosTime = 1.1f;
        //fAIRandomFiringPosTime = 0.5f;
        ////////////////////////////////////////////////////////////////////////////
        fShootLightScale = 300;
    }
}
