public class WeaponRifleHeavy extends WeaponBullet
{
    WeaponRifleHeavy()
    {
        super();
        //MeshObject
        MeshName="Data/Meshes/Equipment/TPPstrzelba.3DA";
        m_nFireMode = _FIREMODE_SINGLE;        
        //Weapon
        nType = EWeaponType._RIFLE;

        sFXHitName = "FXHitRifleHeavy";
        //InvObject properites
        nInvIndex = InvObject._W_RIFLE_HEAVY;
        sName = "&W_N_RIFLE_HEAVY&";
        //sInfo = "Ammo : Energy \nDamage : 60 \nRoF : 60";
        sTexFileName = "Data/Textures/CH_I_Weapons3.png";
        
        //wspolrzedne polozenia na teksturze
        nOnTexPosX = 0.0f;
        nOnTexPosY = 120.0f;
        
        //rozmiary tekstury
        nTexSizeX = 256.0f;
        nTexSizeY = 256.0f;
		
		// Ilosc kratek zajmowanych w plecaku
	    nCellsHeight = 3;
	    nCellsWidth = 10;
		
        //Weapon properties
        fBaseAcc  = 2.0f;
        fAimAcc = 1.0f;
        fRecoilAccChange = 3.5f;
		fAccuracyChangeSpeed = 9.0f;
        
        fRecoilShiftChange= 0.15f;

        fDamage             = 250.0f;
        fPhysicsSimDamage   = fDamage;
        fRange              = 60000.0f;
        fBulletSpeed        = 100000.0f;
	    fRateOfFire         = 90.0f;
	    eBulletType         = EAmmoType._14mmLong;
		nCapacity		    = 7;
	
		fNoiseShot = 8000.0f; // z 4000.0f;80000
		fNoiseHit  = 1200.0f;

        /**Nazwa dzieku odpalanego przy wystrzale */
        sSoundShoot = "Data/Sounds/Weapon/R07_Fire";
        sSoundReload = "Data/Sounds/Weapon/R07_Reload";
        sSoundEmpty = "Data/Sounds/Weapon/R07_Click";

        fMinShootSound = 200.f;
        fMaxShootSound = 20000.f;
        
		/**Nazwa FX odpalanego przy wystrzale (grzebien)*/
		sFXCombName = "FXGrzebienRifleHeavy";
        
        /** Klasa mesha pokazywanego w FPP */
        sFPPHandsClass = "FPPHandsStrzelba";
        
        fShootLightScale = 700;
    }
    
}
