public class WeaponRifleShortSilenced extends WeaponBullet
{
    WeaponRifleShortSilenced()
    {
        super();

        //MeshObject
        MeshName="Data/Meshes/Equipment/TPPpistol3.3DA";
        m_nFireMode = _FIREMODE_BURST;        
        //Weapon
        nType = EWeaponType._RIFLE;

        //InvObject properites
        nInvIndex = InvObject._W_RIFLE_SHORT_SILENCED;
        sName = "&W_N_RIFLE_SHORT_SILENCED&";
        //sInfo = "Ammo:9mmShort Damage:20 RoF:450 Accuracy:018 Recoil:Medium Range:150 AmmoCapacity:32";
        sTexFileName = "Data/Textures/CH_I_Weapons1.png";
        
        //wspolrzedne polozenia na teksturze
        nOnTexPosX = 100.0f;
        nOnTexPosY = 40.0f;
        
        //rozmiary tekstury
        nTexSizeX = 256.0f;
        nTexSizeY = 256.0f;

		// Ilosc kratek zajmowanych w plecaku
	    nCellsHeight = 3;
	    nCellsWidth = 7;
		
        //WeaponPistol properties
        fBaseAcc  = 3.75f;
        fAimAcc = 1.75f;
        fRecoilAccChange = 1.3f;
		fAccuracyChangeSpeed = 11.0f;
     
        fRecoilShiftChange = 0.02f;

        fDamage             = 35.0f;
        fPhysicsSimDamage   = fDamage;
        fRange              = 20000.0f;
        fBulletSpeed        = 100000.0f;
	    fRateOfFire         = 900.0f;
	    eBulletType         = EAmmoType._9mmShort;
		nCapacity		    = 50;
		bMountable          = true;

		fNoiseShot = 500.0f; // PZ: zmienione z 1000
		fNoiseHit  = 400.0f;

        /** Klasa mesha pokazywanego w FPP */
        sFPPHandsClass = "FPPHandsPistol3"; // pistolet maszynowy z tlumikiem pistol3.3da
        
        /**Nazwa dzieku odpalanego przy wystrzale */
        sSoundShoot = "Data/Sounds/Weapon/R03_Fire";
        sSoundReload = "Data/Sounds/Weapon/R03_Reload";
        sSoundEmpty = "Data/Sounds/Weapon/R03_Click";
        
        fMinShootSound = 200.f;
        fMaxShootSound = 10000.f;
        
        /**Nazwa FX odpalanego przy wystrzale (grzebien)*/
		sFXCombName = "FXGrzebienRifleShortSilenced";
		
        ////////////////////////////////////////////////////////////////////////////
        //                         PARAMETRY DLA AI                               //
        ////////////////////////////////////////////////////////////////////////////
        nAIFireModes = _FIREMODE_SINGLE | _FIREMODE_BURST;
        //fAIAimingDeviation = 0.1f;
        //fAIBurstAimingDeviation = 0.5f;
        //fAISingleFireDelay = 0.5f;
        //fAIRandomSingleFireDelay = 2.f;
        //fAIBurstFireDelay = 0.5f;
        //fAIRandomBurstFireDelay = .1f;
        //nAIMaxSingleFireBullets = 5;
        //fAIBurstTime = 0.5f;
        //fAIRandomBurstTime = .5f;
        //fAIMaxBurstDistance = 2000;
        nAIReadinessToAim = 90;
        nAIReadinessToStopAiming = 90;
        //fAIHidingPosTime = 1.1f;
        //fAIRandomHidingPosTime = 0.5f;
        //fAIFiringPosTime = 1.1f;
        //fAIRandomFiringPosTime = 0.5f;
        ////////////////////////////////////////////////////////////////////////////
        fShootLightScale = 100;
    }
}
