public class FlyingMotherShipFake extends FlyingTransporterSmallFake
{
    String sFXEngineSmall = "FXFlyingEngineMothershipSmall";
    
    FlyingMotherShipFake()
    {
        super();
        
        sFXEngine = "FXFlyingEngineMothership";
        
        sTakeOffSound = null;
        sFlySound = "Data/Sounds/Vehicles/MotherShipEngine.wav";
        fFlySoundMin = 10000f;
        fFlySoundMax = 100000f;
        
        fUpdateFXTime = 1f;
    }
    
    public void OnCreate()
    {
        aEngineElementsNames = new String[] {"Engine01", "Engine02", "Engine03", "Engine04"};
        
        super.OnCreate();
    }
    
    void BurnEngines()
    {
        if (aEngineElements[0] != -1)
                ExecuteFX(this, aEngineElements[0], sFXEngine, Vector.Zero);
            
        for (int i = 1; i < aEngineElements.length; i++)
        {
            if(aEngineElements[i] != -1)
                ExecuteFX(this, aEngineElements[i], sFXEngineSmall, Vector.Zero);
        }
    }
}
