public class NetLiftPlatformOld extends LiftPlatformOld
{
    
    
    NetLiftPlatformOld()
    {
        // do testow
        fMovingDistance = 250;
    }
    
    
    
    void Init()
    {
        super.Init();
            
        InitNet();
    }
    
    
    
    void AttachPlayer()
    {
        AttachPlayers();
    }
    
    void DetachPlayer()
    {
        DetachPlayers();
    }
    
    void CheckPlayer()
    {
        //LogD("\n");
        if ( m_cPlayerManager == null )
        {
            DisableCallMethod("CheckPlayer");
            Log("Canceled CheckPlayer\n");
            return;
        }
        
        Actor cPlayer = ArePlayersAbove();
        if ( cPlayer != null )
        {
            LogD(" 1\n");
            // jak gracz jedzie to nie ma co sprawdzac
            if (bPlayerRuning) 
                return;
            
            if (bPlayerAbove)
            {
                LogD(" 2\n");
                //CrashLog("Player is above\n");
                    
                float fAboveInterval = GetTime() - fPlayerAboveEnterTime;
                if (fAboveInterval >= fPlatformStartTime)
                {
                    //CrashLog("Gracz wjezdza winda\n");
                    // wlaczamy winde
                    SetStateMoving( GetTime() );
                    
                    bPlayerRuning = true;
                    
                    MsgSendClientState();
                }
            }
            else
            {
                //CrashLog("Player enters above\n");
                fPlayerAboveEnterTime = GetTime();
                bPlayerAbove = true;
            }
        }
        else
        {
            bPlayerAbove = false;
            if(bPlayerRuning)
            {
                //CrashLog("Gracz zszedl z windy\n");
                // gracz zszedl z jadacej windy
                bPlayerRuning = false;
            }
        }
    }
    
    
    
    
    Actor ArePlayersAbove()
    {
        if ( m_cPlayerManager == null )
            return null;
        
        for ( int i=0; i< m_cPlayerManager.GetMaxPlayers(); i++ )
        {
            if (m_cPlayerManager.GetPlayer(i) == null)
                continue;
            
            if (m_cPlayerManager.GetPlayer(i).bDead)
                continue;
            
            if ( IsPlayerAbove( m_cPlayerManager.GetPlayer(i) ) )
                return m_cPlayerManager.GetPlayer(i);
        }
        
        return null;
    }
    
            
    
    
    void MessagePackStateData()
    {
        if ( m_nState == _STATE_STOPPED )
        {
            // pozycja Y
            Vector vPos = GetPosition();
            MessagePackFloat( vPos.fY );
        }
        else
        {
            // pozycja startowa,
            MessagePackVector( vStartPos );
            // kierunek jazdy
            MessagePackFloat( fMovingDirection );
            
            // podlaczeni gracze
            //TODO
        }
    }    
    
    void MessageUnPackStateDataEnd(int nState,float fTime)
    {
        if ( nState == _STATE_STOPPED )
        {
            // pozycja Y
            Vector vPos = GetPosition();
            vPos.fY = MessageUnPackFloat();
            MessageEnd();
            
            SetPosition( vPos );
            SetStateStopped( fTime );
        }
        else
        {
            // pozycja startowa,
            vStartPos = MessageUnPackVector();
            // kierunek jazdy
            fMovingDirection = MessageUnPackFloat();
            // podlaczeni gracze
            //TODO
            MessageEnd();
            
            //ustawiam w pozycji poczatkowej
            SetPosition( vStartPos );
           
            SetStateMoving( fTime );
        }
    }
}
