public class ChromeLoadingScreen extends ChromeMenuWindow
{
    void SetDescription(String sDescription)
    {
        if (sDescription != null)
        {
            ((UIStatic)GetElem("ID_LEVEL_DESCRIPTION")).Show();
            ((UIStatic)GetElem("ID_LEVEL_DESCRIPTION_TEXT")).SetText(sDescription);
        }
        else
        {
            ((UIStatic)GetElem("ID_LEVEL_DESCRIPTION")).Hide();
        }
    }
    
    void SetScreenShot(String sTex)
    {
        if (sTex != null)
        {
            GetElem("ID_SCREENSHOT").Show();
            UITexture cTexture = new UITexture(sTex, 512, 256, 0,0,512,256);
            GetElem("ID_SCREENSHOT").SetNormalTexture(cTexture);
            
        }
        else
        {
            GetElem("ID_SCREENSHOT").Hide();
        }
    }
    
    void SetPreFilmBackground()
    {
        UITexture cTexture = new UITexture("data/hud/background_univ.png", 1024, 1024, 0,0,800,600);
        SetNormalTexture(cTexture);
        
    }
    
    public void OnInit()
    {
        super.OnInit();

    }
}
