public class ChromeMainMenu extends ChromeMenuWindow
{
    //czy singleplayer ma byc dostepny w menu?
    //uwaga: jak ustawi sie na false, to nie beda dostepne tez save'y
    boolean m_bSingleplayer = false;//true;
    //czy multiplayer ma byc dostepny w menu?
    boolean m_bMultiplayer  = true;
    
	{
	//jesli pierwszy raz pojawia sie ekran to ustaw filmik
	if (m_bFirstTime)	
		nMovieIn = 1;
	else
		nMovieIn = -1;
	
	nMovieLoop = 2;
	nMovieOut = -1;
	} 
	
	static boolean m_bFirstTime = true;
	
	void Init(MenuBackground cBack)
    {
        m_bFirstTime = false;
		MenuModule = (ChromeMenuModule)GetModule();
        
        if (MenuModule.cGameInitInfo != null && 
            MenuModule.cGameInitInfo.cLevels != null &&
            !(MenuModule.cGameInitInfo instanceof NetGameInitInfo))
        {            
            MenuModule.cGameInitInfo.cLevels.nCurrent = -1;
        }
        
        if ( m_bSingleplayer )
        {
			((UIMenuButton)GetElem(EChromeMainMenuUI.ID_STRING+EChromeMainMenuUI.ID_BTN_MAIN_SINGLE)).SetDisabled(false); 
            ((UIMenuButton)GetElem(EChromeMainMenuUI.ID_STRING+EChromeMainMenuUI.ID_BTN_MAIN_LOAD)).SetDisabled(false); 
        } else
		{
			((UIMenuButton)GetElem(EChromeMainMenuUI.ID_STRING+EChromeMainMenuUI.ID_BTN_MAIN_SINGLE)).SetDisabled(true); 
            ((UIMenuButton)GetElem(EChromeMainMenuUI.ID_STRING+EChromeMainMenuUI.ID_BTN_MAIN_LOAD)).SetDisabled(true); 
		}
        
        if ( m_bMultiplayer )
            ((UIMenuButton)GetElem(EChromeMainMenuUI.ID_STRING+EChromeMainMenuUI.ID_BTN_MAIN_MULTI)).SetDisabled(false); 
        else
			((UIMenuButton)GetElem(EChromeMainMenuUI.ID_STRING+EChromeMainMenuUI.ID_BTN_MAIN_MULTI)).SetDisabled(true); 
		
        // gdy jest przejscie do tego menu to napewno nie ma juz w tle gry
        MenuModule.bInGameMenuAct = false;
        MenuModule.bMenuNetInGame = false;
        
        //* DO DEMA MULTIPLAYER _bMultiplayerDemo
        java.io.File cLevels = new java.io.File("data/levels");
        if (!cLevels.exists())
        //*/
        {
            ((UIMenuButton)GetElem(EChromeMainMenuUI.ID_STRING+EChromeMainMenuUI.ID_BTN_MAIN_SINGLE)).SetDisabled(true); 
            ((UIMenuButton)GetElem(EChromeMainMenuUI.ID_STRING+EChromeMainMenuUI.ID_BTN_MAIN_LOAD)).SetDisabled(true); 
        }
        
        ///* DO DEMA bPrologDemo
        java.io.File cLevelsNet = new java.io.File("data/levelsnet");
        if (!cLevelsNet.exists())
        //*/
        {
            ((UIMenuButton)GetElem(EChromeMainMenuUI.ID_STRING+EChromeMainMenuUI.ID_BTN_MAIN_MULTI)).SetDisabled(true);
        }
		
		if(ChromeGameRunInfo.s_bAutoReloadingLevels)
			CallOnFrameEnd("ReloadLevel");
    }
    //*/
	
	static int s_iLastAlocated;
	
	void ReloadLevel()
	{
		//Zrzucamy zawartosc pamieci zaalokowanej w c
		//Projekt musi byc skompilowany z odblokowanym memdumpem
		int iMemoryAllocated = GetUsedMemSize();
		
		String sDumpFileName = "" + ((ChromeGame)ChromeGame.cSingleton).m_iAutoloadLevel +"_"+ (ChromeGameRunInfo.s_iHowManyTimesPreloadLevel + 1) + ".txt";
        //bPrologDemo
		DumpMemory("DumpMenuMemory" + sDumpFileName/*, false*/);
		DumpMeshes("DumpMenuMeshes" + sDumpFileName);		
		DumpTextures("DumpMenuTextures" + sDumpFileName);
		
		CrashLog("Memory allocated in menu (DumpMenuMemory" + sDumpFileName + "):"+ iMemoryAllocated + " difference: "+(iMemoryAllocated - s_iLastAlocated));
		s_iLastAlocated = iMemoryAllocated;
		
		if(ChromeGameRunInfo.s_iHowManyTimesPreloadLevel > 0)
			((ChromeGame)ChromeGame.cSingleton).LoadLevelAutomatically();
		else
			MenuModule.ExitMenuGame();			
	}
	
    void Discard()
    {
        if(!CanDiscard())
			return;
		
		if (!IsActuallyVisible())
            return;
        MenuModule.SetMenu("ChromeMenuExit");
        //ShowYesNoDialog(EChromeMainMenuUI.ID_BTN_MAIN_EXIT, "&QUIT GAME&", "&menu3&", "&BtnYes&", "&BtnNo&");
    }
    
    public void Show()
    {
        super.Show();
        
		java.io.File CustomMapDir = new java.io.File( ChromMenuCustomLevels.sm_sCustomMapDir );
        UIMenuButton cUIButton = ((UIMenuButton)GetElem("ID_125"));
		if(cUIButton != null)
			cUIButton.SetDisabled(!CustomMapDir.exists());
       
		//za pierwszym razem startujemy animacje
		if(nMovieIn == 1)
	    {
			if(ChromeMenuModule.m_c3DSceneModule != null)
				ChromeMenuModule.m_c3DSceneModule.SartPlayingAnims();
		}
		if(MenuModule != null && MenuModule.cMenuBackground != null)
				MenuModule.cMenuBackground.CallMethodIn("ShowGameVersion",0.1f);

        MasterClient.MasterClientBye();
    }
    
    
    void OnUICommand(UIWindow cSender, int nCommand)
	{
		super.OnUICommand(cSender,nCommand);
		int nID = GetButtonId(cSender.m_sId);
            
		if(nCommand == EUIConst.CM_CLICK || nCommand == EUIConst.CM_DBCLICK)
        {
            switch(nID)
            {
            case EChromeMainMenuUI.ID_BTN_MAIN_SINGLE:
                {
                    boolean bRShift = GetKeyState(EKey._RSHIFT);
                    boolean bLShift = GetKeyState(EKey._LSHIFT);
                    if((bRShift || bLShift) && ChromeGameRunInfo.s_bShowCheatLevelsMenu)
                    {
                        //MenuModule.SetMenu("ChromeFourLevelsMenu");
                        //MenuModule.SetMenu("ChromeMenuLvl1_3_10_11_13");
                        //MenuModule.SetMenu("ChromeMenuLvl1_11");
                        //MenuModule.SetMenu("ChromeMenuLvl_0_1_2_3_4");
                        
                        MenuModule.SetMenu("ChromeNewGameMenuTest");
                    }
                    else
                    {
                        MenuModule.SetMenu("ChromeNewGameMenu");
                    }
                    
                    UnregisterKeyRequest();
                    break;
                }
			case EChromeMainMenuUI.ID_BTN_CUSTOM_MISSIONS:
			    {
                    MenuModule.SetMenu("ChromMenuCustomLevels");
                    break;
                }
            case EChromeMainMenuUI.ID_BTN_MAIN_MULTI:
                {
                    MenuModule.SetMenu("ChromeNetMainMenu");
                    break;
                }
            case EChromeMainMenuUI.ID_BTN_MAIN_OPTIONS:
                {
                    MenuModule.SetMenu("ChromeOptionsMenu");
                    break;
                }
            case EChromeMainMenuUI.ID_BTN_MAIN_LOAD:
                {
                    MenuModule.SetMenu("ChromeMenuLoad");
                    /*MenuModule.sSaveGameName = "SaveGame/1.svg";
                    MenuModule.NewGame(new GameInitInfoSingle());
                    MenuModule.StartGame();*/
                    break;
                }
            case EChromeMainMenuUI.ID_BTN_MAIN_EXIT:
                {
                    //MenuModule.SetMenu("ChromeCreditsMenu");
                    Discard();
                    break;
                }
            }
        }
    }
    
    void ShowButtons()
    {
        GetElem("ID_MENU").Show();
    }
    
    void HideButtons()
    {
        GetElem("ID_MENU").Hide();
    }
    
 }

