/** klasa, ktorej obiekty sa listboxami zawierajacymi
 *  bron i wyposazenie w inventory room 
 */
public class ChromeInvListWeapon extends ListBoxWithUIWindows
{
    ChromeInventoryMenu m_cParent = null;
    
    void SetParent(ChromeInventoryMenu cParent)
    {
        m_cParent = cParent;
    }
    
	/** lista InvObject'ow dodanych do listboxa */
	java.util.Vector WeaponList = new java.util.Vector();
	/** lista InvObjInfo dodanych do listboxa */
    java.util.Vector aInitItems = null;

	/** wielkosc elementu dodawanego do list */
	float _ELEM_SIZE_X = 200.0f;
	float _ELEM_SIZE_Y = 60.0f;

	/** przesuniecie obiektu na listboxie wzgledem pola,
	 *  na ktorym sie znajduje
	 */
	float _ELEM_MOVE_X = 4.0f;
	float _ELEM_MOVE_Y = 4.0f;
	
	/** okno bedace tlem calego listboxa */
	Window m_Background = null;
	
    void Init(UIWindow cParent)
    {
        super.Init(cParent);
        SetParent((ChromeInventoryMenu)cParent);
        bScrollVisible = true;
        _ELEM_SIZE_X = m_cListWindow.GetSize().fX;
    }
    
    public void Clear()
    {
        super.Clear();
        aInitItems.removeAllElements();
        WeaponList.removeAllElements();
    }
    
    public void ClearCounters()
    {
        for (int i = 0; i < aInitItems.size(); i++)
        {
            InventoryObjectInfo cInfo = (InventoryObjectInfo) aInitItems.elementAt(i);
            cInfo.m_iAmount = 0;
            cInfo.m_bDisabled = false;
        }
    }
    
    void InitWeapon(java.util.Vector items)
    {
        aInitItems = items;
        
        ProcessKb(true);
        ProcessMouse(true);
        if (aInitItems == null) 
			return; 

        for (int index = 0; index < aInitItems.size(); index++)
        {
			AddWeaponObjectToList(index);
        }
    }
	
	void AddWeaponObjectToList(int index)
	{
        InvObject objToAdd = (InvObject) GetObjectOfClass( ((InventoryObjectInfo) aInitItems.elementAt(index)).m_Name );
        if (GetModule() instanceof ModuleNet &&
            objToAdd.getClass().getName().compareTo( PlayerNet.GetInbornWeaponClass().getName() ) == 0)
            return;
        ChromeInventoryItems item = (ChromeInventoryItems) CreateObject("ChromeInventoryItems");
        item.SetParent(m_cParent);
        WeaponList.addElement(objToAdd); 
        Rect Roz = new Rect(objToAdd.nOnTexPosX * 1.0f/objToAdd.nTexSizeX, 
                            objToAdd.nOnTexPosY * 1.0f/objToAdd.nTexSizeY, 
                            (objToAdd.nOnTexPosX + objToAdd.nCellsWidth * EHudInvParams.GetCellTexWidth()) * 1.0f/objToAdd.nTexSizeX, 
                            (objToAdd.nOnTexPosY + objToAdd.nCellsHeight * EHudInvParams.GetCellTexHeight()) * 1.0f/objToAdd.nTexSizeY );
        item.Init(new UIElement(), module);
        item.Init(new UIElement(EChromeInventoryMenuUI.ID_LIST_ITEM + index,0,
                                new Vector(0, 0, 0),
                                new Vector(0, 0, 0),
                                objToAdd.sTexFileName,
                                Roz,
                                objToAdd.sTexFileName,
                                Roz,
                                objToAdd.sTexFileName,
                                Roz,
                                objToAdd.sTexFileName,
                                Roz,
                                EButtonFlags.BTN_TYPE_LISTBOX_ITEM,
                                ""),
                  new UIElement(599,0,
                                new Vector(0, 0, 0),
                                new Vector(0, 0, 0),
								"",
								null,
								"",
								null,
								"",
								null,
								"",
								null,
                                EButtonFlags.BTN_TYPE_LISTBOX_ITEM,
                                ""),
                  module,
				  1024f, 512f);
        AddItem(item);                              
	}
    
	void InitObjects(java.util.Vector items)
    {
        aInitItems = items;
        if (aInitItems == null)
			return; 
        
        ProcessKb(true);
        ProcessMouse(true);
        
        for (int index = 0; index < aInitItems.size(); index++)
			AddNonWeaponObjectToList(index);
    }

	void AddNonWeaponObjectToList(int index)
	{
        ChromeInventoryItems item = (ChromeInventoryItems) CreateObject("ChromeInventoryItems");
        item.SetParent(m_cParent);
		InvObject objToAdd = (InvObject) GetObjectOfClass( ((InventoryObjectInfo) aInitItems.elementAt(index)).m_Name );

        if (objToAdd instanceof Ammo)
            ((Ammo)objToAdd).nCount = ((Ammo)objToAdd).nCapacity;            

               
        WeaponList.addElement(objToAdd); 
        Rect Roz = new Rect(objToAdd.nOnTexPosX * 1.0f/objToAdd.nTexSizeX, 
                            objToAdd.nOnTexPosY * 1.0f/objToAdd.nTexSizeY, 
                            (objToAdd.nOnTexPosX + objToAdd.nCellsWidth * EHudInvParams.GetCellTexWidth()) * 1.0f/objToAdd.nTexSizeX, 
                            (objToAdd.nOnTexPosY + objToAdd.nCellsHeight * EHudInvParams.GetCellTexHeight()) * 1.0f/objToAdd.nTexSizeY );
			
		item.m_fWeaponTexSizeX = objToAdd.nTexSizeX;
		item.m_fWeaponTexSizeY = objToAdd.nTexSizeY;
			
        item.Init(new UIElement(), module);
        item.Init(new UIElement(EChromeInventoryMenuUI.ID_LIST_ITEM + index,0,
                                new Vector(0, 0, 0),
                                new Vector(0, 0, 0),
                                objToAdd.sTexFileName,
                                Roz,
                                objToAdd.sTexFileName,
                                Roz,
                                objToAdd.sTexFileName,
                                Roz,
                                objToAdd.sTexFileName,
                                Roz,
                                EButtonFlags.BTN_TYPE_LISTBOX_ITEM,
                                ""),
                  new UIElement(599,0,
                                new Vector(0, 0, 0),
                                new Vector(0, 0, 0),
								"",
								null,
								"",
								null,
								"",
								null,
								"",
								null,
                                EButtonFlags.BTN_TYPE_LISTBOX_ITEM,
                                ""),
                  module,
				  1024f, 512f);
        AddItem(item);                    
        
	}
	
    void UpdateList()
    {
		int i, j;
		
        // najpierw chowamy niewidoczne
        Window wndTmp;
        for (i = 0; i < nFirstVisible; i++)
        {
            wndTmp = ((Window)vItems.elementAt(i));
            wndTmp.Hide();
            wndTmp.ProcessMouse(false);
        }
        for (i = nFirstVisible + nCapacity; i < nItemCount; i++)
        {
            wndTmp = ((Window)vItems.elementAt(i));
            wndTmp.Hide();
            wndTmp.ProcessMouse(false);
        }
        // potem pozycjonujemy widoczne
		
        vElemSize.fX = _ELEM_SIZE_X;
        vElemSize.fY = _ELEM_SIZE_Y;
        if (nItemCount == 0)
			return;
		Vector pos = new Vector(_ELEM_MOVE_X, _ELEM_MOVE_Y, 0);
        for (i = nFirstVisible, j = 0; i < nFirstVisible + nCapacity; i++, j++)
        {
            if (i == nItemCount)
				break;
            wndTmp = ((Window)vItems.elementAt(i));
            wndTmp.SetRelativePos(pos);
            pos.fY = pos.fY + vElemSize.fY;
			
			ChromeInventoryItems item = ((ChromeInventoryItems) vItems.elementAt(i));
            item.WeaponTex.SetTextPosFlags(ESpriteText.BOTTOM_RIGHT);
            if (aInitItems.size() == 0)
                return;
            item.WeaponTex.DisplayText(String.valueOf(((InventoryObjectInfo) aInitItems.elementAt(i)).m_iAmount));
            
			if ( ((InventoryObjectInfo) aInitItems.elementAt(i)).m_iAmount == 0 )
				item.WeaponTex.SetAlpha(0.4f);
			else
				item.WeaponTex.SetAlpha(1f);
				
			wndTmp.Show();
            wndTmp.MoveTop();
            wndTmp.ProcessMouse(true);
        }
        ChangeScrollBarPos();
    }
    
    	
    void DeleteWeapon()
    {
        if (WeaponList == null)
			return;
        Clear();
		WeaponList.clear();
    }
	
	InvObject GetObjectAt(int i)
	{
		if (i >= WeaponList.size())
			return null;
		return (InvObject) WeaponList.elementAt(i);
	}
	
	/**Ustawia tlo.
	 * @param sTexName nazwa tekstury na dysku
	 * @param vTexSize fizyczna wielkosc calej tekstury na dysku
	 * @param rTexCoords koordynaty do wyciecia tekstury
	 */
	void SetBackground(String sTexName, Vector vTexSize, Rect rTexCoords)
	{
		m_Background = (Window) CreateObject("Window");
		m_Background.ProcessMouse(false);
		m_Background.ProcessKb(false);
		int iBackgroundTex = m_Background.AddTexture(sTexName, true, true);
		m_Background.SetTexture(iBackgroundTex,
								new Rect(rTexCoords.fLeft / vTexSize.fX,
										 rTexCoords.fTop / vTexSize.fY,
										 rTexCoords.fRight / vTexSize.fX,
										 rTexCoords.fBottom / vTexSize.fY));
		m_Background.SetSize(new Vector(rTexCoords.fRight - rTexCoords.fLeft,
										rTexCoords.fBottom - rTexCoords.fTop, 0));
		AddChild(m_Background);
		AddChildWnd(m_Background, this);
		m_Background.SetRelativePos(new Vector(0, 0, 0));
		m_Background.Show();
	}
}
