public class act_Attach extends Action
{
    {sEditorComment = "Action of attaching one object to another";}
	
	public ControlObject cChild = null;//#;Child object to attach to Parent
	public ControlObject cParent = null;//#;Parent object

    public EnumAttach cType = new EnumAttach(EnumAttach._ATTACH);//#;Type of action
    
    public void InvokeAction()
    {
        int nType = cType.GetValue();
        if (nType == EnumAttach._ATTACH)
		{
			if ( (cParent == null) || (cChild == null) ) 
			    return;
	        cParent.AttachChildAndKeepWorldPos(cChild);
		}
		else
        if ( (nType == EnumAttach._DETACH) && (cChild != null) )
	        cChild.DetachFromParentAndKeepWorldPos();
	}
}
