public class cnd_PercentDestroyed extends Condition
{
    // komentarz pokazywany w edytorze
    {sEditorComment = "Condition checks if a percent of objects is dead."; }
    
    public float fPercent = 100f;//#;Percent [%] of dead objects

    public IObjCount[] aTargets = null;//#;List of targets for checking multiple objects state
    
    boolean EvaluateInternal()
    {
        int iAllObjects = 0;
        int iDeadObjects = 0;
        
        if (aTargets != null)
        {
            for (int i = 0; i < aTargets.length; i++)
            {
                if (aTargets[i] != null)
                {
                    iAllObjects += aTargets[i].GetObjsCount();
                    iDeadObjects += aTargets[i].GetDeadObjsCount();
                }
            }
            if (fPercent < 0f)
                fPercent = 0f;
            if (fPercent > 100f)
                fPercent = 100f;
            
            return ((float) iAllObjects) * fPercent / 100f <= ((float) iDeadObjects);
        }
        else
            return true;
    }
}
