public abstract class DialogCharacter extends GameObject
{
    /** Imie aktora */
    public String sName = null;
    
    /** Aktor z levelu powiazany z postacia mowiaca. Gdy rowne null
     * to moze zostac napisane w klasach pochodnych.
     */
    public AnimActor cActor = null;//#;Actor from game who will be moving lips
    
    /** Identyfikator textury pobrany z HUDa, gdy jest tekstura */
    int nTexture = 0;
    
    /** Modul, ktory zawiera gadajca glowe  */
    TalkingHeadModule cTalkingHeadModule = null;
    
    /** Nazwa tekstury do pokazania na HUDie */
    String sTextureName = null;
    
    /** Oznacza, ze postac nie ma gadajacej glowy tylko normalnie pokazuje tekst
     * na dole ekranu
     */
    boolean bSimpleText = false;
    
    ////////////////////////////////////////////////////////////////////////////
    // HEAD - parametry gadajacej glowy przekazywane do modulu gadajcej glowy
    
    String sTHMeshName = null;
    String sTHAnimSeqFile = null;
    String sTHHeadAnimName = "";
    String sTHSkin = null;
    
    String sBackMeshName = null;
    Vector vBackPos = new Vector( 0.0f , 175.0f, 70.0f );
    
    float fCameraFOV = 20.0f;
    Vector vCamPos = new Vector(0.0f, 90.0f, 280.0f);
    Vector vCamLookAt = new Vector(0.0f, 0.0f, 0.0f);
    Vector vLightPos = new Vector( 150.0f, 380.0f, 290.0f );
}
