public class ChatOutputWindow extends HUDNetIncomingMessage
{
    ChatOutputWindow()
    {
        super();
        
        nMaxTexts = 6;
        m_sIncomingTextClass = "ChatOutputText";
    }
    
    public void OnCreate()
    {
        super.OnCreate();
        m_byStatus = HUDNetManager._STATUS_STARTED;
        cBkg.SetAlpha(1f);
    }
    
    void Show( int nMode )
    {
        //TODO: wielkosc i pozycja
        Activate();
    }
    
    
    void Refresh()
    {
        if (bActiveFlag)
        {
            Deactivate();
	        Activate();
        }
    }
        
    Vector GetInitialPos()
    {
        float fScreenW = GetScreenWidth();
        float fScreenH = GetScreenHeight();

        /*return new Vector( (fScreenW - GetInitialSize().fX)/2f, 
                           (fScreenH - GetInitialSize().fY)-10-ChatOutgoingMsg._SIZE_Y-100, 
                           0 );*/
        return new Vector( (fScreenW - GetInitialSize().fX), 
                           (fScreenH - GetInitialSize().fY)-10-ChatInputWindow._SIZE_Y-20, 
                           0 );
    }
    
    Vector GetInitialSize()
    {
        float fScreenW = GetScreenWidth();
        float fScreenH = GetScreenHeight();

        /*return new Vector( fScreenW * 2.0f/3.0f, 
                           fScreenH / 5.0f,
                           0 );*/
        
        return new Vector( fScreenW / 2.0f, fScreenH / 7.0f, 0 );
    }
    
    void CheckTextsTime()
    {
    }
    
    int m_nLastMsgId = -1;
    
    void SetText( String sTxt, Vector vColor, int nId )
    {
        m_nLastMsgId = nId;
        super.SetText( sTxt, vColor );
        Refresh();
    }
    
}

class ChatOutputText extends IncomingText
{
    boolean IsExpired() { return false; }    
}
