public class UIChatListWindow extends LogsWindow
{
	int m_nMaxItems = 40;
	
	synchronized void Update(java.util.Vector vLines)
	{
        //LogR("UPDATE " + vLines + " " + Thread.currentThread().activeCount() + "\n  FROM " + GetPrevDebugLocation());
        //Thread.dumpStack();
        
        if (vLines == null)
        {
            Clear();
            UpdateList();
            return;
        }
        //LogR("UPDATE ... 1");
		if (vLines.size() > GetItemCount())
		{
			for (int i = GetItemCount(); i < vLines.size() && i < m_nMaxItems; i ++)
			{
                //LogR("UPDATE Adding");
				AddText("test");
			}
		}
		else
		{
			if (vLines.size() < GetItemCount())
			{
				for (int i = 0; i < GetItemCount() - vLines.size(); i ++)
				{
                    //LogR("UPDATE Removing");
					RemoveItem(0);
				}	
			}
		}
		//LogR("UPDATE ... 2");
		for (int i = 0; i < vLines.size() && i < m_nMaxItems; i ++)
		{
			ChatMsgInfo cLine = (ChatMsgInfo)vLines.elementAt(vLines.size() - 1 - i);
			Button cBtn = ((ListBox)this).GetItem(GetItemCount() - 1 - i);
			
			cBtn.SetTextColor(cLine.GetColor().fX, cLine.GetColor().fY, cLine.GetColor().fZ, 1);
			String sText = ClampText(cBtn, cLine.GetText());
			cBtn.SetText(sText);
			cBtn.DisplayText(sText);
    	}
		//LogR("UPDATE ... 3");
		UpdateList();
        //LogR("UPDATE ... 4");
        //LogR("...UPDATED " + vLines);
	}
	
	String[] CheckTextLines(String sText)
	{
		m_cListWindow.DisplayText(" ");
		return ((Sprite)m_cListWindow).GetTextLines(sText);
	}
    
    String ClampText(Button cTextWnd, String sText)
    {
        if (sText == null || sText.length() == 0)
            return sText;
        
        float fField = cTextWnd.GetSize().fX;
        if (fField == 0)
            return sText;
        
        boolean bClamped = false;
        String sTemp = new String(sText);
        if (cTextWnd.GetTextExtent(sTemp).fX > fField)
        {
            while (cTextWnd.GetTextExtent(sTemp + "...").fX > fField)
            {
                sTemp = sTemp.substring(0, sTemp.length() - 1);
            }
            bClamped = true;
        }
        if (bClamped)
            sText = sTemp + "...";
        /*if (bClamped)
        {
            sTemp = new String(sText);
            while (cTextWnd.GetTextExtent(sTemp).fX > fField)
            sText = sText.substring(0, sTemp.length() - 3);
            sText += "...";
        }*/
        return sText;
    }

    
}
