/**
 * Komenda zmiany druzyny przez gracza
 * dziala w grach teamowych
 */
public class CommandChangeTeam extends ConsoleCommand
{
    void InitPerform()
    {
        super.InitPerform();
        
        if ( ErrorOccured() )
            return;
        
        if ( ! (m_cGameInfo instanceof NetGameInfoTeam) )
        {
            SetErrorId( EConsoleCommandError._CURRENT_MAP_IS_NOT_A_TEAM_GAMEPLAY );
            return;
        }
        
        if ( m_cPlayerInfo == null )
        {
             SetErrorId( EConsoleCommandError._PLAYER_NOT_FOUND );
             return;
        }
    }
    
    void Perform()
    {
    }
    
    void PostPerform()
    {
         ((NetGameInfoTeam)m_cGameInfo).EventPlayerRequestedChangeTeam( 
                                        m_cPlayerInfo, NetTeamInfo.NONE );
    }
}
