public class NetGameSettingsASSAULT extends NetGameSettingsRound
{
    NetGameSettingsASSAULT()
    {
        super();
        
        _POINTS_LIMIT                  =  5;
        _TIME_LIMIT_IN_MINUTES         =  5;
        _MIN_RESPAWN_TIME_IN_SECONDS   = 10.0f;
        
        _CHANGE_SIDE_ON_NEXT_ROUND    = false;
        _REVENGE_MATCH                = false;
    }
    
    NetGameRule GetGameRule()
    {
        if ( GetPointsLimit()   > -1 && 
             GetGameTimeLimit() > -1 )
        {
            return new NetGameRule( NetGameRule._MSG_AssaultPointsAndTime,
                                    GetPointsLimit(),
                                    GetGameTimeLimitInMinutes() );              
        }
        /*
        else if ( GetPointsLimit() > -1 )
        {
            return new NetGameRule( NetGameRule._MSG_PointsOnly,
                                    GetPointsLimit() );              
        } 
        else if ( GetGameTimeLimit() > -1 )
        {
            return new NetGameRule( NetGameRule._MSG_TimeOnly,
                                    GetGameTimeLimitInMinutes() );              
        }*/
        else return null;
    }
}

