public class EChromeServerListUI extends EUI
{
    final static float P256 = 1.0f/256.0f;
    
    final static int ID_LIST_SERVER   = 50;
    final static int ID_LIST_IP       = 51;
    final static int ID_LIST_MAP      = 52;
    final static int ID_LIST_PING     = 53;
    final static int ID_LIST_PLAYERS  = 54;
    
    //----------------------------------------------------------------
    
    static UIElement ListBox_Server = new UIElement(
        ID_LIST_SERVER,0,
        new Vector(0,32,0),
        new Vector(200,302,0),
        MenuTextures.sNetMenuMapListBox,
        new Rect( 11.0f * P256, 54.0f * 1.0f/512.0f, 251.0f * P256, 307.0f * 1.0f/512.0f),
        "",
        new Rect(),
        "",
        new Rect(),
        "",
        new Rect(),
        EButtonFlags.BTN_TYPE_LISTBOX,
        "&SERVER&"
        );
    
    static UIElement ListBox_IP = new UIElement(
        ID_LIST_IP,0,
        new Vector(200,32,0),
        new Vector(80,302,0),
        MenuTextures.sNetMenuMapListBox,
        new Rect( 11.0f * P256, 54.0f * 1.0f/512.0f, 251.0f * P256, 307.0f * 1.0f/512.0f),
        "",
        new Rect(),
        "",
        new Rect(),
        "",
        new Rect(),
        EButtonFlags.BTN_TYPE_LISTBOX,
        "&IP&"
        );
    
    static UIElement ListBox_Map = new UIElement(
        ID_LIST_MAP,0,
        new Vector(280,32,0),
        new Vector(160,302,0),
        MenuTextures.sNetMenuMapListBox,
        new Rect( 11.0f * P256, 54.0f * 1.0f/512.0f, 251.0f * P256, 307.0f * 1.0f/512.0f),
        "",
        new Rect(),
        "",
        new Rect(),
        "",
        new Rect(),
        EButtonFlags.BTN_TYPE_LISTBOX,
        "&MAP&"
        );
    
    static UIElement ListBox_Ping = new UIElement(
        ID_LIST_PING,0,
        new Vector(440,32,0),
        new Vector(60,302,0),
        MenuTextures.sNetMenuMapListBox,
        new Rect( 11.0f * P256, 54.0f * 1.0f/512.0f, 251.0f * P256, 307.0f * 1.0f/512.0f),
        "",
        new Rect(),
        "",
        new Rect(),
        "",
        new Rect(),
        EButtonFlags.BTN_TYPE_LISTBOX,
        "&PING&"
        );
    
    static UIElement ListBox_Players = new UIElement(
        ID_LIST_PLAYERS,0,
        new Vector(500,32,0),
        new Vector(60,302,0),
        MenuTextures.sNetMenuMapListBox,
        new Rect( 11.0f * P256, 54.0f * 1.0f/512.0f, 251.0f * P256, 307.0f * 1.0f/512.0f),
        "",
        new Rect(),
        "",
        new Rect(),
        "",
        new Rect(),
        EButtonFlags.BTN_TYPE_LISTBOX,
        "&PLAYERS&"
        );
    
    //----------------------------------------------------------------
}
