public class ENetServerFullInfoUI extends EUI 
{
    final static float P256 = 1.0f/256.0f;
    
    final static int ID_BTN_GAMESETTINGS    = 201;
    final static int ID_BTN_DONE            = 202;
    final static int ID_LABEL_TITLE         = 203;
    
    final static int ID_PLAYERS_LIST        = 210;
    final static int ID_MAPS_LIST           = 211;
    final static int ID_LABEL_PLAYERS_LIST  = 212;
    final static int ID_LABEL_MAPS_LIST     = 213;
    
    
    static UIElement sm_cLabelTitle = new UIElement(
            ID_LABEL_TITLE,0,
            new Vector(10,10,0),
            new Vector(300,32,0),
            MenuTextures.sRamka,
            MenuTextures.sRamka, 
            MenuTextures.sRamka,
            MenuTextures.sRamka,
            EButtonFlags.BTN_TYPE_PUSHBUTTON, 
            "&MenuNetServerInfoTitle&"
            );
    
    static UIElement sm_cLabelPlayersList = new UIElement(
            ID_LABEL_PLAYERS_LIST,0,
            new Vector(20,20+32+10,0),
            new Vector(290,32,0),
            MenuTextures.sRamka,
            MenuTextures.sRamka, 
            MenuTextures.sRamka,
            MenuTextures.sRamka,
            EButtonFlags.BTN_TYPE_PRESSBUTTON,
            "&MenuNetServerInfoPlayersList&"
            );
    
    
    static UIElement sm_cPlayersList = new UIElement(
            ID_PLAYERS_LIST,0,
            new Vector(20,52+32+10,0),
            //new Vector(290,326,0),
            new Vector(290,163,0),
            MenuTextures.sNetMenuMapListBox,
            new Rect( 11.0f * P256, 54.0f * 1.0f/512.0f, 251.0f * P256, 307.0f * 1.0f/512.0f),
            "",
            new Rect( 11.0f * P256, 54.0f * 1.0f/512.0f, 251.0f * P256, 307.0f * 1.0f/512.0f),
            "",
            new Rect( 11.0f * P256, 54.0f * 1.0f/512.0f, 251.0f * P256, 307.0f * 1.0f/512.0f),
            "",
            new Rect( 11.0f * P256, 54.0f * 1.0f/512.0f, 251.0f * P256, 307.0f * 1.0f/512.0f),
            EButtonFlags.BTN_TYPE_LISTBOX,
            ""
            );
    
    static UIElement sm_cLabelMapsList = new UIElement(
            ID_LABEL_MAPS_LIST,0,
            new Vector(330,20+32+10,0),
            new Vector(290,32,0),
            MenuTextures.sRamka,
            MenuTextures.sRamka, 
            MenuTextures.sRamka,
            MenuTextures.sRamka,
            EButtonFlags.BTN_TYPE_PRESSBUTTON,
            "&MenuNetServerInfoMapsList&"
            );
    static UIElement sm_cMapsList = new UIElement(
            ID_MAPS_LIST,0,
            new Vector(330,52+32+10,0),
            new Vector(290,326,0),
            MenuTextures.sNetMenuMapListBox,
            new Rect( 11.0f * P256, 54.0f * 1.0f/512.0f, 251.0f * P256, 307.0f * 1.0f/512.0f),
            "",
            new Rect( 11.0f * P256, 54.0f * 1.0f/512.0f, 251.0f * P256, 307.0f * 1.0f/512.0f),
            "",
            new Rect( 11.0f * P256, 54.0f * 1.0f/512.0f, 251.0f * P256, 307.0f * 1.0f/512.0f),
            "",
            new Rect( 11.0f * P256, 54.0f * 1.0f/512.0f, 251.0f * P256, 307.0f * 1.0f/512.0f),
            EButtonFlags.BTN_TYPE_LISTBOX,
            ""
            );
    
    
    
    
    
    static UIElement sm_cButtonGameSettings = new UIElement(
            ID_BTN_GAMESETTINGS,0,
            new Vector(50,440-32,0),
            new Vector(192,32,0),
            MenuTextures.sRamkaMala,
            MenuTextures.sRamka2Mala, 
            MenuTextures.sRamkaMala,
            MenuTextures.sRamka2Mala,
            EButtonFlags.BTN_TYPE_PUSHBUTTON, 
            "&MenuNetServerInfoCurrentGameSettings&"
            );
    
    static UIElement sm_cButtonDone = new UIElement(
            ID_BTN_DONE,0,
            new Vector(460,440,0),
            new Vector(128,32,0),
            MenuTextures.sRamkaMala,
            MenuTextures.sRamka2Mala, 
            MenuTextures.sRamkaMala,
            MenuTextures.sRamka2Mala,
            EButtonFlags.BTN_TYPE_PUSHBUTTON, 
            "&MenuNetServerInfoOk&"
            );
    
    
}

