 import java.io.*;

public class ChromeNetJoinMenu extends MenuNetChatWindow implements IConnectionCallback
{   
    boolean m_bLan = true;
    
    static boolean bDbg = true;
    
    {
        sm_bLanMode		= false;
		m_bLan			= false;
		nMovieLoop		= 16;
    }
	final static int ID_DIALOG_AUTHORIZATION = 1;
    final static int ID_DIALOG_AUTOJOIN_SERVER = 2;
    final static int ID_DIALOG_JOIN_SERVER = 3;
    final static int ID_DIALOG_FAILED = 4;
    
    final static int UNKNOWN_SERVERS   = 0;
    final static int LAN_SERVERS       = 1;
    final static int NET_SERVERS       = 2; //nie powinno juz byc zmieniane
                                            //bo gostek dostal ta wartosc do supportu
                                            //chrome'a z WWW
    final static int FAVORITES_SERVERS = 3;
	
    MenuButtonSized m_buServerInfo    = null;
    MenuButtonSized m_buJoin = null;
    
    //wstepne ustalenie dla aktywnego favorites list przycisk ten usuwa z listy zamiast dodawac
    MenuButtonSized m_buUpdateList     = null; 
    MenuButtonSized m_buAddToFavorites = null;
        
    MenuButtonSized m_buLANGame       = null;
    MenuButtonSized m_buInternet      = null;
    MenuButtonSized m_buFavorites     = null;
	
	NetConnector m_cConnector = null;
    
    MenuNetTypePassword cMenu = null;
    MenuNetServersFilter m_cMenuFilters = null; 
	MenuNetServerFullInfo m_cMenuServerInfo = null;
    MenuNetChatRoom m_cMenuChatRoom = null;
    
    /**listBox */
    UIListBoxFiveStatics ListBox_Servers = null;
	
    UIWindow m_cInfo = null;
    UIStatic m_cInfoText = null;
    
    /**List serverow odpowiadajace zawartosci listBoxow
     * Moga przechowywac dane nie prezentowane w listBoxach 
     */
    java.util.ArrayList vLANServer = new java.util.ArrayList();
    java.util.ArrayList vInternetServer = new java.util.ArrayList();
    java.util.ArrayList vFavoritesServer = new java.util.ArrayList();
    
    // informacje o wybranym z listy serverze
    NetServerInfo m_cSelectedServerInfo = null;

	// ostatnio wybrana lista (0 lan, 1 int lub 2 fav)
	protected static int sm_iLastSelectedMode = EChromeNetJoinMenuUI._INTERNET_MODE; 
	
	// info o ostatnio wybranym serwerze, aby moc przywrocic
	// selekcje przy przeladowaniu okien - nie tykac
	private static String sm_sLastSelectedServerAdress = null;
    private static int    sm_sLastSelectedServerPort   = -1;
    
    // informacje o grze do ktorej sie przylaczamy
    NetGameInitInfo cGameInitInfo = null;
    
    public NetGameInitInfo GetGameInitInfo()
    {
        return cGameInitInfo;
    }
	
    boolean m_bJoiningGame = false;
    //okresla, czy mamy kontynuowac dolaczanie sie do gry
    boolean m_bSkipJoiningGame = false;
	
	//zabezpiecza kilkukrotne wolanie akcji dolaczania sie do serwera i info o serwerze
	boolean m_bFreezServerButtons = false;
	
	//do przechowywania stanu filtrow
    boolean m_bAvailable = false;
	boolean m_bWithoutPassword = false;
	int m_iMaxPing = 0;
	int m_iMinPlayers = 0;
    
    NetServerInfoList m_cInternetServers   = null;
    GameServerList    m_cServersToPingList = null;    
    
    int METHOD_TryShowServerFullInfo        = 0;
    int METHOD_TryToJoinServer              = 0;            
    int METHOD_CheckReceivedMSMessage       = 0;
    int METHOD_CheckMasterServerList        = 0;
    int METHOD_PingServer                   = 0;
	
    static float _CONNECT_DELAY = 2f;
    float m_fLastConnectBtnTime = 0;
    
    #if !_EDITOR	
    
    public void OnCreate()
    {
        METHOD_TryShowServerFullInfo   = RegisterCallMethod("TryShowServerFullInfo");
        METHOD_TryToJoinServer         = RegisterCallMethod("TryToJoinServer");
        METHOD_CheckReceivedMSMessage  = RegisterCallMethod("CheckReceivedMSMessage");
        METHOD_CheckMasterServerList   = RegisterCallMethod("CheckMasterServerList");
        METHOD_PingServer              = RegisterCallMethod("PingServer");
        
		super.OnCreate();

        m_cConnector = (NetConnector)CreateObject("NetConnector");
        
        cGameInitInfo = new NetGameInitInfo();
        //by MK: przenosze tworzenie klienta do metody Init,
        //zeby tworzyl sie nowy za kazdym wejscie ma ekran
        //InitClient();
        
     
        m_cInternetServers   = new NetServerInfoList();
        m_cServersToPingList = (GameServerList)CreateObject("GameServerList");
    }
#endif
    
    String GetScriptName()
    {
        return "data/menu/ChromeNetJoinMenuNew.scr";
    }
    
    public void OnDestroy()
    {
        super.OnDestroy();
        
        //wylaczamy to - jesli bedzie trzeba, to zostanie to na nowo wlaczone w momencie,
        //gdy rozpocznie sie ladowanie nowej mapy na serwerze
        sm_bRejoining = false;
        
        //nic nie robimy jesli dolaczamy sie do gry, bo tam jest potrzebny        
        if (m_bJoiningGame == false)
        {
            MasterClient.MasterClientBye();
        }
        
        if(bDbg) CrashLog("[ChromeNetJoinMenu::OnDestroy] UnregisterMessager()\n");
        UnregisterMessager();
		
        if(cMenu != null)
        {
            cMenu.Remove();
            RemoveSprite(cMenu);
            cMenu.delete();
            cMenu = null;
        }
		if(m_cMenuServerInfo != null)
        {
            m_cMenuServerInfo.Remove();
            RemoveSprite(m_cMenuServerInfo);
            m_cMenuServerInfo.delete();
            m_cMenuServerInfo = null;
        }
        if(m_cMenuFilters != null)
        {
            m_cMenuFilters.Remove();
            RemoveSprite(m_cMenuFilters);
            m_cMenuFilters.delete();
            m_cMenuFilters = null;
        }
        
        if (m_cMenuChatRoom != null)
        {
            m_cMenuChatRoom.Remove();
            RemoveSprite(m_cMenuChatRoom);
            m_cMenuChatRoom.delete();
            m_cMenuChatRoom = null;
        }
        
        if (m_cConnector != null)
        {
            m_cConnector.delete();
            m_cConnector = null;
        }

        m_cInternetServers = null;
        if ( m_cServersToPingList != null )
        {
            m_cServersToPingList.delete();
            m_cServersToPingList = null;
        }
    }
    
    public void InitClient()
    {
        if (cGameInitInfo != null)
        {
            int nPort = cGameInitInfo.GetServerInfo().GetGamePort();
            
            if(bDbg) CrashLog("Creating client - port:"+nPort+"\n");
            
            int nResult = CreateClient( nPort );
            /*
            if (nResult == 1)
                CrashLog("Creating client SUCCESS\n");
            else
                CrashLog("Creating client ERROR\n");
            */
            if(bDbg) CrashLog("RegisterMessager() ChromeNetJoinMenu\n");
            RegisterMessager();
        }
    }
    
	private boolean m_bInit = false;
	
    void Init(MenuBackground cBack)
    {
		m_bInit = true;
		
        MenuModule=(ChromeMenuModule)GetModule();
		
		if (!m_bLan)
			InitChatWindows();
		
        InitClient();

		m_buServerInfo		= (MenuButtonSized)GetElem("ID_SERVER_INFO");
		m_buJoin			= (MenuButtonSized)GetElem("ID_JOIN_GAME");
        m_buAddToFavorites	= (MenuButtonSized)GetElem("ID_ACTION_ON_FAVORITES");
        m_buUpdateList      = (MenuButtonSized)GetElem("ID_UPDATE_LIST");
        
		m_buLANGame			= (MenuButtonSized)GetElem("ID_LAN_GAMES");
		m_buInternet		= (MenuButtonSized)GetElem("ID_INTERNET_GAMES");
		m_buFavorites		= (MenuButtonSized)GetElem("ID_FAVORITES");
		
		ListBox_Servers		= (UIListBoxFiveStatics)GetElem("ID_SERVERS_LIST");
        
        m_cInfo		= GetElem("ID_INFO");
        //m_cInfo.Hide();
        m_cInfoText = (UIStatic)GetElem("ID_INFO_TEXT");
        
        if (!m_bLan)
		    m_buAddToFavorites.SetDisabled(true);
		m_buJoin.SetDisabled(true);
        m_buServerInfo.SetDisabled(true);
        
        SetMSCommStateNone();
        
        if (sm_bModeAuto && sm_sServerAddress != null && sm_iServerPort != -1)
        {
            CallMethodIn("StartAutoJoinServer", 0.0f);
            
            if ( m_bLan ) 
			{
				m_buLANGame.SetCheck(true);
				m_buLANGame.SetFocus(true);
			}
			else 
            {
			    if ( sm_iLastSelectedMode != EChromeNetJoinMenuUI._FAVORITES_MODE )
			    {
			    	m_buInternet.SetCheck(true);
			    	m_buInternet.SetFocus(true);
                    SwitchToInternet();
			    }
			    else
    	    	{
	   		        m_buFavorites.SetCheck(true);
			    	m_buFavorites.SetFocus(true);
                    SwitchToFavorites();
			    }
            }
        }
        else
        {
            // jezeli nie auto join to zerujemy haslo
            // ma to znaczenie dla dolaczania sie do kolejnej mapy w kolejce
            // zeby nie trzeba bylo podawac hasla za kazdym razem
            // ale jednoczesnie zeby pytal sie o haslo przy laczeniu do nowej gry
            m_sPassword = null;
            
            if ( m_bLan ) 
			{
				m_buLANGame.SetCheck(true);
				m_buLANGame.SetFocus(true);
				SwitchToLAN();
			}
			else 
            {
			    if ( sm_iLastSelectedMode != EChromeNetJoinMenuUI._FAVORITES_MODE )
			    {
			    	m_buInternet.SetCheck(true);
			    	m_buInternet.SetFocus(true);
			    	SwitchToInternet();
			    }
			    else
    	    	{
	   		        m_buFavorites.SetCheck(true);
			    	m_buFavorites.SetFocus(true);
			    	SwitchToFavorites();
			    }
                
                SendMSMessage();
            }
        }
		
		MenuModule.cCursor.CallOnFrameEnd("MoveTop");
		MenuModule.cCursor.CallOnFrameEnd("Show");
		LoadFilters();
		UnfreezServerButons();
    }
    
    void SendMSMessage()
    {
        String sMsg = "ver:"+NetGameInfo.GetGameVersion();
        MasterClient.GetMasterClient().AskServer( sMsg );
        CallMethodEvery( METHOD_CheckReceivedMSMessage, 0.5f );
    }
    
    void CheckReceivedMSMessage()
    {
        String sAnswer = MasterClient.GetMasterClient().GetFreeAnswer();
        if ( sAnswer != null )
        {
            if ( sAnswer.length() > 0 )
                MasterServerLocalMessage( sAnswer );
            DisableCallMethod( METHOD_CheckReceivedMSMessage );
        }
    }
    
    void OnUICommand(UIWindow cSender, int nCommand)
    {
        super.OnUICommand(cSender,nCommand);
        
		if (nCommand == EUIConst.CM_CLICK || nCommand == EUIConst.CM_DBCLICK)
		{
			//SWITCH
			if (cSender.m_sId.equals("ID_LAN_GAMES"))
			{	
				SwitchToLAN();
			}
			else if (cSender.m_sId.equals("ID_INTERNET_GAMES"))
			{					
				SwitchToInternet();
			}
			else if (cSender.m_sId.equals("ID_FAVORITES"))
			{
				SwitchToFavorites();
			}
			else 
			//FILTERS	
			if (cSender.m_sId.equals("ID_BUTTON_FILTERS"))
			{
				CallMethodIn("ShowServersFiltersMenu",0);								
			}
			else if (cSender.m_sId.equals("ID_SERVER_FILTERS"))
			{
				RememberLastSelection();
				if (((UIButton)GetElem("ID_SERVER_FILTERS")).GetCheck())
					CallMethodIn("ShowServersFiltersMenu",0);								
				else
					SetFilters(false);								
			}
            else 
			//SORT	
			if (cSender.m_sId.equals("ID_SORT_LABEL_1"))
            {
				NetServerInfo.SetSortMode(NetServerInfo._SERVER_NAME);
                SortList(); 
            }
			else if (cSender.m_sId.equals("ID_SORT_LABEL_2"))
            {
				NetServerInfo.SetSortMode(NetServerInfo._SERVER_ADRESS);
                SortList(); 
            }
			else if (cSender.m_sId.equals("ID_SORT_LABEL_3"))
            {
                NetServerInfo.SetSortMode(NetServerInfo._MAP_NAME);
                SortList(); 
            }
			else if (cSender.m_sId.equals("ID_SORT_LABEL_3A"))
            {
                NetServerInfo.SetSortMode(NetServerInfo._MAP_TYPE);
                SortList(); 
            }
			else if(cSender.m_sId.equals("ID_SORT_LABEL_4"))
            {
                NetServerInfo.SetSortMode(NetServerInfo._PING);
                SortList(); 
            }
			else if(cSender.m_sId.equals("ID_SORT_LABEL_5"))
            {
                NetServerInfo.SetSortMode(NetServerInfo._NUMBER_OF_PLAYERS);
                SortList(); 
            }
			else 
			//REFRESH	
			if (cSender.m_sId.equals("ID_REFRESH_LIST"))
			{
				RememberLastSelection();
				RefreshActiveList();
			}
			else
            //UPDATE
            if (cSender.m_sId.equals("ID_UPDATE_LIST"))
			{
				RememberLastSelection();
				UpdateActiveList();
			}
			//DISCARD	
			if (cSender.m_sId.equals("ID_BACK"))
			{
				SaveInternetServers();
				Discard();
			}
			else
			//GOTO FULL CHATROOM	
			if (cSender.m_sId.equals("ID_CHATROOM"))
			{
                SaveInternetServers();
				ChatRoom();
			}
			else
			//CONNECT/DISCONNECT SMALL CHAT	
			if (cSender.m_sId.equals("ID_CHAT_CONNECT_DISCONNECT"))
			{
				OnChatConnectDisconnect();
			}
			else
			//ADD TO / REMOVE FROM FAVORITES	
			if (cSender.m_sId.equals("ID_ACTION_ON_FAVORITES"))
			{	
				if ( m_buInternet.GetCheck() )
					AddToFavorites();
				else
					if ( m_buFavorites.GetCheck() )
						RemoveFromFavorites();
			}
			else
			if (!m_bFreezServerButtons&&
				(cSender.m_sId.equals("ID_JOIN_GAME")
				||cSender.m_sId.equals("ID_SERVER_INFO")
				||nCommand == EUIConst.CM_DBCLICK 
				  && cSender.m_sId.equals("ID_BUTTON") 
				  && !m_buJoin.m_bDisabled))
			{
				if (ListBox_Servers.GetVirtualSelection() != -1)
				{
					m_bFreezServerButtons = true;
					m_cSelectedServerInfo = (NetServerInfo)ListBox_Servers.GetDataFromSelected();
					sm_sLastSelectedServerAdress = m_cSelectedServerInfo.sServerAddr;
                    sm_sLastSelectedServerPort   = m_cSelectedServerInfo.GetGamePort();
					cGameInitInfo.GetServerInfo().SetServerAddr( m_cSelectedServerInfo.sServerAddr );
					cGameInitInfo.GetServerInfo().SetGamePort( m_cSelectedServerInfo.GetGamePort() );
					CallMethodIn("UnfreezServerButons",1);
					SaveInternetServers();
				}
				else
				{
					m_cSelectedServerInfo = null;
					sm_sLastSelectedServerAdress = null;
                    sm_sLastSelectedServerPort   = -1;
					RefreshButtons();
					return;
				}
									
				// wspolne dla wszystkich typow list
				// upewniono sie ze wyselekconowano server na odpowiedniej liscie
				// sprowadzamy aktualne dane z servera
				// TODO - mile okno z przyciskiem cancel + blokada innych przyciskow menu
				if (m_cSelectedServerInfo != null)
				{
					if ( cSender.m_sId.equals("ID_SERVER_INFO") )
						InitShowServerFullInfo();
					else    
					{
						//TODO: dorobic wylaczanie tego cuda...
						SetMaxTimerUpdate(10000000);
			            m_sPassword = null;
						PushedJoinServer();
					}
				}
			}
		
			RefreshButtons();
		}
	}

   
	void UnfreezServerButons()
	{
		m_bFreezServerButtons = false;
	}
    
    void ChatRoom()
	{
		//MenuModule.SetMenu("MenuNetChatRoom");		
        ShowChatRoom();
	}
            
    void OnChatConnectDisconnect()
    {
        if (IsChatConnected())
            m_cChat.Disconnect("");
        else
        {
            if (GetTime() - m_fLastConnectBtnTime > _CONNECT_DELAY)
            {
                m_cChat.Connect();
                m_fLastConnectBtnTime = GetTime();
            }
        }
        
        
        UpdateConnectButton();    
    }
    
    void UpdateConnectButton()
    {
        if ( IsChatConnected() )
			((UIButton)GetElem("ID_CHAT_CONNECT_DISCONNECT")).SetText("&MenuNetJoinChatDisconnect&");
        else
            ((UIButton)GetElem("ID_CHAT_CONNECT_DISCONNECT")).SetText("&MenuNetJoinChatConnect&");
    }
    

    //zapisuje liste m_cInternetServers na dysk
    void SaveInternetServers()
    {
		m_cInternetServers.Save();
    }
    
    void LoadInternetServers()
    {
		NetServerInfoList cServerList = null;
		if ( m_cInternetServers.GetSize() > 0 )
			cServerList = m_cInternetServers;	
		else
		{
			cServerList = new NetServerInfoList();
			cServerList.Load();
		}
        AddInternetServersToListBox( cServerList );

        //jezeli po wejsciu na ekran nie mamy serwerow
        //to forsujemy Update
		if ( m_bInit && (cServerList.GetSize() == 0) )
			UpdateActiveList();
        else
        {
            if ( ! cServerList.IsValid() )
                PingInternetServerList();
        }
		m_bInit = false;
    }
    
    void AddInternetServersToListBox(NetServerInfoList cServers)
    {
        m_cSelectedServerInfo = null;
        ListBox_Servers.ClearList();
        vInternetServer.clear(); 
        m_cServersToPingList.RemoveAllServers();
            
        for ( int i=0; i<cServers.GetSize(); ++i )
        {
            NetServerInfo cNewServerInfo = (NetServerInfo)cServers.GetObjectAt( i );
			                    
            cNewServerInfo.nItemID = ListBox_Servers.AddItem("",cNewServerInfo);
            m_cInternetServers.Add( cNewServerInfo );
            if (cNewServerInfo.nItemID == -1)
            {
                if ( bDbg ) LogR("Can't add loaded server " + cNewServerInfo.sServerAddr); 
                continue ;
            }
                
            vInternetServer.add( cNewServerInfo );
		    CheckIsSelectionNeeded( cNewServerInfo );
                
            GameServerWaiter sw = new GameServerWaiter( cNewServerInfo.GetIntAddress(),
                                                        cNewServerInfo.GetGamePort() );
            m_cServersToPingList.AddServer( sw );
        }
    }
    
    void FiltrInternetServerList()
    {
        AddInternetServersToListBox( m_cInternetServers );
    }
    
    void PingInternetServerList()
    {
        m_cServersToPingList.Reset();
        m_cInternetServers.SetRefreshTimeNow();
        PingServer();
    }

    void PingServer()
    {
        GameServerWaiter w = m_cServersToPingList.GetNextServer(GetAbsoluteTime());
        
        if (w != null)
        {
            String sIP      = NetGameTools.IP2String( w.GetAddress() );
            int    nPort    = w.GetPort();
            if(bDbg) CrashLog("[CheckMasterServerList] nPort = " + nPort + "\n");
            //SendFreeMsgFindServer( sIP, NET_SERVERS, nPort, EFreeMsg._FIND_SERVER_2);
            //SendFreeMsgFindServer( sIP, NET_SERVERS, nPort, EFreeMsg._FIND_SERVER);
            FreeMsgSendRequestServerParams( sIP, nPort, NET_SERVERS, EFreeMsg._REQUEST_SERVER_PARAMS_2 );
            CallMethodIn( METHOD_PingServer, 0.2f );
        }
        else 
            DisableCallMethod( METHOD_PingServer );
    }

        
	void SwitchToLAN()
	{
        SetMSCommStateNone();
        DisableCallMethod( METHOD_CheckMasterServerList );
        DisableCallMethod( METHOD_PingServer );
		//sm_iLastSelectedMode = EChromeNetJoinMenuUI._LAN_MODE;
		RefreshLANServerList();
		
		//m_buFavorites.SetCheck(false);
		//m_buInternet.SetCheck(false);
		m_buLANGame.SetCheck(true);
		//m_buAddToFavorites.SetText("&ADD TO FAVORITES&");
		//m_buAddToFavorites.SetDisabled(true);
		UnfreezServerButons();
	}
	
	void SwitchToInternet()
	{
        SetMSCommStateNone();
		sm_iLastSelectedMode = EChromeNetJoinMenuUI._INTERNET_MODE;
        //TODO
		//if (MasterClient.GetMasterClient().IsAuthorized())
		{
            LoadInternetServers();
		}
		/*else
		{
			CallMethodIn("MasterServerAuthorize",0);
		}*/
		
		m_buFavorites.SetCheck(false);
		m_buInternet.SetCheck(true);
		//m_buLANGame.SetCheck(false);
		m_buAddToFavorites.SetText("&ADD TO FAVORITES&");
		m_buAddToFavorites.SetDisabled(true);
        if ( m_buUpdateList != null )
            m_buUpdateList.SetDisabled(false);
		UnfreezServerButons();
	}

	void SwitchToFavorites()
	{
        SetMSCommStateNone();
        DisableCallMethod( METHOD_CheckMasterServerList );
        DisableCallMethod( METHOD_PingServer );
		sm_iLastSelectedMode = EChromeNetJoinMenuUI._FAVORITES_MODE;
		//if (MasterClient.GetMasterClient().IsAuthorized())
		{
			RefreshFavoritesList();
		}
		/*else
		{
			CallMethodIn("MasterServerAuthorize",0);
		}*/
		
		m_buFavorites.SetCheck(true);
		m_buInternet.SetCheck(false);
		//m_buLANGame.SetCheck(false);
		m_buAddToFavorites.SetText("&REMOVE FROM FAVORITES&");
		m_buAddToFavorites.SetDisabled(true);
        if ( m_buUpdateList != null )
            m_buUpdateList.SetDisabled(true);
		UnfreezServerButons();
	}
	
	void CheckIsSelectionNeeded(NetServerInfo cServerInfo)
	{
		if(sm_sLastSelectedServerAdress != null && ListBox_Servers.GetSelection() == -1)
		{
			if (cServerInfo.sServerAddr.equals(sm_sLastSelectedServerAdress)&&
                (cServerInfo.GetGamePort() == sm_sLastSelectedServerPort))
			{
				ListBox_Servers.SetSelectionFromVirtual(cServerInfo.nItemID);
				m_cSelectedServerInfo = cServerInfo;
				RefreshButtons();
			}
		}
	}
	
    void RefreshActiveList()
    {
        RefreshActiveList( false /*filter*/ );
    }
	
	void RefreshActiveList(boolean bFilter)
	{
		if ( m_bLan ) 
		{
			RefreshLANServerList();
		}
		else
		{
			if ( m_buInternet.GetCheck() )
			{
                if ( bFilter ) 
                    FiltrInternetServerList();
                else                    
				    PingInternetServerList();
			}
			else
				RefreshFavoritesList();
		}
	}
	
    void UpdateActiveList()
    {
        SetMSCommState(_MSCOMMSTATE_NONE);
        UpdateInternetServerList();
    }
	    
	int GetServerType(NetServerInfo cServerInfo)
	{
        if (sm_bModeAuto)
            return UNKNOWN_SERVERS;
            
        if ( cServerInfo.bInternetServer )
        {
		    if ( m_bLan )
            {
                if ( m_buInternet.GetCheck() )
		        {
		        	return NET_SERVERS;
		        }    
                
                if ( m_buFavorites.GetCheck() )
		        {
		    	    return FAVORITES_SERVERS;
		        }
            }
        }
        else
            return LAN_SERVERS;
        
        return UNKNOWN_SERVERS;
	}
    	
    void SortList()
    {
		RememberLastSelection();		
        ListBox_Servers.ClearList();        
        m_cSelectedServerInfo = null;
        
        if ( m_bLan && m_buLANGame.GetCheck())
        {
            SortList(vLANServer);
        }
        else
            if ( !m_bLan && m_buInternet.GetCheck() )
            {
                SortList(vInternetServer);
            }
            else if ( !m_bLan && m_buFavorites.GetCheck() )
                {
                SortList(vFavoritesServer);
                }         
    }

    void SortList(java.util.ArrayList vListToSort)
    {
        java.util.Collections.sort(vListToSort);
        for(int index = 0; index < vListToSort.size(); ++index)
        {
            NetServerInfo listServerInfo = (NetServerInfo)vListToSort.get(index);
            listServerInfo.nItemID = ListBox_Servers.AddItem("",listServerInfo);
		
			CheckIsSelectionNeeded(listServerInfo);
        }
    }
    
	void ShowServersFiltersMenu()
    {
        if(m_cMenuFilters == null)
		{
			m_cMenuFilters = (MenuNetServersFilter)CreateObjectNoInit( "MenuNetServersFilter" );
			m_cMenuFilters.InitObject();
			m_cMenuFilters.SetServerWindow(this,MenuModule);
		}
        Hide();
        m_cMenuFilters.MoveTop();
        if(ListBox_Servers!= null)
            m_cMenuFilters.SetFilters(m_bAvailable, m_bWithoutPassword, m_iMaxPing, m_iMinPlayers);
        m_cMenuFilters.Show();
        DisableInputChat();
    }
	
	void CancelFromServersFilters()
	{
		if(!ListBox_Servers.m_bFiltersOn)
			((UIButton)GetElem("ID_SERVER_FILTERS")).SetCheck(false);
        EnableInputChat();
	}
	
    void SetFilters(boolean bFiltersOn)								
	{
		((UIButton)GetElem("ID_SERVER_FILTERS")).SetCheck(bFiltersOn);
		if(ListBox_Servers!= null)
		{
            if(ListBox_Servers.SetFilters(m_bAvailable, m_bWithoutPassword, m_iMaxPing, m_iMinPlayers, bFiltersOn))
			{
				SaveFilters( bFiltersOn );
				RefreshActiveList( true );
				RefreshButtons();
			}
		}
        EnableInputChat();
	}
	
    void SetFilters(boolean bAvailable, boolean bWithoutPassword, int iMaxPing, int iMinPlayers, boolean bFiltersOn)
    {
        ((UIButton)GetElem("ID_SERVER_FILTERS")).SetCheck(bFiltersOn);
		if(ListBox_Servers!= null)
            if(ListBox_Servers.SetFilters(bAvailable, bWithoutPassword, iMaxPing, iMinPlayers, bFiltersOn)
			   ||m_bAvailable != bAvailable || m_bWithoutPassword != bWithoutPassword 
			   || m_iMaxPing != iMaxPing || m_iMinPlayers != iMinPlayers)
			{
				SaveFilters( bAvailable, bWithoutPassword, iMaxPing, iMinPlayers, bFiltersOn );
				RefreshActiveList( true );
				RefreshButtons();
			}
    }
    
    /**Sprawdza czy przycisk join moze byc enablowany, jesli nie to go disabluje
     */
    void RefreshButtons()
    {
        boolean bGameSelected = (ListBox_Servers.GetVirtualSelection() != -1);
        
        m_buJoin.SetDisabled( !(bGameSelected && !m_bJoiningGame) );
        
        NetServerInfo cSelectedServerInfo = (NetServerInfo)ListBox_Servers.GetDataFromSelected();
        boolean bOldVersion = ( bGameSelected &&
                                (cSelectedServerInfo != null) &&
                                (cSelectedServerInfo.GetGameVersion() <= ENetGameVersion._SHORT_LEN_FREE_MSG_LAST_VER) );
        boolean bServerInfoDisabled = !(bGameSelected && !m_bShowServerFullInfo);
        m_buServerInfo.SetDisabled( bServerInfoDisabled || bOldVersion );
        
        if ( m_bLan && m_buLANGame.GetCheck() )
		    ;//m_buAddToFavorites.SetDisabled(true);
        else
        {
			if (!m_bLan)
			{
				m_buAddToFavorites.SetDisabled(!bGameSelected);
				if (m_buFavorites.GetCheck())
				{
				    m_cSelectedServerInfo = (NetServerInfo)ListBox_Servers.GetDataFromSelected();
				    if (m_cSelectedServerInfo == null) 
				    {
				        m_buJoin.SetDisabled( true );
				        m_buServerInfo.SetDisabled( true );
				    }else
					{
						m_buJoin.SetDisabled( !m_cSelectedServerInfo.IsServerResponding() );
				        
				        bOldVersion = ( (cSelectedServerInfo != null) &&
				                        (cSelectedServerInfo.GetGameVersion() <= ENetGameVersion._SHORT_LEN_FREE_MSG_LAST_VER) );
				        m_buServerInfo.SetDisabled( (!m_cSelectedServerInfo.IsServerResponding()) || bOldVersion );
					}
				}
			}
        }
        
        if (!m_bLan)
        {
            UpdateConnectButton();
        }
    }
    
    void RefreshLANServerList()
    {
        if(bDbg) CrashLog("[RefreshLANServerList]\n");
        
        m_cSelectedServerInfo = null;
       
		ListBox_Servers.ClearList();
		
        vLANServer.clear();
        
        SendFreeMsgFindServer(LAN_SERVERS, EFreeMsg._FIND_SERVER_2);
    }
    
	int ServersNr = 0;
    
    boolean m_bClearInternetServerList = false;
	
    void UpdateInternetServerList()
    {
        if(bDbg) CrashLog("[UpdateInternetServerList]\n");
        
        m_cSelectedServerInfo = null;
       
        //ListBox_Servers.ClearList();
        //vInternetServer.clear();        
        
		#if !_EDITOR
        MasterClient MClient = MasterClient.GetMasterClient();
        //if (MClient.IsAuthorized() == true)
        {
            ServersNr = 0;
            MasterClient.GetMasterClient().RefreshServersList( GameTypes.GAME_CHROME );
            GameServerList.GetObject().RemoveAllServers();
            m_cServersToPingList.RemoveAllServers();
            DisableCallMethod( METHOD_PingServer );
            CallMethodEvery( METHOD_CheckMasterServerList, 0.1f );
            SetMSCommState(_MSCOMMSTATE_REQUESTING);
            
            //m_cInternetServers.Clear();
            //a to zeby kasowac liste dopiero po otrzymaniu pierwszej
            //odpowiedzi (do wykowystania w przyszlosci)
            m_bClearInternetServerList = true;
        }
		#endif
        
    }
	void LoadFilters()
	{
		ParseKeyword cRoot = GameObject.ParseFile( NetPlayerProfile.GetCurrentFiltersFileName() );
		
		if (cRoot == null)
		{
			GameObject.LogD("Error while read/parse " + NetPlayerProfile.GetCurrentFiltersFileName() + " file !\n");
			return;
		}
		else
		{
			boolean bFiltersOn = false;
			
			ParseKeyword cKey, cSubKey;
			for (cKey=cRoot; cKey!=null; cKey=cKey.GetNext())
			{
				if (cKey.Equals("OnlyAvailable")) 
					m_bAvailable = true;
				else if (cKey.Equals("FiltersOn")) 
				    bFiltersOn = true;
				else if (cKey.Equals("WithoutPassword")) 
				    m_bWithoutPassword = true;
				else if (cKey.Equals("MaxPing")) 
					m_iMaxPing = cKey.GetIParam(0);
				else if (cKey.Equals("MinPlayers")) 
					m_iMinPlayers = cKey.GetIParam(0);
			}
			ListBox_Servers.SetFilters(m_bAvailable, m_bWithoutPassword, m_iMaxPing, m_iMinPlayers, bFiltersOn);
			if (!m_bLan)
                ((UIButton)GetElem("ID_SERVER_FILTERS")).SetCheck(bFiltersOn);			
			cRoot.delete();
		}
	}
	
	void SaveFilters(boolean bFiltersOn)
	{
		SaveFilters( m_bAvailable, m_bWithoutPassword, m_iMaxPing, m_iMinPlayers, bFiltersOn);
	}
		 
	ScriptWriter m_cScriptWriter = new ScriptWriter();
    void SaveFilters(boolean bAvailable, boolean bWithoutPassword, int iMaxPing, int iMinPlayers, boolean bFiltersOn)
    {
        m_bAvailable = bAvailable;
		m_bWithoutPassword = bWithoutPassword;
		m_iMaxPing = iMaxPing;
		m_iMinPlayers = iMinPlayers;
		
		m_cScriptWriter.Open( NetPlayerProfile.GetCurrentFiltersFileName() );
                        
        m_cScriptWriter.Write("!OnlyAvailable()");
        m_cScriptWriter.Write("!WithoutPassword()");
        m_cScriptWriter.Write("!MaxPing(i)");
        m_cScriptWriter.Write("!MinPlayers(i)");
		m_cScriptWriter.Write("!FiltersOn()");
        m_cScriptWriter.NewLine();
            
        if ( bAvailable )
            m_cScriptWriter.Write("OnlyAvailable()");
        
        if ( bWithoutPassword )
            m_cScriptWriter.Write("WithoutPassword()");
        
        if ( iMaxPing > 0 )
            m_cScriptWriter.Write("MaxPing("+ iMaxPing + ")");
        
        if ( iMinPlayers>0 )
            m_cScriptWriter.Write("MinPlayers("+ iMinPlayers + ")");
		
		if ( bFiltersOn )
			m_cScriptWriter.Write("FiltersOn()");
		
		m_cScriptWriter.Close();
    }
    
    boolean m_bPreList = true;
    
    public void CheckMasterServerList()
    {
        #if !_EDITOR
        GameServerList GSList = GameServerList.GetObject();
            
        MasterClient MClient = MasterClient.GetMasterClient();
        
        int iMClientServersNum = MClient.GetServersNr();
        
        if ( iMClientServersNum > ServersNr)
        {
            if ( ServersNr == 0 )
                SetMSCommState(_MSCOMMSTATE_RECEIVING_DATA);
            
            if ( m_bClearInternetServerList )
            {
                m_bClearInternetServerList = false;
                m_cInternetServers.Clear();
                ListBox_Servers.ClearList();
                vInternetServer.clear();
				
                //NetServerInfo.sm_nTestMaxPlayers = 0;
            }
            
            if(bDbg) CrashLog("[CheckMasterServerList] iMClientServersNum = " + iMClientServersNum + "\n");
            if(bDbg) CrashLog("[CheckMasterServerList] ServersNr = " + ServersNr + "\n");
            int i;
            for (i = ServersNr; i < iMClientServersNum; i++)
            {
                GameServerWaiter sw = new GameServerWaiter(
                                                MClient.GetServerAddress(i),
                                                MClient.GetServerPortGame(i));
                GSList.AddServer( sw );
                                
                if ( ! ListBox_Servers.m_bFiltersOn )
                {
                    String sIP      = NetGameTools.IP2String( MClient.GetServerAddress( i ) );
                    int    nPort    = MClient.GetServerPortGame( i );
                    NetServerInfo cNewServerInfo = new NetServerInfo( sIP, "", nPort );
			        cNewServerInfo.nItemID = ListBox_Servers.AddItem("",cNewServerInfo);
                    m_cInternetServers.Add( cNewServerInfo );
                    if (cNewServerInfo.nItemID == -1)
                    {
                        if ( bDbg ) LogR("Can't add new server " + cNewServerInfo.sServerAddr+" "+cNewServerInfo.GetGamePort()); 
                        continue ;
                    }
                    if ( bDbg ) LogR("Added new server " + cNewServerInfo.sServerAddr+" "+cNewServerInfo.GetGamePort()); 
                
                    vInternetServer.add(cNewServerInfo);
			        CheckIsSelectionNeeded(cNewServerInfo);
                }
                
                m_cServersToPingList.AddServer( sw );
            }
            ServersNr = i;
        }
        
        if ( MClient.GetServerEndOfList() )
            SetMSCommState(_MSCOMMSTATE_LIST_COMPLETE);
            
        
        
        GameServerWaiter w = GSList.GetNextServer(GetAbsoluteTime());
        
        if (w != null)
        {
            String  sIP     = NetGameTools.IP2String( w.GetAddress() );
            int     nPort   = w.GetPort();
            if(bDbg) CrashLog("[CheckMasterServerList] nPort = " + nPort + "\n");
            //SendFreeMsgFindServer( sIP, NET_SERVERS, nPort, EFreeMsg._FIND_SERVER_2);
            //SendFreeMsgFindServer( sIP, NET_SERVERS, nPort, EFreeMsg._FIND_SERVER);
            FreeMsgSendRequestServerParams( sIP, nPort, NET_SERVERS,EFreeMsg._REQUEST_SERVER_PARAMS_2 );
        }
        
        #endif
        
        //SetMSCommState(MSCOMMSTATE_LIST_COMPLETE);
    }
    
    
    void RefreshFavoritesList()
    {
        if(bDbg) CrashLog("[RefreshFavoritesList]\n");
        
        m_cSelectedServerInfo = null;
       
        ListBox_Servers.ClearList();
		
        vFavoritesServer.clear();
        
		#if !_EDITOR
        LoadFavoritesList();
		#endif
    }
    
    void LoadFavoritesList()
    {
        FavoriteServer fs;
        
        ChromeNetFavorites.OpenList();
        while ((fs = ChromeNetFavorites.GetServer())!=null)
        {
            NetServerInfo newServerInfo = new NetServerInfo(fs.IP,
                                                            fs.Name,
                                                            fs.PortGame);
            newServerInfo.bInternetServer = true;
            newServerInfo.nItemID = ListBox_Servers.AddItem("",newServerInfo);
            vFavoritesServer.add(newServerInfo);
			
			CheckIsSelectionNeeded(newServerInfo);
			SendFreeMsgFindServer(fs.IP, FAVORITES_SERVERS, fs.PortGame, EFreeMsg._FIND_SERVER_2);
        }
        ChromeNetFavorites.CloseList();
    }
    
  
    boolean       m_bShowServerFullInfo     = false;
    NetServerInfo m_cServerInfoToShowParams = null;
    
    void InitShowServerFullInfo()
    {
        if(bDbg) CrashLog("[InitShowServerFullInfo]\n");
        
        /*FreeMsgSendRequestServerFullInfo( cGameInitInfo.GetServerInfo().GetServerAddr(),
                                          cGameInitInfo.GetServerInfo().GetGamePort(),
                                          EFreeMsg._REQUEST_SERVER_FULL_INFO);*/
        FreeMsgSendRequestServerFullInfo( cGameInitInfo.GetServerInfo().GetServerAddr(),
                                          cGameInitInfo.GetServerInfo().GetGamePort(),
                                          EFreeMsg._REQUEST_SERVER_FULL_INFO_2);
        
        m_bShowServerFullInfo = true;
        m_cServerInfoToShowParams = m_cSelectedServerInfo;
        
        ModuleNet.nTimeOutCounter = ModuleNet.MAX_TIME_OUT;
                                        
        TryShowServerFullInfo();
    }
	
    void ShowServerFullInfo(NetServerFullInfo cServerFullInfo)
    {
		//tworzymy nowe menu
		//java.util.Vector vParams = new java.util.Vector();
		//vParams.add(cServerFullInfo);			
		//MenuModule.SetMenu("MenuNetServerFullInfo", vParams);
		
		if(m_cMenuServerInfo == null)
		{
			m_cMenuServerInfo = (MenuNetServerFullInfo)CreateObjectNoInit( "MenuNetServerFullInfo" );
			m_cMenuServerInfo.InitObject();
			m_cMenuServerInfo.SetServerWindow(this,MenuModule);
		}
		m_cMenuServerInfo.SetServerFullInfo(cServerFullInfo);
        Hide();
        m_cMenuServerInfo.MoveTop();
        m_cMenuServerInfo.CallMethodIn( "Show", 0.0f );
		
        m_bShowServerFullInfo = false;
        DisableCallMethod( METHOD_TryShowServerFullInfo );
		RefreshButtons();
    }

    void ShowChatRoom()
    {
        Hide();
        if (m_cMenuChatRoom == null)
        {
            m_cMenuChatRoom = (MenuNetChatRoom)CreateObject("MenuNetChatRoom");
            m_cMenuChatRoom.m_cParentChromeWindow = this;
            m_cMenuChatRoom.Init(null);
        }
        m_cMenuChatRoom.MoveTop();
        m_cMenuChatRoom.CallMethodIn("Show", 0.0f);
        
    }
    
    public void Show()
    {
        super.Show();
        m_fLastConnectBtnTime = 0;
        if ( ! m_bLan )
            UpdateConnectButton();
        //if ( ! sm_bModeAuto )
         //   ChatConnect();        
    }
    
    void ChatAcquire( IChatWindow cWindow )
    {
        super.ChatAcquire(cWindow);
        if (! sm_bModeAuto )
            ChatConnect();
    }
        
    
    void TryShowServerFullInfo()
    {
        if ( m_bShowServerFullInfo     
              &&
             m_cSelectedServerInfo     == m_cServerInfoToShowParams 
              &&
             ModuleNet.nTimeOutCounter > 0 )
        {
            if(bDbg) CrashLog(" waiting (" + ModuleNet.nTimeOutCounter + ") ...\n");
            ModuleNet.nTimeOutCounter--;
                
            CallMethodIn(METHOD_TryShowServerFullInfo, 1.0f );
        }
        else
        {
            /*
            if ( ModuleNet.nTimeOutCounter == 0)
                CrashLog("ShowServerFullInfo time out\n");
            else
                CrashLog("Canceled\n");
            */
            
            m_bShowServerFullInfo = false;
            RefreshButtons();
        }
        
    }
    
    
   /* NetServerInfo FindServerInfo(java.util.Vector vServerList, int nItemID)
    {
        NetServerInfo ServerInfo = null;
        for(int index = 0; index < vServerList.size(); ++index)
        {
            ServerInfo = (NetServerInfo)vServerList.elementAt(index);
            if( ServerInfo.nItemID == nItemID)
                return ServerInfo;
        }
        
        return null;
    }*/    
    
    void UpdateServerList(NetServerInfo newServerInfo, boolean bForceLAN)
    {
        bForceLAN = false;
        
        if ( sm_bModeAuto )
        {
            UpdateServerListAuto( newServerInfo, bForceLAN );
            return;
        }
        
        if(bDbg) CrashLog("[ChromeNetJoinMenu.UpdateServerList] " + newServerInfo.sServerName +" bForceLAN "+bForceLAN+"\n");
        
        NetServerInfo listServerInfo = null;

        if ( (m_bLan && m_buLANGame.GetCheck()) ||
             (bForceLAN) ||
             ( ( m_bJoiningGame) &&    
               ( m_cSelectedServerInfo != null ) &&
               ( ! m_cSelectedServerInfo.bInternetServer ) )
            )
        {
            if (RefreshServerInfo(newServerInfo, vLANServer) == false)
            {
                newServerInfo.nItemID = ListBox_Servers.AddItem("",newServerInfo);
                vLANServer.add(newServerInfo);
                CheckIsSelectionNeeded(newServerInfo);
            }
        }else
        if ( !m_bLan && m_buInternet.GetCheck() )
        {
            if (RefreshServerInfo(newServerInfo, vInternetServer) == false)
            {
                if ( ListBox_Servers.m_bFiltersOn )
                {
                    newServerInfo.nItemID = ListBox_Servers.AddItem("",newServerInfo);
                    vInternetServer.add(newServerInfo);
                    CheckIsSelectionNeeded(newServerInfo);
                }
            }
        }else
        if ( !m_bLan && m_buFavorites.GetCheck() )
        {
            RefreshServerInfo(newServerInfo, vFavoritesServer);
        }
        
        if ( m_bJoiningGame && (m_cSelectedServerInfo != null) )
        {
            if (newServerInfo.sServerAddr.equals( sm_sServerAddress ) &&
               (newServerInfo.GetGamePort() == sm_iServerPort))
            {
                m_cSelectedServerInfo.Update( newServerInfo );
            }
                                  
        }
    }
    
    void UpdateServerListAuto(NetServerInfo newServerInfo, boolean bForceLAN)
    {
        if(bDbg) CrashLog("[ChromeNetJoinMenu.UpdateServerListAuto] " + newServerInfo.sServerName +" bForceLAN "+bForceLAN+"\n");
        
        NetServerInfo listServerInfo = null;

        if ( (m_bLan && m_buLANGame.GetCheck()) ||
             (bForceLAN) ||
             ( ( m_bJoiningGame) &&    
               ( m_cSelectedServerInfo != null ) &&
               ( ! m_cSelectedServerInfo.bInternetServer ) )
           )
        {
            if (RefreshServerInfo(newServerInfo, vLANServer) == false)
            {
                newServerInfo.nItemID = ListBox_Servers.AddItem("",newServerInfo);
                vLANServer.add(newServerInfo);
                CheckIsSelectionNeeded(newServerInfo);
            }
        }else
        if ( (!m_bLan) && m_buInternet.GetCheck() )
        {
            if (RefreshServerInfo(newServerInfo, vInternetServer) == false)
            {
                if ( ListBox_Servers.m_bFiltersOn )
                {
                    newServerInfo.nItemID = ListBox_Servers.AddItem("",newServerInfo);
                    vInternetServer.add(newServerInfo);
                    CheckIsSelectionNeeded(newServerInfo);
                }
            }
        }else
        if ( (!m_bLan) && m_buFavorites.GetCheck() )
        {
            RefreshServerInfo(newServerInfo, vFavoritesServer);
        }
        
        if ( sm_bModeAuto )
        {
            for (int i = 0; i < vLANServer.size(); ++i )
            {
                NetServerInfo cInfo = (NetServerInfo)vLANServer.get( i ); 
                if ( sm_sServerAddress == null ||
                     ( cInfo.sServerAddr.compareTo( sm_sServerAddress ) == 0 &&
                       cInfo.GetGamePort() == sm_iServerPort))
                {
                    m_cSelectedServerInfo = cInfo;
					//sm_sLastSelectedServerAdress = sm_sServerAddress;
                    //sm_sLastSelectedServerPort
                    break;
                }
            }
            
            if ( m_cSelectedServerInfo == null ) 
            {
                for (int i = 0; i < vInternetServer.size(); ++i )
                {
                    NetServerInfo cInfo = (NetServerInfo)vInternetServer.get( i ); 
                    if ( sm_sServerAddress == null ||
                         ( cInfo.sServerAddr.compareTo( sm_sServerAddress ) == 0 &&
                           cInfo.GetGamePort() == sm_iServerPort))
                    {
                        m_cSelectedServerInfo = cInfo;
						//sm_sLastSelectedServerAdress = sm_sServerAddress;
                        //sm_sLastSelectedServerPort
                        break;
                    }
                }   
                
                if ( m_cSelectedServerInfo == null ) 
                {
                    
                }
            }
        
            if ( m_cSelectedServerInfo != null )
            {
                cGameInitInfo.GetServerInfo().SetServerAddr( m_cSelectedServerInfo.sServerAddr );
                cGameInitInfo.GetServerInfo().SetGamePort(m_cSelectedServerInfo.GetGamePort());
                if(bDbg) CrashLog(" Podlaczamy do serwera "+m_cSelectedServerInfo.sServerAddr+":"+m_cSelectedServerInfo.GetGamePort()+"\n");
                sm_bModeAuto = false;
                CallMethodIn("PushedJoinServer",2.0f);
            }
        }
    }


    //true jesli updatowal dana
    boolean RefreshServerInfo(NetServerInfo newServerInfo, java.util.ArrayList cListToRefresh)
    {
        NetServerInfo listServerInfo = null;
        for (int index = 0; index < cListToRefresh.size(); ++index)
        {
            
            listServerInfo = (NetServerInfo)cListToRefresh.get(index);
            if ( listServerInfo.AddressEquals( newServerInfo ) )
            {
                if(bDbg) CrashLog("FOUND THE SAME " + newServerInfo.sServerAddr + " idx " + listServerInfo.nItemID);
				listServerInfo.Update(newServerInfo);
                ChromeNetFavorites.UpdateServer(newServerInfo.sServerAddr,
                                                newServerInfo.sServerName,
                                                newServerInfo.GetGamePort());
                
				ListBox_Servers.UpdateServerOnVirtualID(newServerInfo, listServerInfo.nItemID);
                if (newServerInfo.nItemID != listServerInfo.nItemID)
				{
					//LogR("!!!!!!!!Added " + iIndex + listServerInfo.nItemID + "\n");
					CheckIsSelectionNeeded(newServerInfo);
				}
				if (listServerInfo.nItemID == ListBox_Servers.GetVirtualSelection() && listServerInfo.nItemID != -1)
				{
					RefreshButtons();
                    m_cSelectedServerInfo = (NetServerInfo)ListBox_Servers.GetSelected().m_cData;
				}
                return true;
            }
        }
        return false;
    }
    
	void RememberLastSelection()
	{
		if(ListBox_Servers.GetSelection() != -1)
		{
			m_cSelectedServerInfo = (NetServerInfo)ListBox_Servers.GetSelected().m_cData;
			sm_sLastSelectedServerAdress = m_cSelectedServerInfo.sServerAddr;
            sm_sLastSelectedServerPort   = m_cSelectedServerInfo.GetGamePort();
		}
		else
		{
			m_cSelectedServerInfo = null;
			sm_sLastSelectedServerAdress = null;
            sm_sLastSelectedServerPort = -1;
		}
	}	
	
    void Discard()
    {
        if(!CanDiscard())
			return;
		if(m_cYesNoDlg != null)
		{
			return;
		}
        
		RememberLastSelection();							
		DeleteClient();
        MenuModule.SetMenu("ChromeNetMainMenu");
    }
    
    /**
     * System Free Message'y
     *
     */
    
    synchronized public void OnFreeMessage()
    {
        int    nMessageId = FreeMessageGetId();
        int    nPort      = FreeMessageGetPort();
        String sHostName  = FreeMessageGetHost();
        
        if(bDbg) CrashLog("received free msg " + nMessageId + " " + nPort + " " + sHostName + "\n");
        
        switch (nMessageId)
        {
        case EFreeMsg._I_AM_SERVER:
        case EFreeMsg._I_AM_SERVER_2:
            FreeMsgRecvIAmServer( sHostName, nPort, nMessageId );
            break;
            
        case EFreeMsg._SERVER_PARAMS:
        case EFreeMsg._SERVER_PARAMS_2:
            FreeMsgRecvServerParams( sHostName, nPort, nMessageId );
            break;
            
        case EFreeMsg._SERVER_FULL_INFO:
        case EFreeMsg._SERVER_FULL_INFO_2:
            FreeMsgRecvServerFullInfo( sHostName, nPort, nMessageId );
            break;
            
        case EFreeMsg._WISH_LIST:
        case EFreeMsg._WISH_LIST_2:
            FreeMsgRcvWishList(sHostName, nPort, nMessageId);
            break;
            
        default:
            //LogR("RECV free msg "+nMessageId+", skipped\n");
            FreeMessageEnd();
        }
    }


    //iMessageId : EFreeMsg._FIND_SERVER lub EFreeMsg._FIND_SERVER2
    synchronized void SendFreeMsgFindServer(int ServerType, int iMessageId)
    {
        if(bDbg) CrashLog(" SEND " + EFreeMsg.GetFlagName(iMessageId) + " (broadcast)\n");
        
        FreeMessageNew( iMessageId );
        FreeMessagePackInt(ServerType);
        //wysylamy TYLKO na defaultowy port
        FreeMessageSend( EFreeMsg.TYPE_BROADCAST, "", 
                         NetServerInitInfo.sm_nDefaultGamePort );
    }
    
    //iMessageId : EFreeMsg._FIND_SERVER lub EFreeMsg._FIND_SERVER2
    synchronized void SendFreeMsgFindServer(String sHost, int ServersType, int iPort, int iMessageId)
    {
        if (sHost != null &&
            sHost.length() > 0)
        {
            if(bDbg) CrashLog("SEND " + EFreeMsg.GetFlagName(iMessageId) + " to " + sHost + ":" + iPort + "\n");
            
            FreeMessageNew( iMessageId );
            FreeMessagePackInt(ServersType);
            FreeMessageSend( EFreeMsg.TYPE_HOST, sHost, iPort );
            //cGameInitInfo.GetServerInfo().GetGamePort()
        }
    }
    
    //iMessageId : _I_AM_SERVER lub _I_AM_SERVER_2
    synchronized void FreeMsgRecvIAmServer(String sHostName,int nPort, int iMessageId)
    {
        if(bDbg) CrashLog(" RECV " + EFreeMsg.GetFlagName(iMessageId) + "\n");
        int ServerType = FreeMessageUnPackInt();
        FreeMessageEnd();
        
        int iSendMessageId;
        if (iMessageId == EFreeMsg._I_AM_SERVER)
        {
            iSendMessageId = EFreeMsg._REQUEST_SERVER_PARAMS;
        }
        else
        {//_I_AM_SERVER_2
            iSendMessageId = EFreeMsg._REQUEST_SERVER_PARAMS_2;
        }
        GameServerList.GetObject().RemoveServer(sHostName,nPort);

        FreeMsgSendRequestServerParams( sHostName, nPort , ServerType, iSendMessageId);
        
        if (m_bAutoJoiningGame == true)
        {
            sProgressCallFun = null;//juz nie potrzeba wolac tej funkcji
        }
    }
    
    //iMessageId : EFreeMsg._REQUEST_SERVER_PARAMS lub EFreeMsg._REQUEST_SERVER_PARAMS_2
    synchronized void FreeMsgSendRequestServerParams( String sHostName, int nPort , int ServerType, int iMessageId)
    {
        if (IsServerExpected(ServerType))
        {
            if(bDbg) CrashLog(" SEND " + EFreeMsg.GetFlagName(iMessageId) + " to " + sHostName + ":" + nPort + "\n");
                
            FreeMessageNew( iMessageId );
            FreeMessagePackInt(ServerType);
            FreeMessagePackFloat( GetAbsoluteTime() );
            FreeMessageSend( EFreeMsg.TYPE_HOST, sHostName, nPort );
        }
        else
            CrashLog(" CANT SEND " + EFreeMsg.GetFlagName(iMessageId) + " to " + sHostName + ":" + nPort + "\n");
    }
    
    synchronized void FreeMsgRecvServerParams( String sHostName, int nPort, int iMessageId )
    {
        if(bDbg) CrashLog(EFreeMsg.GetFlagName(iMessageId));
        
        int    nServerType  = FreeMessageUnPackInt();
        float  fSendTime    = FreeMessageUnPackFloat();
        String sServerName  = FreeMessageUnPackString();
        String sLevelName   = FreeMessageUnPackString();
        int    nMaxPlayers  = FreeMessageUnPackInt();
        int    nCurrPlayers = FreeMessageUnPackInt();
        int    nGameType    = FreeMessageUnPackInt();
        int    nGameVersion = FreeMessageUnPackInt();
        boolean bPassword   = FreeMessageUnPackBoolean();
        int    nMapCRC      = FreeMessageUnPackInt();
        boolean bInternetServer = FreeMessageUnPackBoolean();
        //zostawiamy odczytywanie portu comm ze wzgledow kompatybilnosci
        int iCommPort = FreeMessageUnPackInt();
        FreeMessageEnd();
            
        //teraz ping to tak naprawde latency zmienilem z *500 na *1000
        float fPing     = (GetAbsoluteTime() - fSendTime)*1000.0f;
        if (IsServerExpected(nServerType))
        {
            if(bDbg) CrashLog(": "+sHostName+" "+sServerName+" "+nPort+" "+sLevelName+" "+nCurrPlayers+" "+nMaxPlayers+" "+(int)fPing + " " + nMapCRC + "\n");

            NetServerInfo cServerInfo = new NetServerInfo(sHostName, 
                                                          sServerName, 
                                                          nPort,
                                                          sLevelName, 
                                                          nCurrPlayers, 
                                                          nMaxPlayers, 
                                                          nGameType,
                                                          (int)fPing,
                                                          nGameVersion,
                                                          bPassword,
                                                          0,
                                                          nMapCRC,
                                                          bInternetServer);
            UpdateServerList( cServerInfo, nServerType == UNKNOWN_SERVERS);
        }
    }
    
    //iMessageId : EFreeMsg._REQUEST_SERVER_FULL_INFO lub EFreeMsg._REQUEST_SERVER_FULL_INFO_2
    synchronized void FreeMsgSendRequestServerFullInfo( String sHostName, int nPort, int iMessageId )
    {
        if(bDbg) CrashLog(" SEND " + EFreeMsg.GetFlagName(iMessageId)+ " to " + sHostName + ":" + nPort + "\n");
            
        FreeMessageNew( iMessageId );
        FreeMessagePackFloat( GetAbsoluteTime() );
        FreeMessageSend( EFreeMsg.TYPE_HOST, sHostName, nPort );
    }
    
    synchronized void FreeMsgRecvServerFullInfo( String sHostName, int iPort, int iMessageId )
    {
        NetDataContainer cData = new NetDataContainer();
        
        if(bDbg) CrashLog(" RECV " + EFreeMsg.GetFlagName(iMessageId)+ "\n");
        float  fSendTime    = FreeMessageUnPackFloat();
        cData.FromFreeMessage( this );
        //cPlayerListData.FromFreeMessage( this );
        FreeMessageEnd();
                    
        //TODO: sprawdzic jeszcze czy to ten host ktorego chcemy
        if ( m_bShowServerFullInfo )
        {
            //poskladajmy odczytane dane do obiektu info
            NetServerFullInfo cInfo = new NetServerFullInfo( cData );
            
            ShowServerFullInfo( cInfo ); 
        }
    }

    /*void OnKeyPressed(int nKey, char nAsci)
    {        
            super.OnKeyPressed(nKey, nAsci);
        
    }*/ 
    
    void OnCancelFromDlg(int nID)
    {                
        switch (nID)
        {
        case ID_DIALOG_AUTHORIZATION:            
            if(bDbg) CrashLog("[ChromeNetJoinMenu] canceling master server authorization\n");
            
            if (m_bAutoJoiningGame == false &&
                m_bJoiningGame == false)
            {
                super.OnCancelFromDlg(nID);
            }
            
            if (cMasterServerAuthConn != null)
            {
                cMasterServerAuthConn.Cancel();
            }
            
            break;
            
        case ID_DIALOG_AUTOJOIN_SERVER:            
            if(bDbg) CrashLog("[ChromeNetJoinMenu] canceling auto-joining server\n");
            
            super.OnCancelFromDlg(nID);
            
            AutoJoiningFailed("&FAILED_TO_JOIN_SERVER&", "&CANCELED&");    
            
            break;
        
        case ID_DIALOG_JOIN_SERVER:
            if(bDbg) CrashLog("[ChromeNetJoinMenu] canceling joining server\n");
            
            super.OnCancelFromDlg(nID);
            JoiningGameFailed("&FAILED_TO_JOIN_SERVER&", "&CANCELED&");
            
            break;
        }
    }
    
    void OnOKFromDlg(int nID)
    {
        super.OnOKFromDlg(nID);
        
        switch (nID)
        {
        case ID_DIALOG_FAILED:
            Show();
            break;
        }
    }
    
    void AddToFavorites()
    {
        m_cSelectedServerInfo = (NetServerInfo)ListBox_Servers.GetSelected().m_cData;
		sm_sLastSelectedServerAdress = m_cSelectedServerInfo.sServerAddr;
        sm_sLastSelectedServerPort   = m_cSelectedServerInfo.GetGamePort();
        ChromeNetFavorites.AddServer(m_cSelectedServerInfo.sServerAddr,
                                     m_cSelectedServerInfo.sServerName,
                                     m_cSelectedServerInfo.GetGamePort());
    }

    void RemoveFromFavorites()
    {
        m_cSelectedServerInfo = (NetServerInfo)ListBox_Servers.GetSelected().m_cData;
        ChromeNetFavorites.RemoveServer(m_cSelectedServerInfo.sServerAddr,
                                        m_cSelectedServerInfo.GetGamePort());
        
        ListBox_Servers.ClearList();
        NetServerInfo newServerInfo;
        for (int index = 0; index < vFavoritesServer.size(); ++index)
        {
            newServerInfo = (NetServerInfo)vFavoritesServer.get(index);
            if (newServerInfo.sServerAddr.compareTo(m_cSelectedServerInfo.sServerAddr) == 0 &&
                newServerInfo.GetGamePort() == m_cSelectedServerInfo.GetGamePort())
            {
                vFavoritesServer.remove(index);
                index--;
            }
            else
            {
			    newServerInfo.nItemID = ListBox_Servers.AddItem("",newServerInfo);
            }
        }
        m_cSelectedServerInfo = null;
		sm_sLastSelectedServerAdress = null;
        sm_sLastSelectedServerPort = -1;
    }
    /////////////////////////////////////////////////////////////////
    /** Autoryzowanie u Master Servera      
     */
    String sAuthorizationProgress = ".";
    MasterServerAuthConnection cMasterServerAuthConn = null;
    
    void MasterServerAuthorize()
    {
        if(bDbg) CrashLog("Start master server authorization process\n");

        sAuthorizationProgress = ".";
        sProgressCallFun = null;

        ShowCancelDialog(ID_DIALOG_AUTHORIZATION, "&WAITING_FOR_MS_AUTHENTICATION&", sAuthorizationProgress, null);

        cMasterServerAuthConn = (MasterServerAuthConnection)CreateObject("MasterServerAuthConnection");
        
        //rozpoczynamy proces autoryzacji
        //FIX - CDKey pobierany na podstawie zahardcodowanego stringa            
        
        AuthorizationServersMngr cASMngr = new AuthorizationServersMngr();
        MasterClient.GetMasterClient().SetAvailableAuthorizationServers(
                                           cASMngr.GetServers(), 
                                           cASMngr.GetTimeOut() );
        //*
#if TRIAL_HONVIK
        String sCDKey = RegKeyReadString("SOFTWARE\\Techland\\ChromeTestTrial", "SerialNumber");
#else 
        String sCDKey = RegKeyReadString("SOFTWARE\\Techland\\Chrome", "SerialNumber");
#endif        
        cMasterServerAuthConn.Init(MasterClient.GetMasterClient(),
                                 sCDKey,
                                 this,
                                 30.0f,//MP - przedluzylem czas, bo na forum ktos sie buntowal o timeouty
                                 0.1f);            
        //*/

        /*_bMultiplayerDemo
        cMasterServerAuthConn.Init(MasterClient.GetMasterClient(), null, this,
                                   180.0f,
                                   0.1f);            
        */
    }
    
    public void Succeeded(int iResult)
    {
        StopAuthorizationProcess();
        ReleaseAuthorizationYesNoDialog(!MasterClient.GetMasterClient().IsAuthorized(), false);
        
        MasterClient MClient = MasterClient.GetMasterClient();
        
        if(bDbg)
        {
            CrashLog("[ChromeNetJoinMenu] AuthorizationServer state:" + MClientASConnector.GetState(MClient.GetASState()) + "\n");
            CrashLog("[ChromeNetJoinMenu] AuthorizationServer answer:" + MClientASConnector.GetAnswer(MClient.GetASAnswer()) + "\n");
        }
        
        if (MClient.IsAuthorized())
        {
            if ( (!m_bAutoJoiningGame) && (!m_bJoiningGame) )
            {
                //jezeli to menu internet games, to odswiezamy liste serwerow
                if ( !m_bLan && m_buInternet.GetCheck() )
                {
                    //to jest pierwsza autoryzacja; ma ona miejsce po wejsciu 
                    //na Internet Games, wiec refresh'ujemy liste                       
                    LoadInternetServers();
                }
                else if (!m_bLan && m_buFavorites.GetCheck() )
                {
                    RefreshFavoritesList();
                }
            }
            else if (m_bJoiningGame == true)
            {
                //autoryzacja przeszla - przechodzimy do nastepnego etapu dolaczania
                JoinServerPart2();        
            }
        }
        else
        {
            //TODO - wyswietlic komunikat dla uzytkownika o wyniku autoryzacji
            
            BackToLan();
        }        
    }
    
	void BackToLan()
	{
        //TODO: co z tym fantem zrobic?
        /*
		sm_iLastSelectedMode = EChromeNetJoinMenuUI._LAN_MODE;
		
		//m_buFavorites.SetCheck(false);
		//m_buInternet.SetCheck(false);
        if ( m_buLANGame != null )
		    m_buLANGame.SetCheck(true);
		//m_buAddToFavorites.SetText("&ADD TO FAVORITES&");
		//m_buAddToFavorites.SetDisabled(true);
        */
        Discard();
	}
	
    public void Failed()
    {
        StopAuthorizationProcess();
        ReleaseAuthorizationYesNoDialog(true, false);
		BackToLan();

        if(bDbg) CrashLog("[ChromeNetJoinMenu] MS authentication failed due to time out\n");
    }
    
    public void Canceled()
    {
        StopAuthorizationProcess();
        ReleaseAuthorizationYesNoDialog(true, true);
        BackToLan();
		
        if(bDbg) CrashLog("[ChromeNetJoinMenu] Master server authorization canceled\n");
    }
    
    void StopAuthorizationProcess()
    {        
        cMasterServerAuthConn = null;
    }
    
    void ReleaseAuthorizationYesNoDialog(boolean bFailed, boolean bCanceled)
    {
        String sReason = null;
        String sDescription = null;
        
        if (bFailed)
        {
            sReason = "&MS_AUTHENTICATION_FAILED&";

            if (bCanceled)
            {
                sDescription = "&CANCELED&";
            }
            else
            {
                MasterClient MClient = MasterClient.GetMasterClient();
                int iASAnswer    = MClient.GetASAnswer();
                if (iASAnswer == MClientASConnector.ASAnswer_NOT_ANSWER) 
                {//w tym momencie oznacza to, ze jest time out
                    sDescription = "&CONNECTION_TIMEOUT&";
                }
                else
                {
                    sDescription = MClientASConnector.GetAnswer(iASAnswer);
                    
                    if ( iASAnswer == MClientASConnector.ASAnswer_INVALID_KEY )
                    {
                        String sASAnswer = MClient.GetASAnserInfo();
                        if ( sASAnswer != null )
                            sDescription = sDescription + " " + sASAnswer;
                    }
                }
            }
        }
        
        if (m_bAutoJoiningGame == false &&
            m_bJoiningGame == false)
        {
            if (bFailed == false)
            {
                Show();
            }
            DisableCallMethod("ProgressFun");
            ReleaseYesNoDialog();
            
            if (bFailed)
            {
                ShowOKDialog(ID_DIALOG_FAILED, sReason, sDescription, null);
            }
        }
        else
        {
            if (bFailed)
            {
                if (m_bAutoJoiningGame == true)
                    AutoJoiningFailed(sReason, sDescription);
                else
                    JoiningGameFailed(sReason, sDescription);
            }
            else
            {
                if (m_bJoiningGame == true)
                    ShowCancelDialog(ID_DIALOG_JOIN_SERVER, m_sJoiningGameDialogTitle, m_sJoiningGameProgress, null);
                else
                    ShowCancelDialog(ID_DIALOG_AUTOJOIN_SERVER, m_sAutoJoinServerDialogTitle, m_sAutoJoiningGameProgress, null);
            }
        }
    }
    /** Koniec autoryzowania
     */
    ///////////////////////////////////////////////////////////////////////////
    /** auto-joinowanie do serwera
     */    
    boolean m_bAutoJoiningGame = false;
    String m_sAutoJoiningGameProgress = null;
    String m_sAutoJoinServerDialogTitle = null;
    
    static boolean sm_bModeAuto = false;
    static boolean sm_bRejoining = false;
    static String  sm_sServerAddress = null;
    static int sm_iServerPort = -1;
    
    static void ForceJoinServer( ChromeMenuModule cMenu, 
                                 String sServerAddressWithPort, 
                                 String sServerPassword )
    {
        String sServerAddress = sServerAddressWithPort;
        int    nServerPort    = NetServerInitInfo.sm_nDefaultGamePort;
        
        if ( sServerAddressWithPort != null )
        {
            int nColonPos = sServerAddressWithPort.indexOf(":");
            LogR("Adress:Port "+sServerAddressWithPort+" "+nColonPos+"\n");
            if ( nColonPos > -1 )
            {
                sServerAddress       = sServerAddressWithPort.substring( 0, nColonPos );
                String sServerPort   = sServerAddressWithPort.substring( nColonPos+1 );
                LogR("Adress "+sServerAddress+" Port "+sServerPort+"\n");
                try
                {
                    nServerPort = Integer.parseInt( sServerPort );
                }
                catch (Exception e)
                {
                    NetLog.Error("Blad parsowania numeru portu "+sServerPort);
                }
            }
        }
                
        m_sPassword = sServerPassword;
        
        LogR("ForceJoinServer: Adress "+sServerAddress+
                             " Port "+nServerPort+
                             " Password "+m_sPassword+
                             "\n");
        ForceJoinServer( cMenu, sServerAddress, nServerPort, false );
    }

	static void ForceJoinServer( ChromeMenuModule cMenu, String sServerAddress, int iServerPort, boolean bRejoin)
    {
        if (bRejoin == true)
        {
            if(bDbg) CrashLog("[ChromeNetJoinMenu.ForceJoinServer] rejoining " + sServerAddress + ":" + iServerPort + "\n");
        }
        else
        {
            if(bDbg) CrashLog("[ChromeNetJoinMenu.ForceJoinServer] " + sServerAddress + ":" + iServerPort + "\n");
        }
        
        SetGlobalTimerSpeedUp( ModuleNet.sm_m_fTimerSpeedUp );
        
        sm_bModeAuto      = true;
        sm_bRejoining     = bRejoin;
        sm_sServerAddress = sServerAddress;
        sm_iServerPort    = iServerPort;
        
		sm_bLanMode = NetGameTools.IsLANAddress( sm_sServerAddress );
#if MPDEMO2004
        sm_bLanMode = false;
#endif
        SetMenu( cMenu );
    }        
	
	static boolean sm_bLanMode = false;
	
	static void SetMenu( ChromeMenuModule cMenu )
	{
		if ( sm_bLanMode )
            cMenu.SetMenu("ChromeLANJoinMenu");
        else
            cMenu.SetMenu("ChromeNetJoinMenu");
	}
	
    
    void StartAutoJoinServer()
    {
        if(bDbg) CrashLog("[ChromeNetJoinMenu.Init] auto joining server " + sm_sServerAddress + ":" + sm_iServerPort + "\n");
        SetGlobalTimerSpeedUp( ModuleNet.sm_m_fTimerSpeedUp );
        
        m_bAutoJoiningGame = true;        
        m_sAutoJoiningGameProgress = ".";
        
        sProgressCallFun = "AutoJoinFindServFun";

        if (sm_bRejoining)
        {
            m_sAutoJoinServerDialogTitle = "&REJOINING_SERVER&";
        }
        else
        {
            m_sAutoJoinServerDialogTitle = "&FINDING_SERVER&";
        }
        m_sAutoJoinServerDialogTitle += " : " + sm_sServerAddress;
        
        ShowCancelDialog(ID_DIALOG_AUTOJOIN_SERVER, m_sAutoJoinServerDialogTitle, m_sAutoJoiningGameProgress, null);
        
        //kosmicznie, bo sytuacja jest kosmiczna
        //CallMethodIn("Hide",0);
        //MenuModule.cMenuBackground.CallMethodIn("Show",0);//
        MenuModule.cMenuBackground.Show();
        MenuModule.cCursor.Show();
    }
    
    //czas ostatniego wysylania msg
    float fLastFindServFunCallTime = 0.0f;
    float fFindServMsgResendTime = 5.0f;
    
    public void AutoJoinFindServFun()
    {
        float fCurrentTime = GetAbsoluteTime();
        
        if (fCurrentTime > fLastFindServFunCallTime + fFindServMsgResendTime)
        {
            fLastFindServFunCallTime = fCurrentTime;
            
            SendFreeMsgFindServer(sm_sServerAddress, UNKNOWN_SERVERS, sm_iServerPort, EFreeMsg._FIND_SERVER_2);
        }
    }
    
    void AutoJoiningFailed(String sReason, String sDescription)
    {
        DisableCallMethod("ProgressFun");
        DisableCallMethod("TryToJoinServer");
        
        if(bDbg) CrashLog("[ChromeNetJoinMenu] auto-join failed : " + sReason + " : " + sDescription + "\n");
        
        m_bAutoJoiningGame = false;
        sm_bModeAuto = false;
        
        StopJoiningServer();
        ReleaseYesNoDialog();

        ShowOKDialog(ID_DIALOG_FAILED, sReason, sDescription, null);
    }
    
    /** Koniec auto-joinowania
     */
    
    
    //////////////////////////////////////////////////////////////
    /** Joinowanie sie do servera
     */
    
    void PushedJoinServer()
    {
        if(bDbg) CrashLog("[PushedJoinServer]\n");
        ChatDisconnect();
        SetGlobalTimerSpeedUp( ModuleNet.sm_m_fTimerSpeedUp );
        JoinServerPart1();               
    }       
    

        
    String m_sJoiningGameProgress = null;
    String m_sJoiningGameDialogTitle = null;
    
    void JoinServerPart1()
    {
        if(bDbg) CrashLog("[JoinServerPart1]\n");
        
        m_bJoiningGame = true;
        m_sJoiningGameProgress = ".";
        
        sProgressCallFun = null;

        m_sJoiningGameDialogTitle = "&JOINING_SERVER&" + " : " + m_cSelectedServerInfo.sServerAddr;
        ShowCancelDialog(ID_DIALOG_JOIN_SERVER, m_sJoiningGameDialogTitle, m_sJoiningGameProgress, null);
        MenuModule.cCursor.Show();
        
        //jesli to jest server internetowy i nie mamy jeszcze autoryzacji, to teraz
        //musimy ja uzyskac
        //TODO: sprawdzic IPka goscia
        if (m_cSelectedServerInfo.bInternetServer &&
            MasterClient.GetMasterClient().IsAuthorized() == false)
        {
            MasterServerAuthorize();
        }
        else
            JoinServerPart2();
    }
    
    void OnPassword()
    {
        if (cMenu == null)
        {
            cMenu = (MenuNetTypePassword)CreateObjectNoInit( "MenuNetTypePassword" );
            cMenu.InitObject();
            cMenu.SetServerWindow(this,MenuModule);
        }
        Hide();
        cMenu.CallMethodIn("MoveTop",0);
        cMenu.CallMethodIn( "Show", 0.0f );
        
        //w tym momencie joinujemy sie do servera, wiec otwarty jest dialog
        //do przerwania - chowamy go i pauzujemy funkcje progressa
        m_cYesNoDlg.Hide();
        DisableCallMethod("ProgressFun");
    }
    
    void JoinServerPart2()
    {
        if(bDbg) CrashLog("[JoinServerPart2]\n");
        //sprawdzamy, czy potrzebne jest haslo i jesli tak, to je pobieramy
        
        // TODO: zeby nie trzeba bylo podawac hasla, jezeli jest takie samo jak ostatnio
        // a jezeli juz jest jakies ustawione, to probujemy sie z nim zalogowac
        if ( m_cSelectedServerInfo.bPassword
             && m_sPassword == null)
        {
            if(bDbg) CrashLog("[PushedJoinServer] password required\n");
            
//            m_sPassword = null;
            
            OnPassword();
        }
        else
            JoinServerPart3();
    }
    
    static String m_sPassword = null;
    
    void TypedPassword(String sPassword)
    {
        if(bDbg) CrashLog("[TypedPassword]\n");
        
        CallMethodIn("ContinueTypedPassword",0);
        m_sPassword = sPassword;        
    }
    
    void ContinueTypedPassword()
    {
        //pokazujemy ponownie dialog przerwania laczenia i wznawiamy funkcje progressa
        Hide();
        m_cYesNoDlg.Show();
        CallMethodIn("ProgressFun", 0.0f);
        JoinServerPart3();
    }
    
    void JoinServerPart3()
    {
        if(bDbg) CrashLog("[JoinServerPart3]\n");
        InitJoinServer();
    }
    

    void InitJoinServer()
    {
        if(bDbg) CrashLog("[InitJoinServer]\n");

        m_cSelectedServerInfo.bValid = false;
        ModuleNet.nTimeOutCounter = ModuleNet.MAX_TIME_OUT;
                                        
        if(bDbg) CrashLog("Validate server... \n");    
        TryToJoinServer();
    }
    
        void TryToJoinServer()
    {
        if(bDbg) CrashLog("[TryToJoinServer]\n");
        
        if (m_cSelectedServerInfo == null)
        {
            if(bDbg) CrashLog("... canceled\n");
            return;
        }

        if (m_cSelectedServerInfo.bValid)
        {
            String sReason = null;
            String sDescription = null;
            
            if ( ! m_cSelectedServerInfo.IsCorrectGameVersion() )
            {
                sReason = "&WRONG_GAME_VERSION&";
                sDescription = "&YOURS&" + ": " +
                               NetGameInfo.GetNetGameVersionNumberString() + 
                               ", " + "&SERVER_S&" + ": " +
                               m_cSelectedServerInfo.GetNetGameVersionNumberString();
            }
            
            if ( m_cSelectedServerInfo.IsPlayersLimitOut() )
            {
                sReason = "&FAILED_TO_JOIN_SERVER&";
                sDescription = "&SERVER_FULL&";                
            }
                
            if ( ! m_cSelectedServerInfo.DoesMapFileExist() )
            {
                sReason = "&NO_MAP&";
                sDescription = "&REQUIRED_MAP&" + ": " +
                               m_cSelectedServerInfo.GetShortLevelName();
            }
            
            //TODO: czy CRC mapy sie zgadza
            
            if (sReason != null && sDescription != null)
            {
                if(bDbg) CrashLog(sReason + ". " + sDescription + "\n");
                JoiningGameFailed(sReason, sDescription);
                return;
            }
            
            m_bSkipJoiningGame = false;
            
            ProcessWishList();
        }
        else
        {
            if (ModuleNet.nTimeOutCounter != 0)
            {
                FreeMsgSendRequestServerParams( cGameInitInfo.GetServerInfo().GetServerAddr(),
                                                cGameInitInfo.GetServerInfo().GetGamePort(),
                                                GetServerType( m_cSelectedServerInfo ),
                                                EFreeMsg._REQUEST_SERVER_PARAMS);
                FreeMsgSendRequestServerParams( cGameInitInfo.GetServerInfo().GetServerAddr(),
                                                cGameInitInfo.GetServerInfo().GetGamePort(),
                                                GetServerType( m_cSelectedServerInfo ),
                                                EFreeMsg._REQUEST_SERVER_PARAMS_2);

                if(bDbg) CrashLog("waiting (" + ModuleNet.nTimeOutCounter + ") ...\n");
                ModuleNet.nTimeOutCounter--;
                
                CallMethodIn( METHOD_TryToJoinServer, 1.0f*ModuleNet.sm_m_fTimerSpeedUp );
            }
            else
            {
                String sReason = "&FAILED_TO_JOIN_SERVER&";
                String sDescription = "&SERVER_TIMEOUT&";
                if(bDbg) CrashLog(sDescription);
                JoiningGameFailed(sReason, sDescription);
            }
        }
    }
    
	void JoiningGameFailed(String sReason, String sDescription)
    {
        if(bDbg) CrashLog("[ChromeNetJoinMenu.JoiningGameFailed] " + sReason + " : " + sDescription + "\n");
        
        StopJoiningServer();
        
        //DisableCallMethod("TryToJoinServer");
        //m_bJoiningGame = false;
        //m_bSkipJoiningGame = true;
        
        if (m_bAutoJoiningGame == false)
        {
            Show();
            DisableCallMethod("ProgressFun");
            ReleaseYesNoDialog();

            ShowOKDialog(ID_DIALOG_FAILED, sReason, sDescription, null);
        }
        else
        {
            sProgressCallFun = null;
            
            ShowCancelDialog(ID_DIALOG_AUTOJOIN_SERVER, m_sAutoJoinServerDialogTitle, m_sAutoJoiningGameProgress, null);
            AutoJoiningFailed(sReason, sDescription);
        }
        
        //RefreshButtons();
    }

    
    void StopJoiningServer()
    {
        m_bJoiningGame = false;
        m_bSkipJoiningGame = true;
        
        DisableCallMethod(METHOD_TryToJoinServer);
        
        RefreshButtons();
        /*
        if ( (m_cSelectedServerInfo != null) &&
             (!m_cSelectedServerInfo.bInternetServer)&&
             (!m_bLan))
        {
            MenuModule.SetMenu("ChromeLANJoinMenu");
        }*/
    }
    
    /** Koniec joinowania sie do servera
     */
    
    //////////////////////////////////////////
    //Cancel dialog
    String sCurrentProgress = ".";
    //funkcja, ktora ma byc wolana przy updateowaniu progressa, ma byc public void ...(void)
    String sProgressCallFun = null;
    
    void ProgressFun()
    {
        if (sCurrentProgress.length() < 15)
            sCurrentProgress += ".";
        else
            sCurrentProgress = ".";
        
        m_cYesNoDlg.SetQuestionText(sCurrentProgress);
        
        if (sProgressCallFun != null)
        {
            CallMethodIn(sProgressCallFun, 0.0f);
        }
        
        CallMethodIn("ProgressFun", 1.0f);
    }
    
    void ShowCancelDialog(int nID, String sTitle, String sQuestion, String sCancelBtn)
    {
        Hide();
        
        if (GetYesNoDialogOwner() == this)
        {
            //bedziemy ponownie uzywac tego okna, wiec musimy zapamietac progress
            if (m_bJoiningGame)
            {
                m_sJoiningGameProgress = sCurrentProgress;
            }
            else if (m_bAutoJoiningGame)
            {
                m_sAutoJoiningGameProgress = sCurrentProgress;
            }
            
            sCurrentProgress = sQuestion;
            
            //zmieniamy parametry dialogu na odpowiednie
            m_cYesNoDlg.InitCancel(nID, sTitle, sQuestion, sCancelBtn);
            
            //HACK, poprzedni hide ukryl kursor
            MenuModule.cCursor.Show();
        }
        else
        {
            sCurrentProgress = sQuestion;
            CallMethodIn("ProgressFun", 1.0f);
            
            super.ShowCancelDialog(nID, sTitle, sQuestion, sCancelBtn);
        }
    }
    //////////////////////////////////////////
    boolean IsServerExpected(int nServerType)
    {
        if(bDbg) CrashLog("IsServerExpected "+nServerType+"...");
        
        switch (nServerType)
        {
            case LAN_SERVERS:
                if ( m_bJoiningGame &&    
                     ( m_cSelectedServerInfo != null ) &&
                     ( ! m_cSelectedServerInfo.bInternetServer ))
                {
                    if(bDbg) CrashLog("TRUE\n");
                    return true;
                }
                if(bDbg) CrashLog(""+m_buLANGame.GetCheck()+"\n");
                return m_buLANGame.GetCheck();
            case NET_SERVERS:
                if(bDbg) CrashLog(""+m_buInternet.GetCheck()+"\n");
                return m_buInternet.GetCheck();
            case FAVORITES_SERVERS:
                if(bDbg) CrashLog(""+m_buFavorites.GetCheck()+"\n");
                return m_buFavorites.GetCheck();
            case UNKNOWN_SERVERS:
            default:
                return true;    
        }
    }
    
    /////////////////////////////////////////
    public void ProcessWishList()
    {
        if(bDbg) CrashLog("[ProcessWishList()]\n");
        
        if (m_cSelectedServerInfo != null &&
            m_cSelectedServerInfo.bValid == true &&
            m_bSkipJoiningGame == false)
        {
            FreeMsgSendReqWishList(m_cSelectedServerInfo.sServerAddr, EFreeMsg._REQUEST_WISH_LIST_2);
            
            CallMethodIn("ProcessWishList", 5.0f*ModuleNet.sm_m_fTimerSpeedUp);
        }
    }
    
    //iMessageId : EFreeMsg._REQUEST_WISH_LIST lub EFreeMsg._REQUEST_WISH_LIST_2
    void FreeMsgSendReqWishList(String sHost, int iMessageId)
    {
        FreeMessageNew( iMessageId );
        
        MasterClient MClient = MasterClient.GetMasterClient();
        FreeMessagePackInt(MClient.GetID());
        FreeMessagePackInt(MClient.GetAServerNumber());
        
        if(bDbg) CrashLog("SendWishList id:"+MClient.GetID()+
                          " number:"+MClient.GetAServerNumber()+"\n");
        
        FreeMessageSend( EFreeMsg.TYPE_HOST, sHost, 
                         cGameInitInfo.GetServerInfo().GetGamePort() );
    }
    
    void FreeMsgRcvWishList(String sHost, int iPort, int iMessageId)
    {
        if(bDbg) LogR("[FreeMsgRcvWishList] " + EFreeMsg.GetFlagName(iMessageId) + "\n");
        
        //sprawdzmy, czy na pewno dostalismy od tego servera, 
        //do ktorego chcemy sie dolaczyc
        if (sHost != null &&
            m_cSelectedServerInfo != null &&
            sHost.equals(m_cSelectedServerInfo.sServerAddr))
        {
            DisableCallMethod("ProcessWishList");

            WishListCounter cWishListCounter = new WishListCounter(m_cSelectedServerInfo.sCurrentLevelName);
            
            int iQueryNum = FreeMessageUnPackInt();
            int iQuestionsNum = FreeMessageUnPackInt();
            
            if(bDbg) LogR("question count = " + iQuestionsNum + "\n");
            
            for (int i = 0; i < iQuestionsNum; ++i) 
            {
                int iFileNo = FreeMessageUnPackInt();
                int iStartPos = FreeMessageUnPackInt();
                int iEndPos = FreeMessageUnPackInt();

                cWishListCounter.AddQuestion(iFileNo, iStartPos, iEndPos);
            }
            
            int iQuestionsStringNum = FreeMessageUnPackInt();
            for (int i = 0; i < iQuestionsStringNum; ++i)
            {
                String sFileName = FreeMessageUnPackString();
                int iStartPos = FreeMessageUnPackInt();
                int iEndPos = FreeMessageUnPackInt();
                
                cWishListCounter.AddQuestion(sFileName, iStartPos, iEndPos);
            }
            
            int iCRC = cWishListCounter.Count();
            //LogR("[ChromeNetJoinMenu.FreeMsgRcvWishList] CRC calculated to " + iCRC + "\n");

            cWishListCounter = null;
            
            //odpalamy proces joinowania sie 
            CrashLog("Joining network server nGameType:"+ m_cSelectedServerInfo.nGameType+
                     " map:"      + m_cSelectedServerInfo.sCurrentLevelName+"\n");
            
            cGameInitInfo.nGameType = m_cSelectedServerInfo.nGameType;
            cGameInitInfo.cLevels.SetSingleNetLevel( m_cSelectedServerInfo.sCurrentLevelName,
                                                     m_cSelectedServerInfo.nGameType );
            
            //TODO: tu odczytac modyfikatory inwentory i implantow
            FreeMessageUnPackLevelContent( cGameInitInfo.cLevels.GetCurrent() );
            
            FreeMessageEnd();
            
            if (m_bSkipJoiningGame == false)
            {// laczymy sie z serverem. funkcja JoinServer jest statyczna.
                m_cConnector.JoinServer(this, 
                                        MenuModule, 
                                        cGameInitInfo, 
                                        m_sPassword, 
                                        iQueryNum, 
                                        iCRC);
            }
        }
    }
    
    /** odebranie na kliencie zawartosci levelu i zapamietanie w LevelContent*/
    void FreeMessageUnPackLevelContent( LevelContent cLevelContent )
    {
        //stworzenie obiektu kontenera
        NetDataContainer cLevelContentData = new NetDataContainer();
        //wypelnienie kontenera odebranymi danymi z komunikatu
        cLevelContentData.FromFreeMessage( this );
                
        //i "wrzucamy" do niego kontener
        cLevelContent.FromDataContainer( cLevelContentData );

        //teraz to samo z Objectivami
        //otwieramy kontener
        /*
        NetDataContainer cObjectivesData = new NetDataContainer();
        //odczytujemy do niego dane z message'a
        cObjectivesData.FromMessage( this );
        //pobieramy obiekt objectivemanagera z gry
        ObjectivesManager  cObjectivesManager = m_cModule.GetObjectivesManager();
        //i wpisujemy do niego dane
        cObjectivesManager.FromDataContainer( cObjectivesData );
        //po czym starujemy go w trybie klienta
        cObjectivesManager.StartOnClient();
        */
    }

    final static int  _MSCOMMSTATE_NONE                = 0,
                      _MSCOMMSTATE_REQUESTING          = 1,
                      _MSCOMMSTATE_WAITING_FOR_DATA    = 2,
                      _MSCOMMSTATE_RECEIVING_DATA      = 3,
                      _MSCOMMSTATE_LIST_COMPLETE       = 4,
                      _MSCOMMSTATE_LIST_COMPLETE_EMPTY = 5;
        
        
                                    
    int   m_nMSCommState     = _MSCOMMSTATE_NONE;
    float m_fMSCommStateTime = 0.0f;
        
    final static float sm_fMaxRequestingStateTime = 1.0f;
    final static float sm_fMaxCompleteStateTime   = 5.0f;
    
    final static float sm_fMinReceivingStateTime  = 2.0f;
        
    void SetMSCommState(int nState)
    {
        DisableAllScheduledMSCommStateChanges();

        if ( m_nMSCommState == nState )
            return;

        switch ( nState )
        {
        case _MSCOMMSTATE_NONE:
            SetInfoText( "" );
            break;
        case _MSCOMMSTATE_REQUESTING:
            SetInfoText( Text.Get("&MSRequestingServerListFromMasterServer&") );
            CallMethodIn( "SetMSCommStateWaiting", sm_fMaxRequestingStateTime ) ;
            break;
        case _MSCOMMSTATE_WAITING_FOR_DATA:
            SetInfoText( Text.Get("&MSWaitingForServerListFromMasterServer&") );
            break;
        case _MSCOMMSTATE_RECEIVING_DATA:
            SetInfoText( Text.Get("&MSReceivingMasterServerData&") );
            break;
        case _MSCOMMSTATE_LIST_COMPLETE:
            if ( m_nMSCommState == _MSCOMMSTATE_LIST_COMPLETE_EMPTY)
                return;
            float fTime = GetTime();
            if ( fTime - m_fMSCommStateTime < sm_fMinReceivingStateTime )
            {
                float fRemainingTime = sm_fMinReceivingStateTime - (fTime - m_fMSCommStateTime);
                CallMethodIn( "SetMSCommStateComplete", fRemainingTime );
                return;
            }
            SetInfoText( Text.Get("&MSServerListComplete&") );
            CallMethodIn( "SetMSCommStateCompleteEmpty", sm_fMaxCompleteStateTime );
            break;
        case _MSCOMMSTATE_LIST_COMPLETE_EMPTY:
            SetInfoText("");
            break;            
            
        }
        
        m_nMSCommState     = nState;
        m_fMSCommStateTime = GetTime();
    }
    
    void SetMSCommStateNone()
    {
        SetMSCommState(_MSCOMMSTATE_NONE);
    }
    
    void SetMSCommStateWaiting()
    {
        SetMSCommState(_MSCOMMSTATE_WAITING_FOR_DATA);
    }
    
    void SetMSCommStateComplete()
    {
        SetMSCommState(_MSCOMMSTATE_LIST_COMPLETE);
    }
    
    void SetMSCommStateCompleteEmpty()
    {
        SetMSCommState(_MSCOMMSTATE_LIST_COMPLETE_EMPTY);
    }
    
    void DisableAllScheduledMSCommStateChanges()
    {
        DisableCallMethod("SetMSCommStateNone");
        DisableCallMethod("SetMSCommStateWaiting");
        DisableCallMethod("SetMSCommStateComplete");
    }
    
    void SetInfoText(String sText)
    {
        if (sText == null)
            m_cInfo.Hide();
        else
        {
            m_cInfo.Show();
            m_cInfoText.SetText(sText);
        }
    }
  
    public void SetConnectionStatus( boolean bConnected, String sStatus )
    {
        super.SetConnectionStatus(bConnected, sStatus);
        
        UpdateConnectButton();
    }

    
}
