public class ChromeNetMainMenu extends MenuNetChatWindowBase
{
  	{
	nMovieIn = 15;
	nMovieLoop = 16;
	nMovieOut = 17;
	}
	
    String GetScriptName()
    {
        return "data/menu/ChromeNetMainMenuNew.scr";
    }
    
    void Init(MenuBackground cBack)
    {
        MenuModule=(ChromeMenuModule)GetModule();
        
#if MPDEMO2004
        //zablokowane gry lokalnej
        UIWindow cElem  = GetElem("ID_332");
        if (cElem!=null)
        {
            ((UIMenuButton)cElem).SetDisabled(true);
        }
        
        cElem  = GetElem("ID_336");
        if (cElem!=null)
        {
            ((UIMenuButton)cElem).SetDisabled(true);
        }
#endif
        
    }
    
    void OnUICommand(UIWindow cSender, int nCommand)
	{
		super.OnUICommand(cSender,nCommand);
		int nID = EChromeNetMainMenuUI.GetID(cSender.m_sId);
        
        if(nCommand == EUIConst.CM_CLICK || nCommand == EUIConst.CM_DBCLICK)
        {
            switch(nID)
            {
            case EChromeNetMainMenuUI.ID_BTN_PROFILE:
                {
                    MenuModule.SetMenu("MenuNetPlayerProfile");
                    break;
                }
            case EChromeNetMainMenuUI.ID_BTN_CREATE_LAN:
                {
                    SetInternetGame(false);
                    ChatDisconnect();
                    MenuModule.SetMenu("ChromeNetCreatMenu");
                    break;
                }
            case EChromeNetMainMenuUI.ID_BTN_CREATE_NET:
                {
                    SetInternetGame(true);
                    MenuModule.SetMenu("ChromeNetCreatMenu");
                    break;
                }
            case EChromeNetMainMenuUI.ID_BTN_JOIN_NET:
                {
                    CallMethodIn("OnJoinNet", 0);
                    break;
                }
            case EChromeNetMainMenuUI.ID_BTN_JOIN_LAN:
                {
                    ChatDisconnect();
                    MenuModule.SetMenu("ChromeLANJoinMenu");
                    break;
                }
            case EChromeNetMainMenuUI.ID_BTN_BACK:
                {
                    ChatDisconnect();
                    Discard();
                    break;
                }
            }
        }
    }
    
    void OnJoinNet()
    {
        MenuModule.SetMenu("ChromeNetJoinMenu");
    }
    
    void SetInternetGame(boolean bInternet)
    {
        NetServerInitInfo cServerInfo = new NetServerInitInfo();
        cServerInfo.ParseScriptFile();
        cServerInfo.SetInternetGame( bInternet );
        cServerInfo.SaveSettings();
    }
    
    void Discard()
    {
        if(!CanDiscard())
			return;
		MenuModule.SetMenu("ChromeMainMenu");
    }
}
