import java.io.*;
public class MenuNetControls extends ChromeControlsMenu
{
    /**wczytanie ustawien z pliku dla profilu gracza w ustawieniach sieciowych*/
    void LoadActual()
    {
        sm_sCurrentControlsFile =  NetPlayerProfile.GetCurrentControlsFileName();

        //jesli istnieje plik dla biezacego profilu to spoko, ladujemy
        File cFile = new File( sm_sCurrentControlsFile );
        if ( cFile.exists() )
            super.LoadActual();
        else
        {
            //jesli go nie ma to ladujemy albo UsersControls, albo default
            cFile = new File( ControlLoadSave.sm_sUserControlsFile );
            if ( cFile.exists() )
                ControlLoadSave.LoadKeySettings( ControlLoadSave.sm_sUserControlsFile );
            else                
                ControlLoadSave.LoadDefaultKeySettings();
            //po czym zapisujemy jako nasze
            ControlLoadSave.SaveControls( sm_sCurrentControlsFile );
        }
    }
    
    String GetScriptName()
    {
        return "data/menu/ChromeControlsMenu.scr";
    }
}
