public class MenuNetSetProfileName extends ChromeMenuWindow
{
    UIEdit  m_cTypeProfileName = null;
    
     UIButton m_cButtonDone = null;
   
    public void OnCreate()
    {
        super.OnCreate();
        
        MenuModule=(ChromeMenuModule)GetModule(); 
        
		m_cTypeProfileName = (UIEdit)GetElem("ID_TYPE_EDIT");
		m_cTypeProfileName.SetCheck(true); 
		m_cTypeProfileName.m_sForbiddenChars = "\\/.";
		
        m_cButtonDone = (UIButton)GetElem("ID_DONE");
		m_cButtonDone.SetDisabled(true);
    }
	
	void OnUICommand(UIWindow cSender, int nCommand)
	{
		super.OnUICommand(cSender,nCommand);
		//int nID = GetButtonId(cSender.m_sId);
            
		if(nCommand == EUIConst.CM_CLICK || nCommand == EUIConst.CM_DBCLICK)
        {
			if(cSender.m_sId.equals("ID_DONE"))
			{
				LogR("Done");
				CallMethodIn("Done",0);
			}else
				if(cSender.m_sId.equals("ID_CANCEL"))
				{
					LogR("Back");
					Discard();
				}
        }else
			if(nCommand == EUIConst.CM_EDIT_ENTER)
			{
				if(cSender.m_sId.equals("ID_TYPE_EDIT"))
				{
					if(m_cTypeProfileName.GetText().length() > 0)
						{
							m_cButtonDone.SetDisabled(false);
						}else
						{
                            m_cButtonDone.SetFocus(false);
							m_cButtonDone.SetDisabled(true);
						}
					}
                    ((UIMenuButton)GetElem("ID_DONE")).SetFocus(true);
			}
	}
        
    void Done()
    {
        MenuNetPlayerProfile.m_cSingleton.CreateNewPlayerProfile(m_cTypeProfileName.GetText());
        Discard();
    }
    
    void Discard()
    {
		if(!CanDiscard())
			return;
        Hide();
        MenuNetPlayerProfile.m_cSingleton.Show();
    }
}
