public class NetTeamObject extends MeshObject
{
    //ktorych druzyn dotyczy   
    public EnumNetAllowTeam m_cAllowTeam = new EnumNetAllowTeam(EnumNetAllowTeam._ALL);//#Net
    
    void OnCreate()
    {
        DeactivateOnModuleAlways();
    }
       
    
    boolean AllowTeam( int nTeamId )
    {
        return AllowTeam( nTeamId, false );
    }
    
    boolean AllowTeam( int nTeamId, boolean bRevengeRound )
    {
        int nAllowTeam = m_cAllowTeam.GetValue();
        
        if ( nAllowTeam == EnumNetAllowTeam._ALL )
            return true;
        
        boolean bAllow = false;
        switch ( nTeamId )
        {
        case NetTeamInfo.BLUE:
            bAllow = ( nAllowTeam == EnumNetAllowTeam._BLUE );
            break;
        case NetTeamInfo.RED:
            bAllow = ( nAllowTeam == EnumNetAllowTeam._RED );
            break;
        default:
            return bAllow;
        }
        
        if ( bRevengeRound ) 
            bAllow = ! bAllow;
        
        return bAllow;
    }
}
