public class ContainerObjectList extends ObjectsList
{
    /** Ile elementow z listy (kontenera) juz zostalo przeczytanych */
    private int m_nReadDataCnt = 0;
    int     GetReadDataCnt(){ return m_nReadDataCnt; }
    void    ClearReadDataCnt(){ m_nReadDataCnt = 0; }
    boolean IsAllDataReadAlready(){ return (m_nReadDataCnt == GetSize()); }
    
    void Clear()
    {
        super.Clear();
        ClearReadDataCnt();
    }
    
    Object GetNext() 
    { 
        if ( m_nReadDataCnt >= GetSize())
            NetLog.Warning("Cant get "+m_nReadDataCnt+" element from container"); 
        return GetObjectAt( m_nReadDataCnt++ ); 
    }
}
