public class MoraleLow extends Generator
{
    MoraleLow(AIController controller)
    {
        super(controller);
        
        //		m_GenScenarios.SetBit(FallDownToShoot._ID);
        m_GenScenarios.SetBit(RunAway._ID);
        m_GenScenarios.SetBit(DuckHide._ID);
        m_GenScenarios.SetBit(DuckShoot._ID);
        m_GenScenarios.SetBit(LookAroundIdle._ID);
        m_GenScenarios.SetBit(LookAroundAlarmed._ID);
        m_GenScenarios.SetBit(ThrowGrenade._ID);
        m_GenScenarios.SetBit(IdleWalk._ID);
        m_GenScenarios.SetBit(IdlePlayAnim._ID);
        m_GenScenarios.SetBit(UseSwitch._ID);
        m_GenScenarios.SetBit(Reload._ID);
        m_GenScenarios.SetBit(GotoHideout._ID);
        m_GenScenarios.SetBit(RetreatShoot._ID);
    }
    
    void UpdateScenarios()
    {
        super.UpdateScenarios();
        
        if (m_bTestPhase)
            return;        
        
        if (m_Controller.IsMoraleLow())
        {
#if AI_DEBUG
                DebugUtils.AddLog(m_Controller.m_MeshAI, "IsMoraleLow()");
#endif
            m_CurrScenarios.Set(m_GenScenarios);
        }
        else
            m_CurrScenarios.SetAllBits();
        
#if AI_DEBUG
            DebugUtils.AddLog(m_Controller.m_MeshAI, "\n");
#endif
    }
}
