/** generator odpowiadajacy za reakcje po zobaczeniu wroga */
public class EnemySpotted_W extends Generator
{
    EnemySpotted_W(AIController controller)
    {
        super(controller);
        
        m_GenScenarios.SetAllBits();
        m_GenScenarios.ClearBit(ReactOnEnemyPresence_W._ID);
    }
    
    void UpdateScenarios()
    {
        super.UpdateScenarios();

        if (m_Controller.JustSpottedEnemyOnce() && 
            !m_Controller.HeardScreamLately())
        {
#if AI_DEBUG
            DebugUtils.AddLog(m_Controller.m_MeshAI, "JustSpottedEnemyOnce()");
#endif
            // jesli wlasnie zauwazyl wroga
            m_CurrScenarios.ClearAllBits();
            m_CurrScenarios.SetBit(ReactOnEnemyPresence_W._ID);
        }
        else
        {
            m_CurrScenarios.Set(m_GenScenarios);
        }
        
#if AI_DEBUG
        DebugUtils.AddLog(m_Controller.m_MeshAI, "\n");
#endif
    }
}
