/** odfiltrowanie scenariusza wycofywania sie ze strzelaniem */
public class HasToKeepDistance_W extends Generator
{
    HasToKeepDistance_W(AIController controller)
    {
        super(controller);
        
        m_GenScenarios.SetAllBits();
        m_GenScenarios.ClearBit(RetreatShoot_W._ID);
    }
    
    void UpdateScenarios()
    {
        super.UpdateScenarios();
        
        if (m_Controller.IsVeryCloseToActiveEnemy())
        {
            m_CurrScenarios.SetAllBits();
        }
        else
        {
            m_CurrScenarios.Set(m_GenScenarios);
            
#if AI_DEBUG
            DebugUtils.AddLog(m_Controller.m_MeshAI, "IsVeryCloseToActiveEnemy():" + m_Controller.IsVeryCloseToActiveEnemy());
#endif
        }
        
#if AI_DEBUG
            DebugUtils.AddLog(m_Controller.m_MeshAI, "\n");
#endif
    }
}