public class IdleAllowed_W extends Generator
{
    IdleAllowed_W(AIController controller)
    {
        super(controller);
        
        m_GenScenarios.SetAllBits();
        
        m_GenScenarios.ClearBit(LookAroundIdle_W._ID);
        m_GenScenarios.ClearBit(IdlePlayAnim_W._ID);
    }
    
    void UpdateScenarios()
    {
        super.UpdateScenarios();
        
        if ( (m_Controller.GetAlarmLevel() > AIController._ALARM_LEVEL_LOW))
        {
#if AI_DEBUG
            DebugUtils.AddLog(m_Controller.m_MeshAI, "GetAlarmLevel() > _ALARM_LEVEL_LOW");
#endif
            m_CurrScenarios.Set(m_GenScenarios);
        }
        else
            m_CurrScenarios.SetAllBits();
        
#if AI_DEBUG
        DebugUtils.AddLog(m_Controller.m_MeshAI, "\n");
#endif
    }
}
