public class ShortEnemyDistance_W extends Generator
{
    ShortEnemyDistance_W(AIController controller)
    {
        super(controller);
        
        m_GenScenarios.SetAllBits();
        m_GenScenarios.ClearBit(RunStraightAheadShoot_W._ID);
    }
    
    void UpdateScenarios()
    {
        super.UpdateScenarios();
        
        if (m_Controller.IsNearToActiveEnemy())
        {
#if AI_DEBUG
            DebugUtils.AddLog(m_Controller.m_MeshAI,
                              "IsNearToActiveEnemy():" + m_Controller.IsNearToActiveEnemy());
#endif
            m_CurrScenarios.Set(m_GenScenarios);
        }
        else
        {
            m_CurrScenarios.SetAllBits();
        }
        
#if AI_DEBUG
        DebugUtils.AddLog(m_Controller.m_MeshAI, "\n");
#endif
    }
}
