/** generator filtrujacy scenariusz poszukiwania przeciwnika */
public class ShouldLookForEnemy_W extends Generator
{	
    ShouldLookForEnemy_W(AIController controller)
    {
        super(controller);

        m_GenScenarios.SetAllBits();
        m_GenScenarios.ClearBit(LookForEnemy_W._ID);
    }
    
    void UpdateScenarios()
    {
        super.UpdateScenarios();

        if ( ((m_Controller.GetActiveEnemy() == null) &&
              (m_Controller.GetAlarmLevel() >= m_Controller._ALARM_LEVEL_MEDIUM)) ||
             ((m_Controller.GetActiveEnemy() != null) &&
              (m_Controller.ActiveEnemyGunTraceLostMoreThanShort())) )
        {
            m_CurrScenarios.SetAllBits();
        }
        else
        {
#if AI_DEBUG
            DebugUtils.AddLog(m_Controller.m_MeshAI, 
                              "GetActiveEnemy():" + m_Controller.GetActiveEnemy() +
                              ", ActiveEnemyVisibilityLostMoreThanShort():" + m_Controller.ActiveEnemyVisibilityLostMoreThanShort() +
                              ", ActiveEnemyGunTraceLostMoreThanShort():" + m_Controller.ActiveEnemyGunTraceLostMoreThanShort());
#endif
            m_CurrScenarios.Set(m_GenScenarios);
        }
        
#if AI_DEBUG
        DebugUtils.AddLog(m_Controller.m_MeshAI, "\n");
#endif
    }
}