public class DuckHide extends Scenario
{
    static int _ID = _NUM_OF_SCENARIOS++;
    
	void PrepareScenario(AIController ai)
	{
        ChromeActor cEnemy = null;
		cEnemy = ai.GetActiveEnemy();
        
        if (ai.GetMesh().m_ActualMotion.GetSpeed() != MotionState.SPEED_DUCK)
        {
            ai.AddCleaningTask(new TaskMotionStateChange(MotionState.SPEED_DUCK));
            ai.AddCleaningTask(new TaskWait(1));
        }
        ai.AddTask(new TaskWait(GameObject.RandomFloat(2, 3)));
        
        super.PrepareScenario(ai);
	}            
    
    public String toString()
    {
        return "DH";
    }
    
    // pt:. -------------   TESTY -----------  
    int GetID()
    {
        return _ID;   
    }    
}
