public class GotoHideoutShoot extends Scenario
{
    static int _ID = _NUM_OF_SCENARIOS++;

    GotoHideoutShoot()
    {
        m_fProbability = 5; // TODO: przerzucic gdzies			
    }

    void PrepareScenario(AIController ai)
    {
        Vector vDestDir = new Vector(ai.GetDestHideoutPos());
        vDestDir.Sub(ai.GetMesh().GetPosition());
        vDestDir.fY = 0;
        vDestDir.Normalize();

        ChromeActor enemy = ai.GetActiveEnemy();

        if (enemy != null)
        {
            ai.AddTask(new TaskTrackingStart(enemy));
            ai.AddTask(new TaskStartFire());
        }
        ai.AddTask(new TaskTurnAtDir(vDestDir));
        ai.AddTask(new TaskMotionStateChange(MotionState.SPEED_RUN));
        ai.AddTask(new TaskGotoPos(ai.GetDestHideoutPos(), 10f));
        if (ai.m_nLastPreparedScenario == _ID && !ai.GetMesh().m_bLastGoToSuccessfull)
            ai.AddTask(new TaskWait(1, TaskWait._STOP_CND_TAKE_DAMAGE | TaskWait._STOP_CND_RELOAD));
        if (enemy != null)
        {
            ai.AddCleaningTask(new TaskTrackingStop());
            ai.AddCleaningTask(new TaskStopFire());
        }

        super.PrepareScenario(ai);
    }

    public String toString()
    {
        return "GHS";
    }

    // pt:. -------------   TESTY -----------  
    int GetID()
    {
        return _ID;   
    }
}
