public class RunToExamineBody extends Scenario
{
    static int _ID = _NUM_OF_SCENARIOS++;
    
    final static int _BODY_DIST = 100;

    void PrepareScenario(AIController ai)
	{
        
        //        if(ai.m_cEventData instanceof ChromeActor) TODO: wybierac cialo na podstawie danych
//        {
            Vector vDestPos = null;
            ChromeActor cDeadBody = null;
            
		    cDeadBody = ai.m_cActiveEnemy;
            vDestPos = CalcNearBodyPos(ai, cDeadBody); // znajduje pozycje blisko ciala
            
		    ai.AddTask(new TaskTurnAtPos(vDestPos));
    		ai.AddTask(new TaskGotoPos(vDestPos,10));
            ai.AddTask(new TaskTurnAtObject(cDeadBody));            
            ai.AddTask(new TaskCheckBody(cDeadBody));
//        }
		
        super.PrepareScenario(ai);
	}
    /** znajduje pozycje blisko ciala     */
    Vector CalcNearBodyPos(AIController ai, ChromeActor cDeadBody)        
    {
        Vector vDist = cDeadBody.GetPosition();
        Vector vAIPos = ai.GetMesh().GetPosition();
        vDist.Sub(vAIPos);
        float fDist = vDist.Len();
        vDist.Normalize();
        vDist.Mul(fDist - _BODY_DIST);
        Vector vDestPos = new Vector(vAIPos);
        vDestPos.Add(vDist);
        return vDestPos;
    }

    public String toString()
    {
        return "RtEB";
    }
    // pt:. -------------   TESTY -----------  
    int GetID()
    {
        return _ID;   
    }        
}
