public class TestScenario extends Scenario
{
    static int _ID = _NUM_OF_SCENARIOS++;


    void PrepareScenario(AIController ai)
	{
        Vector vPos = ((ChromeModuleSingle)ai.GetModule()).MainPlayer.GetPosition();
        
        ai.AddTask(new TaskStartFire());
        ai.AddCleaningTask(new TaskLean(TaskLean._LEAN_LEFT, vPos, 30f, true, true));
        ai.AddTask(new TaskWait(3));

        vPos = ((ChromeModuleSingle)ai.GetModule()).MainPlayer.GetPosition();
        ai.AddCleaningTask(new TaskLean(TaskLean._LEAN_RIGHT, vPos, 30f, true, true));
        ai.AddTask(new TaskWait(3));

        super.PrepareScenario(ai);
	}
	
	
    public String toString()
    {
        return "TS";
    }	
	
    
    // pt:. -------------   TESTY -----------  
    int GetID()
    {
        return _ID;   
    }        
}
