public class HearingSense extends Sense implements IAIHearingSense
{
	public void Init(AIController controller)
	{
		super.Init(controller);
		
		controller.m_MeshAI.SetHearing(this);
	}
	
	public void OnHearNoise(Actor Noisy, float fNoiseLevel, int nNoiseType)
	{
		if ( (m_bIsFrozen) || (m_bIsDead) )
			return;
		
		m_Controller.GetMesh().ProfileBegin(NewAI.PROFILE_NoiseMsg);
		
		m_Controller.NoiseMsg(Noisy, fNoiseLevel, nNoiseType);
		
		m_Controller.GetMesh().ProfileEnd(NewAI.PROFILE_NoiseMsg);
	}
}