public class TaskExecute extends Task
{
	TriggerObject m_cTrigger = null;
	
    
    public TaskExecute()
    {
        //SG
    }
    
	TaskExecute(TriggerObject cTrigger)
	{
		m_cTrigger = cTrigger;
	}
	
    public void Perform()
    {
        super.Perform();
        
        m_cAI.StartTaskTime(0f);
		m_cTrigger.Execute(m_cAI.GetMesh());
        GameObject.CrashLog("[TaskExecute.Perform] m_cTrigger="+m_cTrigger+" AI="+m_cAI+"\n");
    }
    
    public String toString()
    {
        return "TaskExecute";
    }	    
    
    /** obsluguje komunikat wyslany z AIControllera */
    public void ServeNotice(int nNotice)
    {
        super.ServeNotice(nNotice);
        switch (nNotice)
		{
    		case AIEvents._NOTICE_TASK_TIME_PASSED:
                m_cAI.Notify(AIEvents._NOTICE_END_TASK);
			break;            
		}
    }	
    
    //*********************************************************
    //					SaveGame
    //*********************************************************
    
    public void SGLoadChunk(FileChunk cParentFC)
    {	
        FileChunk.Log("[TaskExecute.SGLoadChunk]\n");
        
        FileChunk cFC = GameObject.LoadChunk(cParentFC);   
        
        if (cFC.GetID() == ESGChunksChrome._CHK_TASK_EXECUTE)
        {
            super.SGLoadChunk(cFC);
            m_cTrigger = (TriggerObject)cFC.LoadObjectRef();
        }
        
        cFC.delete();
    }
    
    public void SGSaveChunk(FileChunk cFCParent)
    {
        FileChunk.Log("[TaskExecute.SGSaveChunk]\n");
        
        FileChunk cFC = GameObject.NewChunk(ESGChunksChrome._CHK_TASK_EXECUTE, cFCParent);
        
        super.SGSaveChunk(cFC);
        cFC.SaveObjectRef(m_cTrigger);
        
        cFC.delete(); 
    }				
    
    public void SGUpdate()
    {
        FileChunk.Log("[TaskExecute.SGUpdate]\n");
        super.SGUpdate();
        //
    }

}
