public class SGTestObject extends MeshObject
{
    SGTestObject()
    {
        bSG = true;
    }
    
    void OnCreate()
    {
        super.OnCreate();
        
        InitAnimSeq("aaa", 0, (int)GetNumFrames()-1);
    }
    
    void a()
    {
        PlayAnim("aaa", 0);
        CallMethodIn("b", 2.0f);
    }
    
    void b()
    {
        StopAnim("");
    }
    
    void c()
    {
        AttachSound("Data/Sounds/RedBarriersShock.wav");
    }
    
    void Move()
    {
        Vector vPos = GetPosition();
        vPos.fX += RandomFloat(1000.0f)-500.f; if(vPos.fX < 0) vPos.fX=0;
        vPos.fZ += RandomFloat(1000.0f)-500.f; if(vPos.fZ < 0) vPos.fZ=0; 
        vPos.fY = TerrainHeight(vPos.fX, vPos.fZ);
        SetPosition(vPos);
    }
}
