public class WalkerHeavyNet extends WalkerHeavy
{
    WalkerHeavyNet()
    {
        super();
    
        fHealth = fMaxHealth = 6000.0f;//3900.0f;//5000.f;
        fDamageThreshold = 70; //bylo 160, ale musi byc mozliwosc rozwalenia w sieci przez jeepa

        //gosc z walkera powinien bezwarunkowo zginac
        m_fOccupantsDamageMaxHealthMulOnCrash   = 1.0f;
        //zmniejszenie obrazen przy blast damage
        m_fOccupantsBlastDamageMul              = 0.001f; 
        
        //parametry do mesha z obrotowa glowa
        m_fWalkSpeed        = 500.0f;
        m_fWalkSpeedBack    = 350.0f;
        m_fRotateSpeed      = 30.0f;
        //zeby za szybko nie przebieral "nozkami" to zwalniamy animacje
        m_fWalkAnimSpeedMul = 0.75f;
        
        //zeby mogl sie swobodnie rozgladac
        m_fMaxHAngle = 100.0f;
        m_fMaxHorizHeadAngle = 100;
        
        m_vIndicatorFXPositionerPos = new Vector( 0.0f, 565.0f, 85.0f );
    } 
    
    public void OnCreate()
    {
        LoadMesh("Data/Meshes/Ai/Walker_w2.3da");
        super.OnCreate();
    }
    
    void CreateWeapons()
    { 
        CreateNewWeapon( WeaponWalkerNet_w_Gun.class   , 
                         "Gun L",    
                         WeaponWalker._MODE_PRIMARY   );
        CreateNewWeapon( WeaponWalkerNet_w_Gun.class   , 
                         "Gun R",    
                         WeaponWalker._MODE_PRIMARY   );
    }
}
